<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\api\DefaultApi;
use Amazon\ProductAdvertisingAPI\v1\ApiException;
use Amazon\ProductAdvertisingAPI\v1\Configuration;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsRequest;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsResource;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\PartnerType;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\ProductAdvertisingAPIClientException;	
// echo __DIR__ ;exit;
error_reporting(0);
require_once('./application/libraries/vendor/autoload.php');

	
    class Embed extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		// $this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		$this->load->model('Datamodel');
		$this->load->model('Embeded_model');


			
	}


	public function fetchProducts()
	{
		$config = new Configuration();


		$access_key = 'AKIAJGVMCO7YHNHESBNA';
		$secret_key = 'nMdI/PTUz7PkZl1wC8+TFGRXWFjGB0CM432KD0h5';

		/*
		     * Add your credentials
		     * Please add your access key here
		*/
		$config->setAccessKey($access_key);
		    # Please add your secret key here
		$config->setSecretKey($secret_key);

  		# Please add your partner tag (store/tracking id) here
    	$partnerTag = 'shahnawa-20';

	    /*
	     * PAAPI host and region to which you want to send request
	     * For more details refer: https://webservices.amazon.com/paapi5/documentation/common-request-parameters.html#host-and-region
	     */
	    $country = "com";
	    $config->setHost('webservices.amazon.'.$country.'');
	    $config->setRegion('us-east-1');

	    $apiInstance = new DefaultApi(
	    /*
	     * If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
	     * This is optional, `GuzzleHttp\Client` will be used as default.
	     */
        new GuzzleHttp\Client(), $config);

	    # Request initialization

	    # Specify keywords
	    $keyword = "Iphone";

	    /*
	     * Specify the category in which search request is to be made
	     * For more details, refer: https://webservices.amazon.com/paapi5/documentation/use-cases/organization-of-items-on-amazon/search-index.html
	     */
	    $searchIndex = "All";

	     $resources = array(
				        SearchItemsResource::ITEM_INFOTITLE,
				        SearchItemsResource::OFFERSLISTINGSPRICE,
				        SearchItemsResource::IMAGESPRIMARYLARGE,
				        SearchItemsResource::ITEM_INFOFEATURES
				    );
		// print_r($resources);exit();

    	# Forming the request
	    $searchItemsRequest = new SearchItemsRequest();
	    // print_r($searchItemsRequest);exit();
	    $searchItemsRequest->setSearchIndex($searchIndex);
	    $searchItemsRequest->setKeywords($keyword);
	    $searchItemsRequest->setItemCount(10);
	    $searchItemsRequest->setPartnerTag($partnerTag);
	    $searchItemsRequest->setPartnerType(PartnerType::ASSOCIATES);
	    $searchItemsRequest->setResources($resources);
	    $searchItemsRequest->setItemPage(10);

	    # Validating request
	    $invalidPropertyList = $searchItemsRequest->listInvalidProperties();
	    $length = count($invalidPropertyList);


	    if ($length > 0) {
	        echo "Error forming the request", PHP_EOL;
	        foreach ($invalidPropertyList as $invalidProperty) {
	            echo $invalidProperty, PHP_EOL;
	        }
	        return;
	    }

	    # Sending the request

	    try {
	        $searchItemsResponse = $apiInstance->searchItems($searchItemsRequest);

	        echo 'API called successfully', PHP_EOL;
	        // echo 'Complete Response: ', $searchItemsResponse, PHP_EOL;

	        # Parsing the response
	        if ($searchItemsResponse->getSearchResult() != null) 
	        {
	            // echo 'Printing first item information in SearchResult:', PHP_EOL;
	            $item = $searchItemsResponse->getSearchResult()->getItems();

	            // print_r($item);exit();
	            if ($item != null) {
	                if ($item->getASIN() != null) {
	                    echo "ASIN: ", $item->getASIN(), PHP_EOL;
	                }
	                if ($item->getDetailPageURL() != null) {
	                    echo "DetailPageURL: ", $item->getDetailPageURL(), PHP_EOL;
	                }
	                if ($item->getItemInfo() != null
	                    and $item->getItemInfo()->getTitle() != null
	                    and $item->getItemInfo()->getTitle()->getDisplayValue() != null) {
	                    echo "Title: ", $item->getItemInfo()->getTitle()->getDisplayValue(), PHP_EOL;
	                }
	                if ($item->getOffers() != null
	                    and $item->getOffers() != null
	                    and $item->getOffers()->getListings() != null
	                    and $item->getOffers()->getListings()[0]->getPrice() != null
	                    and $item->getOffers()->getListings()[0]->getPrice()->getDisplayAmount() != null) {
	                    echo "Buying price: ", $item->getOffers()->getListings()[0]->getPrice()
	                        ->getDisplayAmount(), PHP_EOL;
	                }
	            }
	        }
	        if ($searchItemsResponse->getErrors() != null) {
	            echo PHP_EOL, 'Printing Errors:', PHP_EOL, 'Printing first error object from list of errors', PHP_EOL;
	            echo 'Error code: ', $searchItemsResponse->getErrors()[0]->getCode(), PHP_EOL;
	            echo 'Error message: ', $searchItemsResponse->getErrors()[0]->getMessage(), PHP_EOL;
	        }
	    }catch (ApiException $exception) {
	        echo "Error calling PA-API 5.0!", PHP_EOL;
	        echo "HTTP Status Code: ", $exception->getCode(), PHP_EOL;
	        echo "Error Message: ", $exception->getMessage(), PHP_EOL;
	        if ($exception->getResponseObject() instanceof ProductAdvertisingAPIClientException) {
	            $errors = $exception->getResponseObject()->getErrors();
	            foreach ($errors as $error) {
	                echo "Error Type: ", $error->getCode(), PHP_EOL;
	                echo "Error Message: ", $error->getMessage(), PHP_EOL;
	            }
	        } else {
	            echo "Error response body: ", $exception->getResponseBody(), PHP_EOL;
	        }
	    } catch (Exception $exception) {
	        echo "Error Message: ", $exception->getMessage(), PHP_EOL;
	    }
	}


	
	public function S()
	{
		
		$story_id = (int)$this->uri->segment(1);
		$this->data['frame'] = $this->Datamodel->getFrameDetail($story_id);
		if($this->data['frame'] && array_key_exists(0 , $this->data['frame']))	
		{	
				$this->data['trackingcode'] = $this->Datamodel->getTrackingCodeSnippet($story_id);
				$this->data['usertype'] = $this->Datamodel->checkUserType($story_id);

				$this->load->view('pages/viewer',$this->data);		
		}else
		{
			$this->load->view('front/my404');		
		}	
	}	
		
	
	public function saveUserSession()
	{
		
		ignore_user_abort();
		$data = $_REQUEST['data'];		
		$story_id = $_REQUEST['story_id'];		
		$ip = $_REQUEST['ip'];
		$refrer = $_REQUEST['refrer'];
		$timespent = $_REQUEST['timeSpent'];

		if(strpos($refrer, 'facebook.com') !== false || strpos($refrer, 't.co') !== false || strpos($refrer, 'pinterest.com') !== false || strpos($refrer, 'google.com') !== false)
		{
			$social = 1;
		}else
			{
				$social =0;
			}
		$this->Datamodel->submitAnalytics($ip,$social,$story_id,$timespent,$data);		
	}
	public function submitPoll()
	{
		$story_id = $_REQUEST['story_id'];
		$poll_id = $_REQUEST['optionID'];
		$totalOptions = $_REQUEST['optionscount'];
		$ip = $_REQUEST['ip'];
		$checker = $this->Datamodel->checkVote($story_id,$ip);
		if($checker)
		{
			$this->Datamodel->submitVote($poll_id,$story_id,$ip);
		}
		$op['total'] = $this->Datamodel->totalVotes($story_id);
		
		for($i=1;$i<=$totalOptions;$i++)
		{
			$currentVotes = $this->Datamodel->CalculateVotes($i,$story_id);
			if($currentVotes !== 0)
			{
				$op['options'][$i] = round(($currentVotes/$op['total'])*100,2);
			}
			else{
				$op['options'][$i] = 0;
				
			}
		
		}

		die(json_encode($op));	
	}
	
	public function submitLockEntry()
	{
		$ip = $_REQUEST['ip'];
		$story_id = $_REQUEST['story_id'];
		$this->Datamodel->submitLockEntry($story_id,$ip);
	}
	public function submitLeadEntry()
	{
		$ip = $_REQUEST['ip'];
		$story_id = $_REQUEST['story_id'];
		$email = $_REQUEST['story_id'];
		$this->Datamodel->submitLeadEntry($story_id,$ip,$email);
	}
	public function submitSwipe()
	{
		$op = array();
		$story_id = $_REQUEST['story_id'];
		$poll = $_REQUEST['poll'];
		$index = $_REQUEST['index'];
		$total_cards = $_REQUEST['total_cards'];
		$ip = $_REQUEST['ip'];
		$checker = $this->Datamodel->checkSwipe($story_id,$ip,$index);
		if($checker)
		{
			$this->Datamodel->submitSwipe($index,$story_id,$ip,$poll);
		}	
		if($index == 1)
		{
			for($i=1;$i<=$total_cards;$i++)
			{
				$op['likes'][$i] = $this->Datamodel->CalculateSwipeVotes($i,$story_id);
			}
			
		}
		die(json_encode($op));	
	}
	
	public function homepage()
	{
		//echo 'homepage';
	
		$this->data['site'] = $this->uri->segment(1);
		$userID = $this->Datamodel->getUserID($this->data['site']);
		if($userID !== '')	
		{	$this->data['settings'] = $this->Datamodel->fetchAllSettingsID($userID);
		if(isset($this->data['settings']) && !empty($this->data['settings']))
	{
		foreach($this->data['settings'] as $single)
		{
			$total = $single['siteData']->per_page;
		}
	}else
	{
		$total = 6;
	}		
		$this->data['stories'] = $this->Datamodel->getUserStories($userID,0,$total);
		
		$this->load->view('front/homepage',$this->data);		
		}else
		{
			$this->load->view('front/my404');		
		}
		
	}

	public function loadMoreStories()
	{

		$page_id = $_REQUEST['page_id'];
		$layout = $_REQUEST['layout'];
		$subdomain_id = $_REQUEST['subdomain_id'];

		$stories = $this->Embeded_model->getUserStories($subdomain_id ,$page_id);

		if(!empty($stories))
		{


			foreach ($stories as $key => $value) {
				$val = $value['siteData'];

				$story_id = $val->story_id;
                $story_title = $val->title;
                $story_title =  strlen($story_title) > 30? substr($story_title,0,30)."..." : $story_title;

                $created_date = $val->date_created;
                $user_id = $val->user_id;
                $description = $val->description;
                $description =  strlen($description) > 320? substr($description,0,320)."..." : $description;

                $thumbnail = $val->image;
                $categories = $val->categories;
                $tags = $val->tags;

                $hot = $val->hot;
                $trending = $val->trending;
                $popular = $val->popular;
                $latest = $val->latest;
                $type = $val->type;
				$fetchTypesName = $this->fetchTypesName($type);

                if(!empty($tags))
                {
                    $tags = explode(",", $tags);
                }

                $main_type = "Hot";

                $author_name = $this->fetchUsername($user_id);

                if($hot==1)
                {
                    $main_type = "Hot";
                    $icon = "https://retainio.app/assets/images/hot.png";
                    $color_cls = "light_red_bg";
                    $hover_class = 'hot_clr_box';
                }
                elseif ($trending==1) {
                    $main_type = "Trending";
                    $icon = "https://retainio.app/assets/images/trending.png";
                    $color_cls = "green_bg";
                    $hover_class = 'g_clr_box';

                }
                elseif ($popular==1) {
                    $main_type = "Popular";
                    $icon = "https://retainio.app/assets/images/popular.png";
                    $color_cls = "yelw_bg";
                    $hover_class = 'yelw_clr_box';

                }
                else
                {
                    $main_type = "Latest";
                    $icon = "https://retainio.app/assets/images/clock.png";
                    $color_cls = "blue_bg";
                    $hover_class = 'sky_clr_box';


                }
                if(empty($thumbnail))
                {
                    $thumbnail = 'https://retainio.app/assets/images/wow3.jpg';
                }

                if($layout==1)
				{
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx mb_30 <?= $hover_class ?>">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img"></a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                    <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                                </a>
                            </div>
                            <figure>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                	<img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img">
                                </a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="art_b_rw_1">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div>
                                <p class="link_extrm">
                                   
                                    <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                   
                                </p>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4><?= $story_title ?></h4></a>
                                <div class="btm_rw">
                                    <ul class="by_j pull-left"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic.png" alt="img"></a></div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>

                    </div>
					<?php
				}
				elseif ($layout==2) {
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx cl_inner_mid ">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img">
                                </a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd"><img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                            </div>
                            <figure class="<?= $hover_class ?>">
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img"></a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="tindx_wrap mb_15">
                                    <div class="art_b_rw_1 pull-left">
                                        <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                        	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                        </a>
                                    </div>
                                    <p class="link_extrm pull-right mt_0">
                                          <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                    </p>
                                   <div class="clearfix"></div>
                                </div>
                                <div class="mindx_wrap">
                                    <div class="cl_st_1 pull-left">
                                        <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4></a>
                                        <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    </div>
                                    <!-- <div class="cl_st_2 pull-right">
                                        <div class="share_r">
                                            <a href="#"><img src="images/share_ic2.png" alt="img"></a>
                                        </div>
                                    </div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==3) {
					?>
					<div class="col-sm-12">
                        <div class="hz_ms_wrap">
                            <div class="m_stories article_col r_small_bx cl_inner_mid ">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="thmnl_cl_ms">
                                        <div class="art_sub_t">
                                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10"><img src="<?= $icon ?>" alt="img"></a>
                                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                                            </div>
                                            <figure class="<?= $hover_class ?> "><a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full l_3_img" alt="img"></a></figure>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <figcaption class="bdy">
                                            <div class="tindx_wrap mb_15">
                                                <div class="art_b_rw_1 pull-left">
                                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                                    </a>
                                                </div>
                                                <p class="link_extrm pull-right mt_0">
                                                   <?php
                                                        if(is_array($tags))
                                                        {
                                                            $tags_in = 1;

                                                            foreach ($tags as $key => $tag) {
                                                                if($tags_in<=4)
                                                                {
                                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                                    ?>
                                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                                    <?php
                                                                }
                                                                $tags_in++;
                                                            }
                                                        }
                                                    ?>
                                                </p>

                                                <div class="clearfix"></div>
                                            </div>
                                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4></a>
                                            <hr>
                                            <div class="mindx_wrap">
                                                <div class="cl_st_1 pull-left pt_by">
                                                <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,Y',$created_date) ?></li></ul>
                                                </div>

                                                <!-- <div class="cl_st_2 pull-left"><div class="share_r"><a href="#" class="share_lnk"><img src="images/share_ic.png" alt="img"></a></div></div> -->
                                                <div class="clearfix"></div>
                                            </div>
                                        </figcaption>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==4) {
					?>
					<li class="">
					<div class="m_stories article_col r_small_bx cl_inner_mid">
                        <div class="art_sub_t">
                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                <img src="<?= $icon ?>" alt="img">
                            </a>
                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                            </a>
                        </div>
                        <figure>
                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full" alt="img"></a>
                        </figure>
                        <figcaption class="bdy">
                            <div class="tindx_wrap mb_15">
                                <div class="art_b_rw_1 pull-left">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div> 
                                <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic2.png" alt="img"></a></div> -->
                                <div class="clearfix"></div>
                            </div>
                            <p class="link_extrm  mt_0">
                                 <?php
                                    if(is_array($tags))
                                    {
                                        $tags_in = 1;

                                        foreach ($tags as $key => $tag) {
                                            if($tags_in<=4)
                                            {
                                                $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                ?>
                                                <a href="javascript:void(0)"><?= $tag ?></a>
                                                <?php
                                            }
                                            $tags_in++;
                                        }
                                    }
                                ?>
                            </p>
                            <div class="mindx_wrap">
                                <div class="cl_st_1 ">
                                    <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> </a>
                                    <ul class="by_j"><li><?= $author_name ?></li><li><?= date("d M,Y",$created_date) ?></li></ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </figcaption>

                    </div>
                	</li>
					<?php
				}


			}
			
		}
	}


	// topics stories

	public function loadMoreTopicStories()
	{
		$page_id = $_REQUEST['page_id'];
		$layout = $_REQUEST['layout'];
		$subdomain_id = $_REQUEST['subdomain_id'];
		$topic_name = $_REQUEST['topic_name'];

		$stories = $this->Embeded_model->getUserTopicStories($subdomain_id ,$page_id,$topic_name);

		if(!empty($stories))
		{


			foreach ($stories as $key => $value) {
				$val = $value['siteData'];

				$story_id = $val->story_id;
                $story_title = $val->title;
                $story_title =  strlen($story_title) > 30? substr($story_title,0,30)."..." : $story_title;

                $created_date = $val->date_created;
                $user_id = $val->user_id;
                $description = $val->description;
                $description =  strlen($description) > 320? substr($description,0,320)."..." : $description;

                $thumbnail = $val->image;
                $categories = $val->categories;
                $tags = $val->tags;

                $hot = $val->hot;
                $trending = $val->trending;
                $popular = $val->popular;
                $latest = $val->latest;
                $type = $val->type;
				$fetchTypesName = $this->fetchTypesName($type);



                if(!empty($tags))
                {
                    $tags = explode(",", $tags);
                }

                $main_type = "Hot";

                $author_name = $this->fetchUsername($user_id);

                if($topic_name=='hot')
                {
                    $main_type = "Hot";
                    $icon = "https://retainio.app/assets/images/hot.png";
                    $color_cls = "light_red_bg";
                    $hover_class = 'hot_clr_box';
                }
                elseif ($topic_name=='trending') {
                    $main_type = "Trending";
                    $icon = "https://retainio.app/assets/images/trending.png";
                    $color_cls = "green_bg";
                    $hover_class = 'g_clr_box';

                }
                elseif ($topic_name=='popular') {
                    $main_type = "Popular";
                    $icon = "https://retainio.app/assets/images/popular.png";
                    $color_cls = "yelw_bg";
                    $hover_class = 'yelw_clr_box';

                }
                else
                {
                    $main_type = "Latest";
                    $icon = "https://retainio.app/assets/images/clock.png";
                    $color_cls = "blue_bg";
                    $hover_class = 'sky_clr_box';


                }

               
                if(empty($thumbnail))
                {
                    $thumbnail = 'https://retainio.app/assets/images/wow3.jpg';
                }

                if($layout==1)
				{
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx mb_30 <?= $hover_class ?>">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img"></a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                    <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                                </a>
                            </div>
                            <figure>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                	<img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img">
                                </a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="art_b_rw_1">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div>
                                <p class="link_extrm">
                                   
                                    <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                   
                                </p>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4><?= $story_title ?></h4></a>
                                <div class="btm_rw">
                                    <ul class="by_j pull-left"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic.png" alt="img"></a></div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>

                    </div>
					<?php
				}
				elseif ($layout==2) {
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx cl_inner_mid ">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img">
                                </a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd"><img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                            </div>
                            <figure class="<?= $hover_class ?>">
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img"></a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="tindx_wrap mb_15">
                                    <div class="art_b_rw_1 pull-left">
                                        <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                        	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                        </a>
                                    </div>
                                    <p class="link_extrm pull-right mt_0">
                                          <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                    </p>
                                   <div class="clearfix"></div>
                                </div>
                                <div class="mindx_wrap">
                                    <div class="cl_st_1 pull-left">
                                        <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> </a>
                                        <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    </div>
                                    <!-- <div class="cl_st_2 pull-right">
                                        <div class="share_r">
                                            <a href="#"><img src="images/share_ic2.png" alt="img"></a>
                                        </div>
                                    </div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==3) {
					?>
					<div class="col-sm-12">
                        <div class="hz_ms_wrap">
                            <div class="m_stories article_col r_small_bx cl_inner_mid ">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="thmnl_cl_ms">
                                        <div class="art_sub_t">
                                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10"><img src="<?= $icon ?>" alt="img"></a>
                                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                                            </div>
                                            <figure class="<?= $hover_class ?> "><a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full l_3_img" alt="img"></a></figure>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <figcaption class="bdy">
                                            <div class="tindx_wrap mb_15">
                                                <div class="art_b_rw_1 pull-left">
                                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                                    </a>
                                                </div>
                                                <p class="link_extrm pull-right mt_0">
                                                   <?php
                                                        if(is_array($tags))
                                                        {
                                                            $tags_in = 1;

                                                            foreach ($tags as $key => $tag) {
                                                                if($tags_in<=4)
                                                                {
                                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                                    ?>
                                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                                    <?php
                                                                }
                                                                $tags_in++;
                                                            }
                                                        }
                                                    ?>
                                                </p>

                                                <div class="clearfix"></div>
                                            </div>
                                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4></a>
                                            <hr>
                                            <div class="mindx_wrap">
                                                <div class="cl_st_1 pull-left pt_by">
                                                <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,Y',$created_date) ?></li></ul>
                                                </div>

                                                <!-- <div class="cl_st_2 pull-left"><div class="share_r"><a href="#" class="share_lnk"><img src="images/share_ic.png" alt="img"></a></div></div> -->
                                                <div class="clearfix"></div>
                                            </div>
                                        </figcaption>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==4) {
					?>
					<li class="">
					<div class="m_stories article_col r_small_bx cl_inner_mid">
                        <div class="art_sub_t">
                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                <img src="<?= $icon ?>" alt="img">
                            </a>
                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                            </a>
                        </div>
                        <figure>
                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full" alt="img"></a>
                        </figure>
                        <figcaption class="bdy">
                            <div class="tindx_wrap mb_15">
                                <div class="art_b_rw_1 pull-left">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div> 
                                <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic2.png" alt="img"></a></div> -->
                                <div class="clearfix"></div>
                            </div>
                            <p class="link_extrm  mt_0">
                                 <?php
                                    if(is_array($tags))
                                    {
                                        $tags_in = 1;

                                        foreach ($tags as $key => $tag) {
                                            if($tags_in<=4)
                                            {
                                                $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                ?>
                                                <a href="javascript:void(0)"><?= $tag ?></a>
                                                <?php
                                            }
                                            $tags_in++;
                                        }
                                    }
                                ?>
                            </p>
                            <div class="mindx_wrap">
                                <div class="cl_st_1 ">
                                    <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                    	<h4 class="mt_0"><?= $story_title ?></h4> 
                                    </a>
                                    <ul class="by_j"><li><?= $author_name ?></li><li><?= date("d M,Y",$created_date) ?></li></ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </figcaption>

                    </div>
                	</li>
					<?php
				}


			}
			
		}
	}

	// categories story

	public function loadMoreCatStories()
	{	

		$page_id = $_REQUEST['page_id'];
		$layout = $_REQUEST['layout'];
		$subdomain_id = $_REQUEST['subdomain_id'];
		$cat_id = $_REQUEST['cat_id'];

		$stories = $this->Embeded_model->getUserCatStories($subdomain_id ,$page_id,$cat_id);

		if(!empty($stories))
		{


			foreach ($stories as $key => $value) {
				$val = $value['siteData'];

				$story_id = $val->story_id;
                $story_title = $val->title;
                $story_title =  strlen($story_title) > 30? substr($story_title,0,30)."..." : $story_title;

                $created_date = $val->date_created;
                $user_id = $val->user_id;
                $description = $val->description;
                $description =  strlen($description) > 320? substr($description,0,320)."..." : $description;

                $thumbnail = $val->image;
                $categories = $val->categories;
                $tags = $val->tags;

                $hot = $val->hot;
                $trending = $val->trending;
                $popular = $val->popular;
                $latest = $val->latest;
                $type = $val->type;
				$fetchTypesName = $this->fetchTypesName($type);



                if(!empty($tags))
                {
                    $tags = explode(",", $tags);
                }

                $main_type = "Hot";

                $author_name = $this->fetchUsername($user_id);

                if($hot==1)
                {
                    $main_type = "Hot";
                    $icon = "https://retainio.app/assets/images/hot.png";
                    $color_cls = "light_red_bg";
                    $hover_class = 'hot_clr_box';
                }
                elseif ($trending==1) {
                    $main_type = "Trending";
                    $icon = "https://retainio.app/assets/images/trending.png";
                    $color_cls = "green_bg";
                    $hover_class = 'g_clr_box';

                }
                elseif ($popular==1) {
                    $main_type = "Popular";
                    $icon = "https://retainio.app/assets/images/popular.png";
                    $color_cls = "yelw_bg";
                    $hover_class = 'yelw_clr_box';

                }
                else
                {
                    $main_type = "Latest";
                    $icon = "https://retainio.app/assets/images/clock.png";
                    $color_cls = "blue_bg";
                    $hover_class = 'sky_clr_box';
				}

               
                if(empty($thumbnail))
                {
                    $thumbnail = 'https://retainio.app/assets/images/wow3.jpg';
                }

                if($layout==1)
				{
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx mb_30 <?= $hover_class ?>">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img"></a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                    <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                                </a>
                            </div>
                            <figure>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                	<img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img">
                                </a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="art_b_rw_1">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div>
                                <p class="link_extrm">
                                   
                                    <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                   
                                </p>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4><?= $story_title ?></h4></a>
                                <div class="btm_rw">
                                    <ul class="by_j pull-left"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic.png" alt="img"></a></div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>

                    </div>
					<?php
				}
				elseif ($layout==2) {
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx cl_inner_mid ">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img">
                                </a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd"><img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                            </div>
                            <figure class="<?= $hover_class ?>">
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img"></a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="tindx_wrap mb_15">
                                    <div class="art_b_rw_1 pull-left">
                                        <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                        	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                        </a>
                                    </div>
                                    <p class="link_extrm pull-right mt_0">
                                          <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                    </p>
                                   <div class="clearfix"></div>
                                </div>
                                <div class="mindx_wrap">
                                    <div class="cl_st_1 pull-left">
                                        <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> 
                                        </a>
                                        <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    </div>
                                    <!-- <div class="cl_st_2 pull-right">
                                        <div class="share_r">
                                            <a href="#"><img src="images/share_ic2.png" alt="img"></a>
                                        </div>
                                    </div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==3) {
					?>
					<div class="col-sm-12">
                        <div class="hz_ms_wrap">
                            <div class="m_stories article_col r_small_bx cl_inner_mid ">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="thmnl_cl_ms">
                                        <div class="art_sub_t">
                                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10"><img src="<?= $icon ?>" alt="img"></a>
                                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                                            </div>
                                            <figure class="<?= $hover_class ?> "><a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full l_3_img" alt="img"></a></figure>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <figcaption class="bdy">
                                            <div class="tindx_wrap mb_15">
                                                <div class="art_b_rw_1 pull-left">
                                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                                    </a>
                                                </div>
                                                <p class="link_extrm pull-right mt_0">
                                                   <?php
                                                        if(is_array($tags))
                                                        {
                                                            $tags_in = 1;

                                                            foreach ($tags as $key => $tag) {
                                                                if($tags_in<=4)
                                                                {
                                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                                    ?>
                                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                                    <?php
                                                                }
                                                                $tags_in++;
                                                            }
                                                        }
                                                    ?>
                                                </p>

                                                <div class="clearfix"></div>
                                            </div>
                                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4>
                                            </a>
                                            <hr>
                                            <div class="mindx_wrap">
                                                <div class="cl_st_1 pull-left pt_by">
                                                <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,Y',$created_date) ?></li></ul>
                                                </div>

                                                <!-- <div class="cl_st_2 pull-left"><div class="share_r"><a href="#" class="share_lnk"><img src="images/share_ic.png" alt="img"></a></div></div> -->
                                                <div class="clearfix"></div>
                                            </div>
                                        </figcaption>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==4) {
					?>
					<li class="">
					<div class="m_stories article_col r_small_bx cl_inner_mid">
                        <div class="art_sub_t">
                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                <img src="<?= $icon ?>" alt="img">
                            </a>
                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                            </a>
                        </div>
                        <figure>
                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full" alt="img"></a>
                        </figure>
                        <figcaption class="bdy">
                            <div class="tindx_wrap mb_15">
                                <div class="art_b_rw_1 pull-left">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip"><span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div> 
                                <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic2.png" alt="img"></a></div> -->
                                <div class="clearfix"></div>
                            </div>
                            <p class="link_extrm  mt_0">
                                 <?php
                                    if(is_array($tags))
                                    {
                                        $tags_in = 1;

                                        foreach ($tags as $key => $tag) {
                                            if($tags_in<=4)
                                            {
                                                $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                ?>
                                                <a href="javascript:void(0)"><?= $tag ?></a>
                                                <?php
                                            }
                                            $tags_in++;
                                        }
                                    }
                                ?>
                            </p>
                            <div class="mindx_wrap">
                                <div class="cl_st_1 ">
                                    <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                    	<h4 class="mt_0"><?= $story_title ?></h4> 
                                    </a>
                                    <ul class="by_j"><li><?= $author_name ?></li><li><?= date("d M,Y",$created_date) ?></li></ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </figcaption>

                    </div>
                	</li>
					<?php
				}


			}
			
		}

	}	


	public function loadMoretypeStories()
	{	

		$page_id = $_REQUEST['page_id'];
		$layout = $_REQUEST['layout'];
		$subdomain_id = $_REQUEST['subdomain_id'];
		$type = $_REQUEST['type'];

		$stories = $this->Embeded_model->getUserTypetories($subdomain_id ,$page_id,$type);

		if(!empty($stories))
		{


			foreach ($stories as $key => $value) {
				$val = $value['siteData'];

				$story_id = $val->story_id;
                $story_title = $val->title;
                $story_title =  strlen($story_title) > 30? substr($story_title,0,30)."..." : $story_title;

                $created_date = $val->date_created;
                $user_id = $val->user_id;
                $description = $val->description;
                $description =  strlen($description) > 320? substr($description,0,320)."..." : $description;

                $thumbnail = $val->image;
                $categories = $val->categories;
                $tags = $val->tags;

                $hot = $val->hot;
                $trending = $val->trending;
                $popular = $val->popular;
                $latest = $val->latest;
                $type = $val->type;
				$fetchTypesName = $this->fetchTypesName($type);



                if(!empty($tags))
                {
                    $tags = explode(",", $tags);
                }

                $main_type = "Hot";

                $author_name = $this->fetchUsername($user_id);

                if($hot==1)
                {
                    $main_type = "Hot";
                    $icon = "https://retainio.app/assets/images/hot.png";
                    $color_cls = "light_red_bg";
                    $hover_class = 'hot_clr_box';
                }
                elseif ($trending==1) {
                    $main_type = "Trending";
                    $icon = "https://retainio.app/assets/images/trending.png";
                    $color_cls = "green_bg";
                    $hover_class = 'g_clr_box';

                }
                elseif ($popular==1) {
                    $main_type = "Popular";
                    $icon = "https://retainio.app/assets/images/popular.png";
                    $color_cls = "yelw_bg";
                    $hover_class = 'yelw_clr_box';

                }
                else
                {
                    $main_type = "Latest";
                    $icon = "https://retainio.app/assets/images/clock.png";
                    $color_cls = "blue_bg";
                    $hover_class = 'sky_clr_box';
				}

               
                if(empty($thumbnail))
                {
                    $thumbnail = 'https://retainio.app/assets/images/wow3.jpg';
                }

                if($layout==1)
				{
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx mb_30 <?= $hover_class ?>">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img"></a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                    <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                                </a>
                            </div>
                            <figure>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                	<img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img">
                                </a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="art_b_rw_1">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div>
                                <p class="link_extrm">
                                   
                                    <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                   
                                </p>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4><?= $story_title ?></h4>
                                </a>
                                <div class="btm_rw">
                                    <ul class="by_j pull-left"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic.png" alt="img"></a></div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>

                    </div>
					<?php
				}
				elseif ($layout==2) {
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx cl_inner_mid ">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img">
                                </a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd"><img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                            </div>
                            <figure class="<?= $hover_class ?>">
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img"></a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="tindx_wrap mb_15">
                                    <div class="art_b_rw_1 pull-left">
                                        <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                        	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                        </a>
                                    </div>
                                    <p class="link_extrm pull-right mt_0">
                                          <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                    </p>
                                   <div class="clearfix"></div>
                                </div>
                                <div class="mindx_wrap">
                                    <div class="cl_st_1 pull-left">
                                        <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> 
                                        </a>
                                        <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    </div>
                                    <!-- <div class="cl_st_2 pull-right">
                                        <div class="share_r">
                                            <a href="#"><img src="images/share_ic2.png" alt="img"></a>
                                        </div>
                                    </div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==3) {
					?>
					<div class="col-sm-12">
                        <div class="hz_ms_wrap">
                            <div class="m_stories article_col r_small_bx cl_inner_mid ">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="thmnl_cl_ms">
                                        <div class="art_sub_t">
                                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10"><img src="<?= $icon ?>" alt="img"></a>
                                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                                            </div>
                                            <figure class="<?= $hover_class ?> "><a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full l_3_img" alt="img"></a></figure>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <figcaption class="bdy">
                                            <div class="tindx_wrap mb_15">
                                                <div class="art_b_rw_1 pull-left">
                                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                                    </a>
                                                </div>
                                                <p class="link_extrm pull-right mt_0">
                                                   <?php
                                                        if(is_array($tags))
                                                        {
                                                            $tags_in = 1;

                                                            foreach ($tags as $key => $tag) {
                                                                if($tags_in<=4)
                                                                {
                                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                                    ?>
                                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                                    <?php
                                                                }
                                                                $tags_in++;
                                                            }
                                                        }
                                                    ?>
                                                </p>

                                                <div class="clearfix"></div>
                                            </div>
                                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4>
                                            </a>
                                            <hr>
                                            <div class="mindx_wrap">
                                                <div class="cl_st_1 pull-left pt_by">
                                                <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,Y',$created_date) ?></li></ul>
                                                </div>

                                                <!-- <div class="cl_st_2 pull-left"><div class="share_r"><a href="#" class="share_lnk"><img src="images/share_ic.png" alt="img"></a></div></div> -->
                                                <div class="clearfix"></div>
                                            </div>
                                        </figcaption>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==4) {
					?>
					<li class="">
					<div class="m_stories article_col r_small_bx cl_inner_mid">
                        <div class="art_sub_t">
                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                <img src="<?= $icon ?>" alt="img">
                            </a>
                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                            </a>
                        </div>
                        <figure>
                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full" alt="img"></a>
                        </figure>
                        <figcaption class="bdy">
                            <div class="tindx_wrap mb_15">
                                <div class="art_b_rw_1 pull-left">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div> 
                                <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic2.png" alt="img"></a></div> -->
                                <div class="clearfix"></div>
                            </div>
                            <p class="link_extrm  mt_0">
                                 <?php
                                    if(is_array($tags))
                                    {
                                        $tags_in = 1;

                                        foreach ($tags as $key => $tag) {
                                            if($tags_in<=4)
                                            {
                                                $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                ?>
                                                <a href="javascript:void(0)"><?= $tag ?></a>
                                                <?php
                                            }
                                            $tags_in++;
                                        }
                                    }
                                ?>
                            </p>
                            <div class="mindx_wrap">
                                <div class="cl_st_1 ">
                                    <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                    	<h4 class="mt_0"><?= $story_title ?></h4> 
                                    </a>
                                    <ul class="by_j"><li><?= $author_name ?></li><li><?= date("d M,Y",$created_date) ?></li></ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </figcaption>

                    </div>
                	</li>
					<?php
				}


			}
			
		}

	}	


	public function loadMoresearch()
	{


		$page_id = $_REQUEST['page_id'];
		$layout = $_REQUEST['layout'];
		$subdomain_id = $_REQUEST['subdomain_id'];
		$q = $_REQUEST['search_item'];

		$stories = $this->Embeded_model->getUserSearchStories($subdomain_id ,$page_id,$q);

		if(!empty($stories))
		{


			foreach ($stories as $key => $value) {
				$val = $value['siteData'];

				$story_id = $val->story_id;
                $story_title = $val->title;
                $story_title =  strlen($story_title) > 30? substr($story_title,0,30)."..." : $story_title;

                $created_date = $val->date_created;
                $user_id = $val->user_id;
                $description = $val->description;
                $description =  strlen($description) > 320? substr($description,0,320)."..." : $description;

                $thumbnail = $val->image;
                $categories = $val->categories;
                $tags = $val->tags;

                $hot = $val->hot;
                $trending = $val->trending;
                $popular = $val->popular;
                $latest = $val->latest;
                $type = $val->type;
				$fetchTypesName = $this->fetchTypesName($type);



                if(!empty($tags))
                {
                    $tags = explode(",", $tags);
                }

                $main_type = "Hot";

                $author_name = $this->fetchUsername($user_id);

                if($hot==1)
                {
                    $main_type = "Hot";
                    $icon = "https://retainio.app/assets/images/hot.png";
                    $color_cls = "light_red_bg";
                    $hover_class = 'hot_clr_box';
                }
                elseif ($trending==1) {
                    $main_type = "Trending";
                    $icon = "https://retainio.app/assets/images/trending.png";
                    $color_cls = "green_bg";
                    $hover_class = 'g_clr_box';

                }
                elseif ($popular==1) {
                    $main_type = "Popular";
                    $icon = "https://retainio.app/assets/images/popular.png";
                    $color_cls = "yelw_bg";
                    $hover_class = 'yelw_clr_box';

                }
                else
                {
                    $main_type = "Latest";
                    $icon = "https://retainio.app/assets/images/clock.png";
                    $color_cls = "blue_bg";
                    $hover_class = 'sky_clr_box';
				}

               
                if(empty($thumbnail))
                {
                    $thumbnail = 'https://retainio.app/assets/images/wow3.jpg';
                }

                if($layout==1)
				{
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx mb_30 <?= $hover_class ?>">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img"></a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                    <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                                </a>
                            </div>
                            <figure>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                	<img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img">
                                </a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="art_b_rw_1">
                                	<a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div>
                                <p class="link_extrm">
                                   
                                    <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                   
                                </p>
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4><?= $story_title ?></h4>
                                </a>
                                <div class="btm_rw">
                                    <ul class="by_j pull-left"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic.png" alt="img"></a></div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>

                    </div>
					<?php
				}
				elseif ($layout==2) {
					?>
					<div class="col-sm-6">
                        <div class="m_stories article_col r_small_bx cl_inner_mid ">
                            <div class="art_sub_t">
                                <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                    <img src="<?= $icon ?>" alt="img">
                                </a>
                                <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd"><img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                            </div>
                            <figure class="<?= $hover_class ?>">
                                <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full view_stories" alt="img"></a>
                            </figure>
                            <figcaption class="bdy">
                                <div class="tindx_wrap mb_15">
                                    <div class="art_b_rw_1 pull-left">
                                        <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                        	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                        </a>
                                    </div>
                                    <p class="link_extrm pull-right mt_0">
                                          <?php
                                        if(is_array($tags))
                                        {
                                            $tags_in = 1;

                                            foreach ($tags as $key => $tag) {
                                                if($tags_in<=4)
                                                {
                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                    ?>
                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                    <?php
                                                }
                                                $tags_in++;
                                            }
                                        }
                                    ?>
                                    </p>
                                   <div class="clearfix"></div>
                                </div>
                                <div class="mindx_wrap">
                                    <div class="cl_st_1 pull-left">
                                        <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> 
                                        </a>
                                        <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,y',$created_date) ?></li></ul>
                                    </div>
                                    <!-- <div class="cl_st_2 pull-right">
                                        <div class="share_r">
                                            <a href="#"><img src="images/share_ic2.png" alt="img"></a>
                                        </div>
                                    </div> -->
                                    <div class="clearfix"></div>
                                </div>
                            </figcaption>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==3) {
					?>
					<div class="col-sm-12">
                        <div class="hz_ms_wrap">
                            <div class="m_stories article_col r_small_bx cl_inner_mid ">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="thmnl_cl_ms">
                                        <div class="art_sub_t">
                                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10"><img src="<?= $icon ?>" alt="img"></a>
                                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img"></a>
                                            </div>
                                            <figure class="<?= $hover_class ?> "><a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full l_3_img" alt="img"></a></figure>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <figcaption class="bdy">
                                            <div class="tindx_wrap mb_15">
                                                <div class="art_b_rw_1 pull-left">
                                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                                    </a>
                                                </div>
                                                <p class="link_extrm pull-right mt_0">
                                                   <?php
                                                        if(is_array($tags))
                                                        {
                                                            $tags_in = 1;

                                                            foreach ($tags as $key => $tag) {
                                                                if($tags_in<=4)
                                                                {
                                                                    $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                                    ?>
                                                                    <a href="javascript:void(0)"><?= $tag ?></a>
                                                                    <?php
                                                                }
                                                                $tags_in++;
                                                            }
                                                        }
                                                    ?>
                                                </p>

                                                <div class="clearfix"></div>
                                            </div>
                                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>">
                                            	<h4 class="mt_0"><?= $story_title ?></h4>
                                            </a>
                                            <hr>
                                            <div class="mindx_wrap">
                                                <div class="cl_st_1 pull-left pt_by">
                                                <ul class="by_j"><li>by <?= $author_name ?></li><li><?= date('d M,Y',$created_date) ?></li></ul>
                                                </div>

                                                <!-- <div class="cl_st_2 pull-left"><div class="share_r"><a href="#" class="share_lnk"><img src="images/share_ic.png" alt="img"></a></div></div> -->
                                                <div class="clearfix"></div>
                                            </div>
                                        </figcaption>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
					<?php
				}
				elseif ($layout==4) {
					?>
					<li class="">
					<div class="m_stories article_col r_small_bx cl_inner_mid">
                        <div class="art_sub_t">
                            <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip" class="blue_btn_rd mr_10">
                                <img src="<?= $icon ?>" alt="img">
                            </a>
                            <a href="/type/<?= $type ?>" title="<?= $fetchTypesName ?>" data-toggle="tooltip" class="white_btn_rd">
                                <img src="<?= $this->fetchIconLists($type) ?>" alt="img">
                            </a>
                        </div>
                        <figure>
                            <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><img src="<?= $thumbnail ?>" class="img_full" alt="img"></a>
                        </figure>
                        <figcaption class="bdy">
                            <div class="tindx_wrap mb_15">
                                <div class="art_b_rw_1 pull-left">
                                    <a href="/topics/<?= strtolower($main_type) ?>" title="<?= $main_type ?>" data-toggle="tooltip">
                                    	<span class="title_sml <?= $color_cls ?>"><?= $main_type ?></span>
                                    </a>
                                </div> 
                                <!-- <div class="share_r pull-right"><a href="#"><img src="images/share_ic2.png" alt="img"></a></div> -->
                                <div class="clearfix"></div>
                            </div>
                            <p class="link_extrm  mt_0">
                                 <?php
                                    if(is_array($tags))
                                    {
                                        $tags_in = 1;

                                        foreach ($tags as $key => $tag) {
                                            if($tags_in<=4)
                                            {
                                                $tag =  strlen($tag) > 9? substr($tag,0,9)."..." : $tag;

                                                ?>
                                                <a href="javascript:void(0)"><?= $tag ?></a>
                                                <?php
                                            }
                                            $tags_in++;
                                        }
                                    }
                                ?>
                            </p>
                            <div class="mindx_wrap">
                                <div class="cl_st_1 ">
                                    <a href="/innerpage/<?= str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id)) ?>"><h4 class="mt_0"><?= $story_title ?></h4> 
                                    </a>
                                    <ul class="by_j"><li><?= $author_name ?></li><li><?= date("d M,Y",$created_date) ?></li></ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </figcaption>

                    </div>
                	</li>
					<?php
				}


			}
			
		}
	}

	public function fetchUsername($user_id)
	{
		return $this->Embeded_model->fetchUsername($user_id);
	}
	
	public function fetchIconLists($element_name)
	{
		$list = array(
			'videoStory' => 'https://retainio.app/assets/images/video_ic.png',
			'pollStory' => 'https://retainio.app/assets/images/polls_ic.png',
			'convoItem' => 'https://retainio.app/assets/images/convo.png',
			'paraStory' => 'https://retainio.app/assets/images/paragraph.png',
			'productsStory' => 'https://retainio.app/assets/images/product_ic.png',
			'quoteStory' => 'https://retainio.app/assets/images/quote_ic.png',
			'imageStory' => 'https://retainio.app/assets/images/gallery_ic.png',
			'listStory' => 'https://retainio.app/assets/images/list_ic.png',
			'swipeItem' => 'https://retainio.app/assets/images/swiper_ic.png',
			'spinWheelDiv' => 'https://retainio.app/assets/images/spin_wheel_ic.png',
			'contentblogs' => 'https://retainio.app/assets/images/content.png',
			'flipStory' => 'https://retainio.app/assets/images/flip.png',
			'slickStory' => 'https://retainio.app/assets/images/gallery_ic.png',
		);

		return $list[$element_name];
	}


	public function fetchTypesName($element_name)
	{
		$list = array(
			'videoStory' => 'Video',
			'pollStory' => 'Poll',
			'convoItem' => 'Conversation',
			'paraStory' => 'Paragraph',
			'productsStory' => 'Product',
			'quoteStory' => 'Quotes',
			'imageStory' => 'Gallery',
			'listStory' => 'Listicle',
			'swipeItem' => 'Swiper',
			'spinWheelDiv' => 'Spin Wheel',
			'contentblogs' => 'Content Blog',
			'flipStory' => 'Flip Gallery',
			'slickStory' => 'Image Gallery',
		);

		return $list[$element_name];
	}

	public function searchKeyword()
	{
		$this->data['site'] = $_REQUEST['site'];
		$keyword = $_REQUEST['keyword'];
		$userID = $this->Datamodel->getUserID($this->data['site']);
		$page = $_REQUEST['page'];
		$stories = $this->Datamodel->getUserStoriesKeyword($userID ,$page,'',$keyword);
		if(!empty($stories))
		{
			foreach($stories as $single)
			{
				echo '<div class="col-lg-6 col-md-6 col-sm-12">
						<div class="st_cl_oto">
						<a href="'.base_url().$this->data['site'].'/'.$single['siteData']->story_id.'">';
				if($single['siteData']->image !== ''){	
					echo	'<img src="'.$single['siteData']->image.'" class="img_full"  alt="img">';
				}else
				{
					echo	'<img src="'.base_url().'assets/images/img_1.jpg" class="img_full"  alt="img">'	;				
				}
				echo	'	</a>
						<div class="discription_oto_st"><h3 class="drk_clr m_b_0">'.$single['siteData']->title.'</h3><p class="m_b_0">Published: '.date('d F Y H:i:s',$single['siteData']->date_created).'</p></div>
					</div></div>';
			}
		}else
		{
			echo 'No Results Found';
		}
	}
	//run inner page from each users site
	public function innerpage()
	{
//		echo 'innerpage';
		$this->data['story_id'] = $this->uri->segment(2);
		$this->data['site'] =  $this->uri->segment(1);
		$this->data['frame'] = $this->Datamodel->getFrameDetail($this->data['story_id']);
		if($this->data['frame'] && array_key_exists(0 , $this->data['frame']))	
		{
		$title = $this->data['frame'][0]['siteData']->title;

		$userID = $this->data['frame'][0]['siteData']->user_id;
		


		$userID = $this->Datamodel->getUserID($this->data['site']);
		$this->data['stories'] = $this->Datamodel->getUserStories($userID,0,$this->data['story_id']);	
		$this->data['settings'] = $this->Datamodel->fetchAllSettingsID($userID);
		$this->data['usertype'] = $this->Datamodel->checkUserType($this->data['story_id']);
		$this->data['polltype'] = $this->Datamodel->checkUserPoll($this->data['story_id']);
	if(isset($this->data['settings']) && !empty($this->data['settings']))
	{
		foreach($this->data['settings'] as $single)
		{
			$show_products = $single['siteData']->show_products;
		}
	}else
	{
		$show_products = 0;
	}
			if($show_products == 1)
		{$this->data['products'] = $this->getAmazonProducts($title , $userID);}	
		$this->data['bannerSettings']=$this->Datamodel->getSingleBannerSettings($this->data['story_id']);
		$this->load->view('front/innerpage',$this->data);		
	}else
		{
			$this->load->view('front/my404');		
		}	
	}
	
	//get amazon products
	public function getAmazonProducts($title , $userID)
	{
				
		
			$show = $this->amazon_get_signed_url(urlencode($title),'All',1,'',$userID);
			//echo $show;
			$ch = curl_init($show);
			curl_setopt($ch, CURLOPT_HEADER, false);
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
			$c = curl_exec($ch);
			$xml = simplexml_load_string($c);
			$json = json_encode($xml);
			$array = json_decode($json,TRUE);		
			if(!empty($array)){
				if(array_key_exists('Errors',$array))
				{
					return false;
				}else if(array_key_exists('Items',$array) && $array['Items']['TotalResults'] > 0)
				{
					return $array['Items']['Item'];
				}else
				{
					return false;
				}
			}
					
		
		
	}

	
	public function amazon_get_signed_url($searchTerm,$categories ,$pageRank = 1, $sort_by,$user) {
			$result=json_decode(json_encode($this->Datamodel->getAmazonKeysUser($user)),true);		
			$public_key = $result[0]['siteData']['api_key']; 
			$private_key = $result[0]['siteData']['secret_key'];
			$associateTag = $result[0]['siteData']['tracking_id'];
			$country =$result[0]['siteData']['country'];
			
			
		$endpoint = "webservices.amazon.".$country;
		$uri = "/onca/xml";
		$params = array(
		'AWSAccessKeyId' => $public_key,
		'AssociateTag' => $associateTag,
		'Version' => "2011-08-01",
		'Service' => "AWSECommerceService",
		'ResponseGroup' => "ItemAttributes,Images,Offers",
		'Availability' => "Available",
		'Condition' => "All",
		'Operation' => "ItemSearch",
		'ItemPage' => $pageRank,
		'SearchIndex' => $categories, //Change search index if required, you can also accept it as a parameter for the current method like $searchTerm
		'Sort'    => $sort_by,
		'Keywords' => $searchTerm);
		if(empty($params['AssociateTag'])) {
		unset($params['AssociateTag']);
		}
		// Set current timestamp if not set
		if (!isset($params["Timestamp"])) {
			$params["Timestamp"] = gmdate('Y-m-d\TH:i:s\Z');
		}
		// Sort the parameters by key
		ksort($params);
		$pairs = array();
		foreach ($params as $key => $value) {
			array_push($pairs, rawurlencode($key)."=".rawurlencode($value));
		}
		// Generate the canonical query
		$canonical_query_string = join("&", $pairs);
		// Generate the string to be signed
		$string_to_sign = "GET\n".$endpoint."\n".$uri."\n".$canonical_query_string;
		// Generate the signature required by the Product Advertising API
		$signature = base64_encode(hash_hmac("sha256", $string_to_sign, $private_key, true));
		// Generate the signed URL
		$request_url = 'http://'.$endpoint.$uri.'?'.$canonical_query_string.'&Signature='.rawurlencode($signature);
		return $request_url;
		}		
	
	public function ajax_spinForm(){
		// print_r($_REQUEST);
		$email = $_REQUEST['email'];
		$spintext = $_REQUEST['spintext'];
		$ip = $this->input->ip_address();
		$camp_id = $_REQUEST['camp_id'];

		if(!empty($camp_id)){
			$check = $this->Embeded_model->checkSpinWheelData($camp_id,$email,$ip);
			if($check==0)
			{
				$this->Embeded_model->insertSpinWheelrecord($camp_id,$email,$ip,$spintext);
				$data = array("status" => "success" );
				echo json_encode($data);
			}else{
				$data = array("status" => "error" );
				echo json_encode($data);
			}
		}else{
			$e = array("Error"=>"1");
			echo json_encode($e);
		}	
	}

	//subscribe form
	public function ajax_subscribeForm(){
		$email = $_REQUEST['email'];
		if(isset($_REQUEST['contact'])) {
			$contact = $_REQUEST['contact'];
		}else{
			$contact = "";
		}
		if(isset($_REQUEST['name'])){
			$name = $_REQUEST['name'];
		}else{
			$name = "NA";
		}
		if(isset($_REQUEST['camp_id'])){
			$camp_id = $_REQUEST['camp_id'];
		}else{
			$camp_id = "";
		}
		if(isset($_REQUEST['domain_id'])){
			$domain_id = $_REQUEST['domain_id'];
		}else{
			$domain_id = "";
		}

		$ip = $this->input->ip_address();
		
		if(isset($_REQUEST["type"])){
			$type = $_REQUEST["type"];
		}else{
			$type = "form";
		}
		
		if(!empty($email)){
			if(empty($camp_id) || $camp_id == ""){
				$check = $this->Embeded_model->checkSubscribtionByDomain($domain_id,$email,$ip);	
			}else{
				if($type == "form"){
					$check = $this->Embeded_model->checkSubscribtionByStory($camp_id,$email,$ip);	
				}else{
					$check = $this->Embeded_model->checkSubscribtionByType($camp_id,$email,$ip,$type);	
				}
				
			}
			
			if($check==0)
			{
				$this->Embeded_model->insertSubscribeRecord($camp_id,$domain_id,$email,$name,$contact,$ip,$type);
				$data = array("status" => "success" );
				echo json_encode($data);
			}else{
				$data = array("status" => "error" );
				echo json_encode($data);
			}
		}
	}
}



?>