<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
error_reporting(0); 
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\api\DefaultApi;
use Amazon\ProductAdvertisingAPI\v1\ApiException;
use Amazon\ProductAdvertisingAPI\v1\Configuration;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsRequest;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsResource;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\PartnerType;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\ProductAdvertisingAPIClientException;	
// echo __DIR__ ;exit;
// error_reporting(0);
require_once('./application/libraries/vendor/autoload.php');
    class Sites extends CI_Controller {
	public $clients =  array();
	
	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		// $this->load->library('ga_api');
		$this->load->model('Datamodel');
		$this->load->model('Usermodel');
		// $this->load->model('subdomainmodel');
		// $this->load->library('pagination');		
		$this->load->config('facebook_config');		
		$this->data['pageTitle'] = $this->lang->line('sites_page_title');
		
		if(!$this->ion_auth->logged_in()) {
			
			redirect('/login');
		
		}
		else
		{
			$user = $this->ion_auth->user()->row();
     		$this->user_id = $user->id;

			$user_client = $this->Datamodel->fetchCLients();
     		if (!empty($user_client)) 
     		{

     			foreach ($user_client as $key => $value) {
     				array_push($this->clients, $value['users']->id);
     				
     			}
     		}

     		$this->data['clients'] = $this->clients;

     		$access = $user->access;

     		if(strpos($this->session->userdata('access'), '6')==true)
	      	{
	      			$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomains($this->user_id);
			      	// print_r($fetchUsersassignDomain);

			      	if(!empty($fetchUsersassignDomain))
			      	{
			      		$subdomain_ids = array();
			      		foreach ($fetchUsersassignDomain as $key => $value) {
			      			# code...
			      			$subdomain_id = $value['assignsubdomain']->subdomain_id;

			      			array_push($subdomain_ids,$subdomain_id);
			      		}

			      		$this->data['subdomains'] = $this->Datamodel->fetchSubdomainsClientsHeaders($subdomain_ids);

			      	}
	      	}else
	      	{
     			$this->data['subdomains'] = $this->Datamodel->fetchAllSubdomain($this->data['clients']);

	      	}

     		// print_r($this->data['subdomains']);exit;

		}
			
	}

	public function index($page='' , $search=null , $clientid='')
	{

		$user = $this->ion_auth->user()->row();
		$access = $user->access;

		// print_r($access);exit;

		if($access==6 || $access == 62)
		{
			redirect("subdomains");
		}


		if ($page == ''){
		$page = 0;
		}else{
		$page = $page - 1; 
		}
  		//echo $page;	
		$itemsPerPage = 6;

        $userID = $user->id;

		if (isset($_REQUEST['search']) && !is_null($_REQUEST['search'])){
			$this->data['sites'] = $this->Datamodel->getSiteList('', $_REQUEST['search'],$itemsPerPage,$page);
			}elseif($access=='1,2,3,4,5')
			{
			$this->data["sites"]=$this->Datamodel->fetch_all_data($itemsPerPage,$page);
			$total_row = $this->Datamodel->record_count_all();
			}
			else
			{
			
			$this->data["sites"] = $this->Datamodel->fetch_data($itemsPerPage,$page);
			$total_row = $this->Datamodel->record_count();
			} 
		//	echo $total_row;
		 //pagination
		  $this->load->library('pagination');
		  $config['base_url'] =base_url() . "index.php/sites/index/";
		  
		  $config['total_rows'] = $total_row;
		  $config["per_page"] = $itemsPerPage;  
		  $config['use_page_numbers'] = TRUE;
		  $config['num_links'] = 2;
		  $config['cur_tag_open'] = '&nbsp;<a class="current">';
		  $config['cur_tag_close'] = '</a>';
		  $config['first_link'] = 'First';
		  $config['last_link'] = 'Last';
		  $config['next_link'] = 'Next';
		  $config['prev_link'] = 'Previous';
	 
		  $this->pagination->initialize($config); 
		  if($this->uri->segment(3)){
			$page = ($this->uri->segment(3)) ;
			}
			else{
			$page = 1;
			} 
		//echo $page;exit;	
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('</a>',$str_links );
		$this->data["ActiveTab"] = 'dashboard';

		$this->data['controller'] = $this;



		$total_campaign = $this->Datamodel->fetchTotalCampaignbyUsers();


		// echo $total_campaign;exit;

		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->data['create_flag'] = 1;
		
		if($userID!=1)
		{

			if(strpos($this->session->userdata('access'), '3')==true )
			{ 
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
				}
			}
			elseif(strpos($this->session->userdata('access'), '21')==true )
			{
				if($total_campaign>=300)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '2')==true )
			{
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '11')==true )
			{
				if($total_campaign>=50)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '1')==true )
			{
				if($total_campaign>=200)
				{
					$this->data['create_flag'] = 0;
				}
			}
		}

		$this->data['mysubdomain'] = $this->Datamodel->fetchMysubdomain();

		$this->load->view('pages/dashboard',$this->data);
	}
	

	public function storyDashboard($subdomain_id,$page='' , $search=null)
	{
		$user = $this->ion_auth->user()->row();
		$access = $user->access;
		 if ($page == ''){
		$page = 0;
		}else{
			$page = $page - 1; 
		}
  		//echo $page;	
		$itemsPerPage = 10;

        $userID = $user->id;

		if (isset($_REQUEST['search']) && !is_null($_REQUEST['search']))
		{
			$this->data['sites'] = $this->Datamodel->getSiteList('', $_REQUEST['search'],$itemsPerPage,$page);
		}
		elseif($access=='1,2,3,4,5')
		{
			$this->data["sites"]=$this->Datamodel->fetch_all_data($itemsPerPage,$page,$subdomain_id);
			$total_row = $this->Datamodel->record_count_all($subdomain_id);
		}
		else
		{
			// echo "string";exit;
			$this->data["sites"] = $this->Datamodel->fetch_data($itemsPerPage,$page,$subdomain_id);
			$total_row = $this->Datamodel->record_count($subdomain_id);
		} 

		  $this->load->library('pagination');
		  $config['base_url'] =base_url() .$subdomain_id."/stories/";
		  
		  $config['total_rows'] = $total_row;
		  $config["per_page"] = $itemsPerPage;  
		  $config['use_page_numbers'] = TRUE;
		  $config['num_links'] = 2;
		  $config['cur_tag_open'] = '&nbsp;<a class="current">';
		  $config['cur_tag_close'] = '</a>';
		  $config['first_link'] = 'First';
		  $config['last_link'] = 'Last';
		  $config['next_link'] = 'Next';
		  $config['prev_link'] = 'Previous';
		 
		  $this->pagination->initialize($config); 
		  if($this->uri->segment(3)){
				$page = ($this->uri->segment(3)) ;
			}
			else{
				$page = 1;
			} 
		//echo $page;exit;	
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('</a>',$str_links );
		$this->data["ActiveTab"] = 'dashboard';	
		$this->data['subdomain_id'] = $subdomain_id;	
		$this->data['controller'] = $this;


		$total_campaign = $this->Datamodel->fetchTotalCampaignbyUsers();


		// echo $total_campaign;exit;

		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->data['create_flag'] = 1;
		if($userID!=1)
		{

			if(strpos($this->session->userdata('access'), '3')==true )
			{ 
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
				}
			}
			elseif(strpos($this->session->userdata('access'), '21')==true )
			{
				if($total_campaign>=300)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '2')==true )
			{
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '11')==true )
			{
				if($total_campaign>=50)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '1')==true )
			{
				if($total_campaign>=200)
				{
					$this->data['create_flag'] = 0;
				}
			}
		}
		$this->data['mysubdomain'] = $this->Datamodel->fetchMysubdomain();
		
		$this->load->view('pages/storydashboard',$this->data);
	}

	//add this code for delete subdomain
	public function checkSubdomainDeleteStatus($id){
		$res = $this->Datamodel->checkSubdomainDeleteStatus($id);
		return $res;
	}

	public function microbuzz($subdomain_id,$page = '')
	{
		$user = $this->ion_auth->user()->row();
		$access = $user->access;
		 if ($page == ''){
		$page = 0;
		}else{
			$page = $page - 1; 
		}
  		//echo $page;	
		$itemsPerPage = 10;

        $userID = $user->id;

		if (isset($_REQUEST['search']) && !is_null($_REQUEST['search']))
		{
			$this->data['sites'] = $this->Datamodel->getSiteList('', $_REQUEST['search'],$itemsPerPage,$page);
		}
		elseif($access=='1,2,3,4,5')
		{
			$this->data["sites"]=$this->Datamodel->fetch_all_data($itemsPerPage,$page,$subdomain_id);
			$total_row = $this->Datamodel->record_count_all($subdomain_id);
		}
		else
		{
		
			$this->data["sites"] = $this->Datamodel->fetch_data($itemsPerPage,$page,$subdomain_id);
			$total_row = $this->Datamodel->record_count($subdomain_id);
		} 

		  $this->load->library('pagination');
		  $config['base_url'] =base_url() ."microbuzz/".$subdomain_id;
		  
		  $config['total_rows'] = $total_row;
		  $config["per_page"] = $itemsPerPage;  
		  $config['use_page_numbers'] = TRUE;
		  $config['num_links'] = 2;
		  $config['cur_tag_open'] = '&nbsp;<a class="current">';
		  $config['cur_tag_close'] = '</a>';
		  $config['first_link'] = 'First';
		  $config['last_link'] = 'Last';
		  $config['next_link'] = 'Next';
		  $config['prev_link'] = 'Previous';
		 
		  $this->pagination->initialize($config); 
		  if($this->uri->segment(3)){
			$page = ($this->uri->segment(3)) ;
			}
			else{
			$page = 1;
			} 
		//echo $page;exit;	
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('</a>',$str_links );
		$this->data["ActiveTab"] = 'dashboard';	
		$this->data['subdomain_id'] = $subdomain_id;	
		$this->data['controller'] = $this;


		$total_campaign = $this->Datamodel->fetchTotalCampaignbyUsers();


		// echo $total_campaign;exit;
		// print_r($this->session->userdata('access'));exit;
		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->data['create_flag'] = 1;
		
		if($userID!=1)
		{

			if(strpos($this->session->userdata('access'), '3')==true )
			{ 
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
				}
			}
			elseif(strpos($this->session->userdata('access'), '21')==true )
			{
				if($total_campaign>=300)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '2')==true )
			{
				if($total_campaign>=500)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '11')==true )
			{
				if($total_campaign>=50)
				{
					$this->data['create_flag'] = 0;
					
				}
			}
			elseif(strpos($this->session->userdata('access'), '1')==true )
			{
				if($total_campaign>=200)
				{
					$this->data['create_flag'] = 0;
				}
			}
		}
		$this->data['mysubdomain'] = $this->Datamodel->fetchMysubdomain();
		
		$this->load->view('pages/dashboard',$this->data);

	}


	public function Create($subdomain_id)
	{


		$this->data['sites'] = $this->Datamodel->getWpSites();
		$this->data['subdomain_id'] = $subdomain_id;
		$this->data['elementAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,2);


		
		$this->data['controller'] = $this;
		$this->load->view('pages/editor',$this->data);
		
	}

	
	public function Settings()
	{
		$this->data['sites'] = $this->Datamodel->getWpSites();
		$this->data['code'] = $this->Datamodel->getTrackingCode();
		$this->data['keys'] = $this->Datamodel->getAmazonKeys();
		$this->data['FbStatus'] = $this->getFbStatus();
		$this->data['youzign'] = $this->Datamodel->getYouzign();

		$this->data["ActiveTab"] = 'settings';		
		$this->data['controller'] = $this;
		$this->load->view('pages/settings', $this->data);
		
	}	

	public function getFbStatus(){
		$userFbData = $this->Datamodel->getFbStatus();
		// print_r($userFbData);
		if(!empty($userFbData))
		{
			$fbData="1";
		}
		else{
			$fbData="0";
		}
		return $fbData;
	}
	
	public function insertSite()
	{
		$url = $_REQUEST['url'];
		$username = $_REQUEST['username'];
		$password = $_REQUEST['password'];
		echo $insid = $this->Datamodel->insertSite($url,$username,$password);
		
	}

	public function insertAmazon()
	{
		$country = $_REQUEST['country'];
		$tracking_id = $_REQUEST['tracking_id'];
		$access_key = $_REQUEST['access_key'];
		$secret_key = $_REQUEST['secret_key'];
		//$checker = $this->Datamodel->checkKeys();
		echo $insid = $this->Datamodel->insertAmazon($country,$tracking_id,$access_key,$secret_key);
		
	}

	public function grabWordpress()
	{
		$id = $_REQUEST['id'];

		$sites = $this->Datamodel->getWpSite($id);
		$op['username'] = $sites[0]['siteData']->username;
		$op['password'] = $sites[0]['siteData']->password;

		// $res = json_encode($op);
		echo '	<div class="clearfix"></div></div>
				<div class="sec_f_rw"><label>Username</label><div class="sml_cl"><input name="" class="form-control txt_inpt_1" type="text" value="'.$op['username'].'" id="upusername"></div><div class="clearfix"></div></div>
				<div class="sec_f_rw"><label>Password</label><div class="sml_cl"><input name="" class="form-control txt_inpt_1" type="text" value="'.$op['password'].'" id="uppassword"></div><div class="clearfix"></div></div>';
	}
	
	public function Edit($id)
	{
		$this->data['campaign_id'] = $id;
		$this->data['frame'] = $this->Datamodel->getFrameDetail($id);
		$this->data['sites'] = $this->Datamodel->getWpSites();
		$this->data['fbpages'] = $this->Datamodel->getFacebookPages();
		$main = 1;

		$subdomain_id = $this->data['frame'][0]['siteData']->subdomain_id;

		// exit;
		$this->data['subdomain_id'] = $subdomain_id;
		$this->data['elementAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,2);

		$this->data['categories'] = $this->Datamodel->fetchAllCategories($main);
		$this->data['controller'] = $this;
		$this->load->view('pages/editor',$this->data);
	}	

	public function makePublish()
	{
		$campaign_id = $_POST['campaign_id'];
		$content = $_POST['content'];

		$this->Datamodel->makePublish($campaign_id,$content);
	}

	public function fetchSubdomainName($subdomain_id)
	{
		return $this->Datamodel->getSubdomainName($subdomain_id);
	}

	public function CloneS()
	{
		$cloneID = $_REQUEST['cloneID'];
		$oldFrame = $this->Datamodel->getFrameDetail($cloneID);
		$newTitle = $_REQUEST['storyTitle'];

		$campaign_id = $this->Datamodel->insertCampaign($newTitle,$oldFrame[0]['siteData']->description,$oldFrame[0]['siteData']->image,$oldFrame[0]['siteData']->items_loaded,$oldFrame[0]['siteData']->content,$oldFrame[0]['siteData']->tags);
			
		$this->data['campaign_id'] = $campaign_id;
		$this->data['frame'] = $this->Datamodel->getFrameDetail($campaign_id);
		$this->data['sites'] = $this->Datamodel->getWpSites();
		$this->data['elementAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,2);
		$this->data['controller'] = $this;
		$this->load->view('pages/editor',$this->data);
	
	}
	
	public function Analytics($subdomain_id = '')
	{		
		$this->data['stories'] = $this->Datamodel->getAllStories($subdomain_id);
		$this->data["ActiveTab"] = 'analytics';		
		$this->data['controller'] = $this;
		$this->data['subdomain_id'] = $subdomain_id;
		$this->load->view('pages/analytics',$this->data);
	}

	public function getAnalytics()
	{
		$story_id = $_REQUEST['id'];
		$op = array();
		$op['views'] = $this->Datamodel->getAllViews($story_id);
		$op['social'] = $this->Datamodel->getAllSocial($story_id);
		$op['unique'] = $this->Datamodel->getAllUniqueViews($story_id);
		$op['time'] = $this->Datamodel->getAverageTimeSpent($story_id);
		$op['leads'] = $this->Datamodel->getTotalLeads($story_id);
		echo json_encode($op);
		die();
	}
	
	public function deleteStory()
	{
		$id = $_REQUEST['delete_id'];
		$this->Datamodel->deleteStory($id);
	}	

	public function insertTrackingCode()
	{
		$code = $_REQUEST['code'];
		$this->Datamodel->insertTrackingCode($code);
	}
	
	public function saveLocking()
	{
		
		
	}
	
	public function searchYoutube()
	{
	error_reporting(0);
	$searchKeyword = $_REQUEST['keyword'];
	$searchKeyword = str_ireplace(' ','+',$searchKeyword);	
	$maxResults = 9;	

	if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
	{
		$flag = 1;
	}

	$defaultKeys=["AIzaSyA_ky2aSaU_eR5Lsq2dOjB0l8KJ3bKK2l4","AIzaSyCF4ZFhujh94T263qvkby_NKPD8QaPImBg","AIzaSyAMidKwa3UCVzTBjl2Whokyo4zrJy2491o","AIzaSyByhSOjxXTNxwcv4FQ4uc9hH14H3IYwvlc","AIzaSyA7s64H4zko4QZGW_bvpNAE0fD7fuN6-0o"];
	shuffle($defaultKeys);
	// echo $defaultKeys[0];
	$url = 'https://www.googleapis.com/youtube/v3/search?part=snippet&q='.$searchKeyword .'&maxResults='.$maxResults.'&order=viewCount&key='.$defaultKeys[0];
	$you_result  = $this->processURL($url);
	$video_list = json_decode($you_result);
	// print_r($video_list);
	if(isset($video_list->items))
	{
		foreach($video_list->items as $item)
		{
			
				//Embed video
			// print_r($item);exit;
			if(isset($item->id->videoId))
			{
				$video_ID = $item->id->videoId ;
				$JSON = "https://www.googleapis.com/youtube/v3/videos?part=snippet,statistics&id=".$video_ID."&key=".$defaultKeys[0];
					$data3 = $this->processURL($JSON);
					$decoded_stats = json_decode($data3, true);	
					// print_r($decoded_stats);exit;
					if(array_key_exists('tags',$decoded_stats['items'][0]['snippet']))
					{
						$tags = implode($decoded_stats['items'][0]['snippet']['tags'],',');
					}else
					{
						$tags = '';
					}


					$comments = $decoded_stats['items'][0]['statistics']['commentCount'];	
					$views = $decoded_stats['items'][0]['statistics']['viewCount'];	
					$likes = $decoded_stats['items'][0]['statistics']['likeCount'];	
					$dislikes = $decoded_stats['items'][0]['statistics']['dislikeCount'];

					if(isset($comments) && !empty($comments))
					{
						$comments = $this->formatLike($comments);
					}
					else
					{
						$comments = 0;
					}

					if(isset($views) && !empty($views))
					{
						$views = $this->formatLike($views);
					}
					else
					{
						$views = 0;
					}

					if(isset($likes) && !empty($likes))
					{
						$likes = $this->formatLike($likes);
					}
					else
					{
						$likes = 0;
					}
					//print_r($tags);exit;

					if(isset($flag) && $flag==1)
					{
						echo '<div class="col-sm-4 m_b_30"><a href="javascript:void(0);" data-toggle="tooltip" title="Click to select" class="esingleYtVideo" data-id="'.$item->id->videoId.'" data-title="'. $item->snippet->title.'" data-tags="'.$tags.'"><i class="fa fa-youtube"></i><img src="'.$item->snippet->thumbnails->medium->url .'" class=" img_full" alt="img"><p><span class="pull-left"><i class="fa fa-eye"></i>'.$views.'</span><span class="pull-right"><i class="fa fa-heart"></i>'.$likes.'</span></p></a></div>';

					}
					else{


					echo '<div class="col-sm-4 m_b_30"><a href="javascript:void(0);" data-toggle="tooltip" title="Click to select" class="singleYtVideo" data-id="'.$item->id->videoId.'" data-title="'. $item->snippet->title.'" data-tags="'.$tags.'"><i class="fa fa-youtube"></i><img src="'.$item->snippet->thumbnails->medium->url .'" class=" img_full" alt="img"><p><span class="pull-left"><i class="fa fa-eye"></i>'.$views.'</span><span class="pull-right"><i class="fa fa-heart"></i>'.$likes.'</span></p></a></div>';
				}
			}								
	
		}
		
	}
}

public function formatLike($input){
    $input = number_format($input);
    $input_count = substr_count($input, ',');
    if($input_count != '0'){
        if($input_count == '1'){
            return substr($input, 0, -4).'k';
        } else if($input_count == '2'){
            return substr($input, 0, -8).'mil';
        } else if($input_count == '3'){
            return substr($input, 0,  -12).'bil';
        } else {
            return;
        }
    } else {
        return $input;
    }
}
	
	public function searchVimeo()
	{
	$vimeoId = $_POST['keyword'];
	$vimeoId = str_ireplace(' ','+',$vimeoId);

	if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
	{
		$flag = 1;
	}

    $accesstoken = "33bd0bdfb7cef210bedf253c2d42191f";
	$maxResults = 9;
    $url = 'https://api.vimeo.com/videos?query='.$vimeoId.'&access_token='.$accesstoken.'&per_page='.$maxResults;

    $all_result  = $this->processURL($url);
    $decoded_results = json_decode($all_result, true);
    //Now parse through the $results array to display your results... 
		if(isset($decoded_results['data']))
		{	
			foreach($decoded_results['data'] as $item)
			{
					$videoid = $item['uri'];
					$videoid=str_ireplace('/videos/','',$videoid);	
					$thumbnail_link = $item['pictures']['uri'];
		
					$thumbnail_link=str_ireplace('/videos/'.$videoid.'/pictures/','',$thumbnail_link);
					$thumbnail_link = 'https://i.vimeocdn.com/video/'.$thumbnail_link.'_640x360.webp';					
					$thumbnail_link =str_ireplace('.webp','.jpg',$thumbnail_link);
					$tags = '';
					foreach($item['tags'] as $single)
					{
						$tags = $tags.','.$single['tag'];
					}		

					if(isset($flag) && $flag==1)
					{
						echo '<div class="col-sm-4 m_b_30"><a href="javascript:void(0);" class="esingleVmVideo" data-id="'.$videoid.'" data-title="'. $item['name'].'" data-tags="'.$tags.'"><img src="'.$thumbnail_link .'" class=" img_full" alt="img"></a></div>';				

					}			
					else
					{
						echo '<div class="col-sm-4 m_b_30"><a href="javascript:void(0);" class="singleVmVideo" data-id="'.$videoid.'" data-title="'. $item['name'].'" data-tags="'.$tags.'"><img src="'.$thumbnail_link .'" class=" img_full" alt="img"></a></div>';				
					}
			}
		}
		
	}
	
	public function searchPixa()
	{
		$keyword = urlencode($_REQUEST['keyword']);
		//	$result = $this->processURL("https://pixabay.com/api/?key=6885330-4e43c958367275eb56fff3aae&q=".urlencode($keyword)."&image_type=photo");
			$result = $this->processURLPixel("https://api.pexels.com/v1/search?query=$keyword");

			if(isset($_REQUEST['type']) &&  $_REQUEST['type']=='flip')
			{
				$type = 1;
			}
			else if(isset($_REQUEST['type']) &&  $_REQUEST['type']=='igal')
			{
				$type=2;
			}

			$data=json_decode($result, true, 512, JSON_BIGINT_AS_STRING);
                if($data['total_results']==0)

                {

                    echo "No Images were find for your selection";

                                exit();

                } 
				foreach ($data['photos'] as $key => $value)

                    {

                        if($value['src']['large']!='')

                        {
                        	if(isset($type) && !empty($type) && $type==1)
                        	{
                        		echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['src']['large'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$value['src']['large'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryV" data-src="'.$value['src']['large'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
                        	}
							else if(isset($type) && !empty($type) && $type==2)
                        	{
                        		echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['src']['large'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$value['src']['large'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryIg" data-src="'.$value['src']['large'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
                        	}
                        	else
                        	{


								echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['src']['large'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImage" data-src="'.$value['src']['large'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
							}
						}
					}						
		
		
	}

	public function searchPixabay(){

		$source = urlencode($_REQUEST['keyword']);

		if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
		{
			$type = 1;
		}
		else if(isset($_REQUEST['type']) &&  $_REQUEST['type']=='igal')
		{
			$type=2;
		}
		$process = $this->processURL("https://pixabay.com/api/?key=6885330-4e43c958367275eb56fff3aae&q=$source&image_type=photo");
		$process=json_decode($process, true, 512, JSON_BIGINT_AS_STRING);
					// print_r($process);
					// exit();
		$checkcount =$process['hits'];
		$count = count($checkcount);
		if($count!=0)
		{
			foreach ($checkcount as $key => $value)
			{
				if($value['webformatURL']!='')
				{
					
					if(isset($type) && !empty($type) && $type==1)
                    {
                    	echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['webformatURL'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$value['webformatURL'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryV" data-src="'.$value['webformatURL'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
                    }
					else if(isset($type) && !empty($type) && $type==2)
                    {
                    	echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['webformatURL'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$value['webformatURL'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryIg" data-src="'.$value['webformatURL'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
                    }
					else
					{
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['webformatURL'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImage1" data-src="'.$value['webformatURL'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
					}
					
										# code...
				}
			}
		}


	}
	public function processURLPixel($url2)

   {
	   //echo $url2.'aaaa';

       $header = array(

       'Accept: application/json',

       'Content-type: application/json',

       'Authorization: 563492ad6f9170000100000175d02da74c564b27bde7823e5d58ff60'

        );      
		$ch = curl_init();

        curl_setopt($ch, CURLOPT_URL, $url2);

        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);

        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);

        $output = curl_exec($ch);

        

        $info = curl_getinfo($ch);

        //print_r($info);exit;

        curl_close($ch);

      return $output;

   }
	public function searchGiphy()
	{
		$keyword = $_REQUEST['keyword'];
			if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
			{
				$type = 1;
			}
			else if(isset($_REQUEST['type']) &&  $_REQUEST['type']=='igal')
			{
				$type=2;
			}
			$result = $this->processURL("http://api.giphy.com/v1/gifs/search?q=$keyword&api_key=M0AJtiDKgP6oQsuxaUH0mc2ImxqaGhPN");
			$data=json_decode($result, true, 512, JSON_BIGINT_AS_STRING);
				
			if(array_key_exists('data',$data))
			{
				foreach($data['data'] as $single)
				{

					if(isset($type) && !empty($type) && $type==1)
                    {
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$single['images']['fixed_height_small']['url'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$single['images']['downsized']['url'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryV" data-src="'.$single['images']['downsized']['url'].'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';				

                    }
					else if(isset($type) && !empty($type) && $type==2)
                    {
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$single['images']['fixed_height_small']['url'].'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$single['images']['downsized']['url'].'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryIg" data-src="'.$single['images']['downsized']['url'].'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';				

                    }
					else
					{
						//print_r($single['images']['fixed_height_small_still']['url']);exit;
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$single['images']['fixed_height_small']['url'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImageGiphy" data-src="'.$single['images']['downsized']['url'].'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';				
					}	
				}
			}				
		
	}
	public function searchAmazon()
	{
		error_reporting(0);
		$keyword = $_REQUEST['keyword'];
		
						$products = $this->amazon_get_signed_url(urlencode($keyword),'All',1,'');
						//echo $show;


						// print_r($show);

						if(!empty($products))
						{

							echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">
									<thead>
									  <tr>
										<th>Product</th>
										<th>Price</th>
										<th>Preview</th>
										<th>View Item</th>
										<th>Action</th>
									  </tr>
									  </thead>
									  <tbody>';	

							foreach($products as $key => $item)
                            {
                                $ASIN = $item->getASIN();
                                $product_title = $item->getItemInfo()->getTitle()->getDisplayValue();
                                $product_images = $item->getImages()->getprimary()->getLarge()->getuRL();
                                $product_url = $item->getDetailPageURL();
                                $features = $item->getItemInfo()->getFeatures();

                                $features = $features->getdisplayValues();

                                // exit;
                                $features = implode( $features,",");
                                // print($features);exit;
                                if ($item->getOffers() != null
                                    and $item->getOffers() != null
                                    and $item->getOffers()->getListings() != null
                                    and $item->getOffers()->getListings()[0]->getPrice() != null
                                    and $item->getOffers()->getListings()[0]->getPrice()->getDisplayAmount() != null) {
                                   $aprice = $item->getOffers()->getListings()[0]->getPrice()
                                        ->getDisplayAmount();
                                }

                                echo '<tr>
												<td class="link_3"><a href="javascript:void(0)">'.$product_title.'</a></td>
												<td class="amzn_price">'.$aprice.'</td>
												<td><img src="'.$product_images.'" class="img-responsive"  alt="img"></td>
												<td><a href="'.$product_url.'" class="check_btn" target="_blank">Check</a></td>
												<td><a href="javascript:void(0);" class="addToQueue" data-asin="'.$ASIN.'" data-title="'.$product_title.'" data-features="'.$features.'" data-price="'.$aprice.'" data-image="'.$product_images.'" data-link="'.$product_url.'" title="Add this product"><img src="'.base_url().'assets/images/add_plus2.png"></a></td>
											  </tr>';
                                
                                ?>
                               <!--  <div class="col-sm-4">
                    				<div class="st_cl_oto">
                    				    <a href="<?php echo $product_url;?>" target="_blank">
                    				        <img src="<?php echo $product_images;?>" class="img_full" alt="<?php echo $product_title; ?>">
                    				    </a>
                    				    <div class="discription_oto_st">
                    				        <h3 class="drk_clr m_b_0">
                        				        <a href="<?php echo $product_url;?>" target="_blank">
                        				            <?php echo $product_title;?>
                        				        </a>
                    				        </h3>
                    				        <p class="m_b_0"><?php echo $product_price;?></p></div>
                    
                    				</div>
                    			</div> -->

                                <?php
                               
                            }

                            echo '</tbody>
										</table>';
						}

						
						
		
	}
	
	public function amazon_get_signed_url($searchTerm,$categories ,$pageRank = 1, $sort_by) 
	{
		$result=json_decode(json_encode($this->Datamodel->getAmazonKeys()),true);		
		$access_key = $result[0]['siteData']['api_key']; 
		$secret_key = $result[0]['siteData']['secret_key'];
		$associateTag = $result[0]['siteData']['tracking_id'];
		$country =$result[0]['siteData']['country'];
		
		$config = new Configuration();


		/*
		     * Add your credentials
		     * Please add your access key here
		*/
		$config->setAccessKey($access_key);
		    # Please add your secret key here
		$config->setSecretKey($secret_key);

  		# Please add your partner tag (store/tracking id) here
    	$partnerTag = $associateTag;

	    /*
	     * PAAPI host and region to which you want to send request
	     * For more details refer: https://webservices.amazon.com/paapi5/documentation/common-request-parameters.html#host-and-region
	     */
	    $country = "com";
	    $config->setHost('webservices.amazon.'.$country.'');
	    $config->setRegion('us-east-1');

	    $apiInstance = new DefaultApi(
	    /*
	     * If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
	     * This is optional, `GuzzleHttp\Client` will be used as default.
	     */
        new GuzzleHttp\Client(), $config);

	    # Request initialization

	    # Specify keywords
	    $keyword = $searchTerm;

	    /*
	     * Specify the category in which search request is to be made
	     * For more details, refer: https://webservices.amazon.com/paapi5/documentation/use-cases/organization-of-items-on-amazon/search-index.html
	     */
	    $searchIndex = "All";

	    
	    $resources = array(
				        SearchItemsResource::ITEM_INFOTITLE,
				        SearchItemsResource::OFFERSLISTINGSPRICE,
				        SearchItemsResource::IMAGESPRIMARYLARGE,
				        SearchItemsResource::ITEM_INFOFEATURES
				    );
		
		
		# Forming the request
	    $searchItemsRequest = new SearchItemsRequest();
	    // print_r($searchItemsRequest);exit();
	    $searchItemsRequest->setSearchIndex($searchIndex);
	    $searchItemsRequest->setKeywords($keyword);
	    $searchItemsRequest->setItemCount(10);
	    $searchItemsRequest->setPartnerTag($partnerTag);
	    $searchItemsRequest->setPartnerType(PartnerType::ASSOCIATES);
	    $searchItemsRequest->setResources($resources);
	   // $searchItemsRequest->setItemPage(10);

	    # Validating request
	    $invalidPropertyList = $searchItemsRequest->listInvalidProperties();
	    $length = count($invalidPropertyList);
	    
	    
	    if ($length > 0) {
	       // echo "Error forming the request", PHP_EOL;
	        foreach ($invalidPropertyList as $invalidProperty) {
	            echo $invalidProperty, PHP_EOL;
	        }
	        return;
	    }
	    
	     # Sending the request

	    try {
	        $searchItemsResponse = $apiInstance->searchItems($searchItemsRequest);

	       // echo 'API called successfully', PHP_EOL;
	        // echo 'Complete Response: ', $searchItemsResponse, PHP_EOL;

	        # Parsing the response
	        if ($searchItemsResponse->getSearchResult() != null) 
	        {
	            // echo 'Printing first item information in SearchResult:', PHP_EOL;
	            $item = $searchItemsResponse->getSearchResult()->getItems();
                return $item;
                // echo "hello";
	           // print_r($item);exit();
	           // if ($item != null) {
	           //     if ($item->getASIN() != null) {
	           //         echo "ASIN: ", $item->getASIN(), PHP_EOL;
	           //     }
	           //     if ($item->getDetailPageURL() != null) {
	           //         echo "DetailPageURL: ", $item->getDetailPageURL(), PHP_EOL;
	           //     }
	           //     if ($item->getItemInfo() != null
	           //         and $item->getItemInfo()->getTitle() != null
	           //         and $item->getItemInfo()->getTitle()->getDisplayValue() != null) {
	           //         echo "Title: ", $item->getItemInfo()->getTitle()->getDisplayValue(), PHP_EOL;
	           //     }
	           //     if ($item->getOffers() != null
	           //         and $item->getOffers() != null
	           //         and $item->getOffers()->getListings() != null
	           //         and $item->getOffers()->getListings()[0]->getPrice() != null
	           //         and $item->getOffers()->getListings()[0]->getPrice()->getDisplayAmount() != null) {
	           //         echo "Buying price: ", $item->getOffers()->getListings()[0]->getPrice()
	           //             ->getDisplayAmount(), PHP_EOL;
	           //     }
	           // }
	        }
	        
	        if ($searchItemsResponse->getErrors() != null) {
	           // echo PHP_EOL, 'Printing Errors:', PHP_EOL, 'Printing first error object from list of errors', PHP_EOL;
	           // echo 'Error code: ', $searchItemsResponse->getErrors()[0]->getCode(), PHP_EOL;
	           // echo 'Error message: ', $searchItemsResponse->getErrors()[0]->getMessage(), PHP_EOL;
	           return false;
	        }
	    }catch (ApiException $exception) {
	       // echo "Error calling PA-API 5.0!", PHP_EOL;
	       // echo "HTTP Status Code: ", $exception->getCode(), PHP_EOL;
	       // echo "Error Message: ", $exception->getMessage(), PHP_EOL;
	       // if ($exception->getResponseObject() instanceof ProductAdvertisingAPIClientException) {
	       //     $errors = $exception->getResponseObject()->getErrors();
	       //     foreach ($errors as $error) {
	       //         echo "Error Type: ", $error->getCode(), PHP_EOL;
	       //         echo "Error Message: ", $error->getMessage(), PHP_EOL;
	       //     }
	       // } else {
	       //     echo "Error response body: ", $exception->getResponseBody(), PHP_EOL;
	       // }
	       return false;
	    } catch (Exception $exception) {
	        return false;
	       // echo "Error Message: ", $exception->getMessage(), PHP_EOL;
	    }		
			
		
	}	
	//save campaign 
	public function saveCampaign()
	{
		$title = $_REQUEST['storytitle'];
		$description = $_REQUEST['storydescription'];
		$image = $_REQUEST['storyImage'];
		$totalBlocks = $_REQUEST['totalBlocks'];
		$content = $_REQUEST['content'];
		$campaign_id = $_REQUEST['campaign_id'];
		$tags = $_REQUEST['tags'];
		$tag = implode($tags,',');

		if(isset($_REQUEST['categories']))
		{
			$categories = serialize($_REQUEST['categories']);

		}
		else
		{
			$categories = '';
		}
		$subdomain_id = $_REQUEST['subdomain_id'];
		$type = $_REQUEST['type'];

		//		print_r($tag);exit;

		if($campaign_id == '')
		{
			$campaign_id = $this->Datamodel->insertCampaign($title,$description,$image,$totalBlocks,$content,$tag,$subdomain_id,$type);
		}else
		{
			$status = 1;
			$this->Datamodel->updateCampaign($title,$description,$image,$totalBlocks,$content,$campaign_id,$tag,$categories,$subdomain_id,$type,$status);
			
		}
		echo $campaign_id;
		
	}
	public function updateWpSite()
	{
		if(isset($_REQUEST['id']) && !empty($_REQUEST['id']))
		{
			$id= $_REQUEST['id'];
			$username= $_REQUEST['username'];
			$password= $_REQUEST['password'];
			$this->Datamodel->updateWpSingleSite($id,$username,$password);	
		}
		
	}	
	public function deleteWpSite()
	{
		if(isset($_REQUEST['id'])  && !empty($_REQUEST['id']))
		{
			$id= $_REQUEST['id'];
			$this->Datamodel->deleteWpSingleSite($id);	
		}
	}
	
	public function publishWordpress()
	{
		$id = $_REQUEST['id'];
		$cid = $_REQUEST['cid'];
		$sites = $this->Datamodel->getWpSite($id);
		$blogpath = $sites[0]['siteData']->url;
		$username = $sites[0]['siteData']->username;
		$password = $sites[0]['siteData']->password;
		$frame = $this->Datamodel->getFrameDetail($cid);

		// print_r($frame);exit;
		$title = $frame[0]['siteData']->title;
		$imgUrl = $frame[0]['siteData']->image;
		$tags = $frame[0]['siteData']->tags;
		$subdomain_id = $frame[0]['siteData']->subdomain_id;
		$story_id = $cid;
		// $subdomain_name = $this->fetchSubdomainName($subdomain_id);

		$base_url = str_ireplace("https://", "", base_url());
						// "https://retainio.app/";
						// str_ireplace("https://", "", base_url());
		$base_url = str_ireplace("https://", "", $base_url);
		$base_url = str_ireplace("/PerfectStory/", "", $base_url);
		$share_url = "https://".$this->fetchSubdomainName($subdomain_id).".".$base_url."innerpage/".str_ireplace("=","",base64_encode($subdomain_id.'|'.$story_id));	
		
		// require_once("./application/libraries/IXR_Library.php.inc"); 
		
        $body= '<link rel="stylesheet" type="text/css" href="'.base_url().'assets/css/iframe.css"><div class="embed-responsive embed-responsive-16by9"><iframe class="embed-responsive-item" src="'.$share_url.'" width="560" height="320"></iframe></div>';
		
		$keywords=$tags; 
		
			require_once('./application/libraries/xmlrpcs/vender/autoload.php');
			require_once("./application/libraries/xmlrpcs/src/IXR_Value.php"); 
			$client = new IXR_Client($blogpath.'/xmlrpc.php');
			$username = $username; 
			$password = $password; 
			 $content = array( 
                 'post_title'=>$title, 
                 'post_content'=>$body, 
                 'comment_status'=>1, // 1 to allow comments 
	             'mt_allow_comments'=>1, // 1 to allow trackbacks 
	             'post_type'=>'post', 
                 'mt_keywords'=>$keywords
              ); 

			$params = array(1,$username,$password,$content,true); // Last parameter is 'true' which means post 
			 if (!$client->query('wp.newPost', $params)) { 
					die('Something went wrong - '.$client->getErrorCode().' : '.$client->getErrorMessage()); 
			   } else
				{
			echo "Article Posted Successfully"; 
			$post_id = $client->getResponse();
	
     		
        $content = array(
            'name' => basename($imgUrl),
            'type' => $this->mime_content_typee($imgUrl),
            'bits' => new IXR_Base64($this->processURL($imgUrl)),
            true
        );
        $client->query('metaWeblog.newMediaObject', 1, $username, $password, $content);
        $media = $client->getResponse();
		 $content = array(
            'post_status' => 'publish',
            'mt_keywords' => $keywords,
            'wp_post_thumbnail' => $media['id']
        );
        $client->query('metaWeblog.editPost', $post_id, $username, $password, $content, true);
	   }
	}
	
	
	private function processURL($url)
    {
        $ch = curl_init();
        curl_setopt_array($ch, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_SSL_VERIFYHOST => 2
        ));

        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }
	    function mime_content_typee($filename) {
		//return "jhh";
        $mime_types = array(
            'txt' => 'text/plain',
            'htm' => 'text/html',
            'html' => 'text/html',
            'php' => 'text/html',
            'css' => 'text/css',
            'js' => 'application/javascript',
            'json' => 'application/json',
            'xml' => 'application/xml',
            'swf' => 'application/x-shockwave-flash',
            'flv' => 'video/x-flv',
            // images
            'png' => 'image/png',
            'jpe' => 'image/jpeg',
            'jpeg' => 'image/jpeg',
            'jpg' => 'image/jpeg',
            'gif' => 'image/gif',
            'bmp' => 'image/bmp',
            'ico' => 'image/vnd.microsoft.icon',
            'tiff' => 'image/tiff',
            'tif' => 'image/tiff',
            'svg' => 'image/svg+xml',
            'svgz' => 'image/svg+xml',
            // archives
            'zip' => 'application/zip',
            'rar' => 'application/x-rar-compressed',
            'exe' => 'application/x-msdownload',
            'msi' => 'application/x-msdownload',
            'cab' => 'application/vnd.ms-cab-compressed',
            // audio/video
            'mp3' => 'audio/mpeg',
            'qt' => 'video/quicktime',
            'mov' => 'video/quicktime',
            // adobe
            'pdf' => 'application/pdf',
            'psd' => 'image/vnd.adobe.photoshop',
            'ai' => 'application/postscript',
            'eps' => 'application/postscript',
            'ps' => 'application/postscript',
            // ms office
            'doc' => 'application/msword',
            'rtf' => 'application/rtf',
            'xls' => 'application/vnd.ms-excel',
            'ppt' => 'application/vnd.ms-powerpoint',
            // open office
            'odt' => 'application/vnd.oasis.opendocument.text',
            'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
        );
        $ext = explode('.',$filename);
        $ext = strtolower(array_pop($ext));
		//print_r($ext);die;
        if (array_key_exists($ext, $mime_types)) {
           //echo $mime_types[$ext];exit;
           return $mime_types[$ext];
        }
        elseif (function_exists('finfo_open')) {
            $finfo = finfo_open(FILEINFO_MIME);
            $mimetype = finfo_file($finfo, $filename);
            finfo_close($finfo);
            return $mimetype;
        }
        else {
            return 'application/octet-stream';
        }
    }
		public function fbauth(){
		//echo "hii";die;
	require_once('./application/libraries/src/facebook.php');
      $this->data['me'] = null;
      $this->data['app_id'] =$this->config->item('commonAppID', 'facebook');
      $this->data['app_secret'] =$this->config->item('commonSecret', 'facebook');
        //echo $_REQUEST['auth'];exit;
    if(isset($_REQUEST['auth']))
    {
		
        $facebook = new Facebook(array(
            'appId'     => $this->data['app_id'],
            'secret'    => $this->data['app_secret'],
        //  'cookie'    => true
        ));
        
        if(isset($_POST['access_token']))
        {
			//echo $_POST['access_token'];exit;
            $facebook->setAccessToken($_POST['access_token']);
            $this->data['accesstoken'] = $_POST['access_token'];
            $token = $this->renewToken($_POST['access_token']);
            $this->Datamodel->updateToken($token);
        //  $accesstoken = $_POST['accesstoken'];
        }       
        $session = $facebook->getUser();
        $this->data['fb_session'] = $session;
        
        $this->data['me'] = null;
        // if have session get user data
        if ($session)
        {
            try
            {
                $fuid = $facebook->getUser();

                $this->data['me'] = $facebook->api('/me');

            /* handle the result */
                $this->data['pages'] = $facebook->api('/me/accounts');
           /*  print_r($facebook->api('/me/accounts'));
             exit; */
            }
            catch(FacebookApiException $e)
            {
                print_r($e);exit;
				error_log($e);
            }
        }
        
    //  print_r($this->data['pages']);
        //exit;
        
        if(!empty($this->data['pages']))
        {
           echo $this->Datamodel->deletePages();
            $this->data['pagedetails'] = $this->data['pages']['data'];
            
            $this->data['access_token'] =  $this->data['pages']['data'][0]['access_token'];
            
            if($this->data['pagedetails'])
            {
                
                //$this->data['pageid'] = $_POST['selectmypage'];
                //$this->data['selectmyid'] = $_POST['selectmyid'];
                //$this->data['installtab'] = $_POST['installtab'];
                foreach($this->data['pagedetails'] as $pagedetail)
                {
                //echo $pagedetail['id'];
    
                        $token = $this->processURL('https://graph.facebook.com/v2.2/oauth/access_token?grant_type=fb_exchange_token&client_id='.$this->data['app_id'].'&client_secret='.$this->data['app_secret'].'&fb_exchange_token='.$pagedetail['access_token']);
                        $arr = explode('=', $token);
                        //print_r($token);
                        $arrayT = json_decode($token,true);
                        $accessToken = str_ireplace('&expires','',$arrayT['access_token']);
                        $pageAccessToken = $pagedetail['access_token'];
                    
                        $this->Datamodel->insertPageDetail($pagedetail['id'],$pagedetail['name'],$accessToken);
    
                }
            
            }
        }
    }
		$this->data['sites'] = $this->Datamodel->getWpSites();
		$this->data['code'] = $this->Datamodel->getTrackingCode();
		$this->data['FbStatus'] = $this->getFbStatus();
		$this->data["ActiveTab"] = 'settings';	
		$this->data['controller'] = $this;	
		redirect('/Sites/Settings');
		
		$this->load->view('pages/settings', $this->data);	
	}
		public function renewToken($accessToken)
    {
		$app_id = $this->config->item('commonAppID', 'facebook');
		$app_secret = $this->config->item('commonSecret', 'facebook');;
		$acurl =  "https://graph.facebook.com/oauth/access_token?grant_type=fb_exchange_token&client_id=".$app_id."&client_secret=".$app_secret."&fb_exchange_token=".$accessToken;
		$acresponse = $this->processURL($acurl);
		$array = json_decode($acresponse , true);

			$pos=strpos($acresponse,'=');
			$pos1=strpos($acresponse,'&');
			$accessToken=substr($acresponse,$pos+1,$pos1-$pos);
			return $array['access_token'];
    }
	
	public function publishFacebook()
	{

		$user = $this->ion_auth->user()->row();
		if(!empty($user->subdomain))
		{
			$subdomainData=$user->subdomain."/";
		}
		else{
			$subdomainData = "";
		}
		$pageid = $_REQUEST['pageid'];
		$story_id = $_REQUEST['cid'];

		$shareURL = $_REQUEST['shareURL'];

		$pagedetail = $this->Datamodel->getPageDetails($pageid);
		$pageAccessToken = $pagedetail[0]['siteData']->page_access_token;
		
		$storydetails = $this->Datamodel->getFrameDetail($story_id);
		$title = $storydetails[0]['siteData']->title;
		$description = $storydetails[0]['siteData']->description;
		$image = $storydetails[0]['siteData']->image;
		$link = base_url().$subdomainData.$story_id;

		
		require_once('./application/libraries/src/facebook.php');
		$this->data['app_id'] =$this->config->item('commonAppID', 'facebook');
		 $this->data['app_secret'] =$this->config->item('commonSecret', 'facebook');
			$fb = new Facebook(array(
				'appId'     => $this->data['app_id'],
				'secret'    => $this->data['app_secret'],
			//  'cookie'    => true
			));
			$params = array(
				"access_token" => $pageAccessToken,
				"link" => $shareURL
				);
				//print_r($params);
					try {
					 $ret = $fb->api('/'.$pageid.'/feed', 'POST', $params);
					echo 'Successfully posted to Facebook';
					}
					catch(Exception $e) {
					echo $e->getMessage();
					}				
		
	}
	public function disconnectFb(){
		if($_POST["diconnect"]=="true"){
			echo $res = $this->Datamodel->disconnectFb();
		}
	}
	public function Appearance($subdomain_id = '')
	{
		// print_r($_POST);exit;

		$checksubdoamin = $this->Datamodel->checkSubdomain($subdomain_id);


		if(isset($_POST['scrolltype']))
		{
			$this->data['scrolltype'] = $_POST['scrolltype'];

			unset($_POST['scrolltype']);
		}

		// print_r($_POST);exit;
		

		// if($checksubdoamin==0)
		// {
		// 	$this->load->view("pages/notfound");
		// 	die();
		// }


		// terms and service and privacy policy


		if(isset($_POST['form_pt']))
		{
			// if(isset($))
			$formdata['privacy_text'] = $_POST['privacypolice'];
			$formdata['terms_text'] = $_POST['termsofservice'];
			$formdata['subdomain_id'] = $_POST['subdomain_id'];

			$this->privacttermDb($formdata);
		}

		if(isset($_POST['form1']))
		{
			// print_r($_POST);exit;
			$newdata['site_title']=$_POST["site_title"];
			$newdata['subdomain_id'] = $_POST['subdomain_id'];
			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		   	$cpt = count($_FILES['userfile']['name']);
		   	$favfile = count($_FILES['favfile']['name']);


		   	// print_r($cpt);exit;
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfo) && $dataInfo[0]['file_name'] !== '')
			{
				$newdata['logo'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}

			for($i=0; $i<$favfile; $i++)
		    {           
		        $_FILES['userfile']['name']= "fav".rand(1,63873683).$files['favfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['favfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['favfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['favfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['favfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfofav[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfofav) && $dataInfofav[0]['file_name'] !== '')
			{
				$newdata['fav_url'] = base_url().'uploads/'.$dataInfofav[0]['file_name'];	
			}

			$this->appearanceDb($newdata);
			
		}
 
		if(isset($_POST['form12']))
		{
			// print_r($_POST);exit;
			$newdata['author_name']=$_POST["author_name"];

			$newdata['author_image']=$_POST["author_image"];
			$newdata['author_hobbie'] = $_POST['author_hobbie'];
			$newdata['author_description'] = $_POST['author_description'];

			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		   	$cpt = count($_FILES['userfile']['name']);

		   	// print_r($cpt);exit;
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= "author".rand(1,63873683).$files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();

		        // print_r($dataInfo);exit;
		    }
			if(array_key_exists(0 ,$dataInfo) && $dataInfo[0]['file_name'] !== '')
			{
				$newdata['author_image'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}

			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			$formdata['author_details'] = serialize($newdata);


			$this->appearanceDb($formdata);
			
		}




		if(isset($_POST['form3']))
		{
			if (($key = array_search('Save', $_POST)) !== false) {
    			unset($_POST[$key]);
			}
			// print_r($_FILES);
			// print_r($_POST);
			// // exit;
			$formdata = $this->input->post();

			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		   	$cpt = count($_FILES['userfile']['name']);
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfo) && $dataInfo[0]['file_name'] !== '')
			{
				$formdata['site_banner_image'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}
			
			$this->appearanceDb($formdata);
			
			
		}
		
		if(isset($_POST['form2']) || isset($_POST['form4']) || isset($_POST['form5']) )
		{
			// print_r($_POST);exit;
			if (($key = array_search('Save', $_POST)) !== false) {
    			unset($_POST[$key]);
			}
			$formdata = $this->input->post();
			$this->appearanceDb($formdata);
		}

		if(isset($_POST['menus']))
		{
			// print_r($_POST);
			// exit;
			$a = array(
				"Home" => $_POST["Home"],
				"Contact" => $_POST["Contact"],
				"Stories" => $_POST["Stories"],
				"About Us" => $_POST["About_Us"]
			);

			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			$formdata['menus'] = serialize($a);
			$this->appearanceDb($formdata);


		}

		if(isset($_POST['footer']))
		{
			// print_r($_POST);exit;
			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			
			if(isset($_POST['footer_text']))
			{

				$a = array(
					"Footer_text" => $_POST['footer_text'],
					"Copyright" => $_POST['copyright']
				);
				$formdata['footer_text'] = serialize($a);
			}
			elseif (isset($_POST['contact_location'])) {
				$a = array(
					"contact_text" => $_POST['contact_text'],
					'contact_address' => $_POST['contact_address'],
					'contact_number' => $_POST['contact_number'],
					'contact_email' => $_POST['contact_email'],
					'contact_location' => $_POST['contact_location']
				);
				$formdata['contact'] = serialize($a);
			}
			elseif (isset($_POST['mainHead'])) {
				$a = array(
					"mainHead"=> trim($_POST['mainHead']),
					"head1"=>trim($_POST['head1']),
					"heading1_description" =>trim($_POST['heading1_description']), 
					"head2" => trim($_POST['head2']),
					"heading2_description" => trim($_POST['heading2_description'])
				);

				$formdata['about'] = serialize($a);
			}
			elseif (isset($_POST['home_layout'])) {
				$formdata['home_layout'] = $_POST['home_layout'];
				
			}
			// print_r($formdata);exit;

			if(count($formdata)>1)
			{
				$this->appearanceDb($formdata);
			}
			


		}


		if(isset($_POST['sidebarauto']))
		{
			// print_r($_POST);exit();
			

			$text_param = array(
				'form_heading' => $_POST['form_heading'],
				'form_subheading' => $_POST['form_subheading'],
				'email_placeholder' => $_POST['email_placeholder'],
				'button_text' => $_POST['button_text']
			);

		
			$passing['form_text'] = serialize($text_param);
			$passing['mailerType'] = $_POST['mailerType'];

			if($_POST['mailerType'] == 0)
			{
				$passing['copy_script'] = $_POST['sidebarcopy'];
				$param = array(
					'param1' => '',
					'param2' => ''
				);
			}
			else
			{
				$passing['copy_script'] = '';
				$param = array(
					'param1' => $_POST['mailparameter1'],
					'param2' => $_POST['mailparameter2']
				);
			}
			$passing['form_data'] = serialize($param);
			$mainType = $_POST['main_type'];
			$subdomain_id = $_POST['subdomain_id'];
			// print_r($passing);exit();
			$this->autoresponder($passing,$subdomain_id,$mainType);
		}

		if(isset($_POST['cname_form'])){
			
			$cname_url=$_POST['cnameurl'];
			$subdomain_id=$_POST['subdomain_id'];
			$this->add_Cname_data($cname_url,$subdomain_id);
		}


		if(isset($_POST["css_form"])){
			$bgCol = $_POST["all_bg_col"];
			$txtCol = $_POST["all_txt_col"];
			if(isset($_POST["footer_status"])){
				$footer_status = $_POST["footer_status"];
			}else{
				$footer_status = 0;
			}
			$cssData = array(
				"background_color" => $bgCol,
				"txt_color" => $txtCol,
				"footer_status" => $footer_status
			);
			$jsonData = json_encode($cssData);
			$domain_id = $_POST["subdomain_id"];
			$this->Datamodel->addCustomCss($domain_id,$jsonData);
			
		}




		$this->data['sidebarAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,1);
		$this->data['elementAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,2);
		$this->data['policyterms'] = $this->Datamodel->fetchPolicyTerms($subdomain_id);
		$this->data["ActiveTab"] = 'appearance';		
		$this->data['subdomain_id'] = $subdomain_id;
		$this->data['controller'] = $this;
			
		$this->data['subdomain_name'] = $this->Datamodel->getSubdomainName($subdomain_id);
		$this->data['cname_url'] = $this->Datamodel->getCnameUrl($subdomain_id);
		$this->data['settings'] = $this->Datamodel->fetchAllSettings($subdomain_id);
		$this->data['CustomCssData'] = $this->Datamodel->fetchCsustomCss($subdomain_id);

		// print_r($this->data['scrolltype']);exit;
		$this->data['bannerSettings']=$this->Datamodel->getBannerSettings();
		$this->load->view('pages/appearance',$this->data);
	}
    public function add_Cname_data($cname_url,$subdomain_id){
		
       		
		$this->Datamodel->update_cnameurl($cname_url,$subdomain_id);	
		require_once('./application/libraries/CPanel.php');
		$subdomain_name = $this->Datamodel->getSubdomainName($subdomain_id);
		$cpanel = new CPanel('retainio','bud87yhd387s9{','host.onlightenmedia.com'); // Connect to cPanel - only do this once.
		//print_r($cpanel);exit;
	   $domain=str_ireplace('https://','',$cname_url);
        $domain=str_ireplace('http://','',$cname_url);
			$add_addon = $cpanel->api2(
			'AddonDomain', 'addaddondomain', 
			array(
				'dir'            => 'public_html/'.$subdomain_name, 
				'newdomain'      => $domain,
				'subdomain'     =>$domain

				
			) 
		);
		
	}

	public function privacttermDb($array)
	{
		if(array_key_exists("subdomain_id", $array))
		{

			$subdomain_id = $array['subdomain_id'];

			if($this->Datamodel->checkprivacyTerm($subdomain_id) == 0)
			{ 
				$this->Datamodel->insertPTSettings($array);
			}else
			{
				// echo "string";exit;
				$this->Datamodel->updatePTSettings($array);		
			}
		}	
	}

	private function autoresponder($array,$subdomain_id,$mainType)
	{
		$check_autoresponder = $this->Datamodel->checkAutoresponder($subdomain_id,$mainType);
		if($check_autoresponder == 0)
		{ 
			$this->Datamodel->insertAutoresponderSettings($array,$subdomain_id,$mainType);
		}else
		{
			// echo "string";exit;
			$this->Datamodel->updateAutoresponderSettings($array,$subdomain_id,$mainType);		
		}
	}



	private function appearanceDb($array){

		// print_r($array);exit;
		if(array_key_exists("subdomain_id", $array))
		{

			$subdomain_id = $array['subdomain_id'];

			if($this->Datamodel->checkAppearance($subdomain_id) == 0)
			{ 
				$this->Datamodel->insertAppearanceSettings($array);
			}else
			{
				// echo "string";exit;
				$this->Datamodel->updateAppearanceSettings($array);		
			}
		}
		else
		{
			echo "NOt present in form";
		}
	}
	public function appearances(){

		if(isset($_POST['bannerOption']))
		{
			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		    $cpt = count($_FILES['userfile']['name']);
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			$formdata = $this->input->post();
			if(array_key_exists(0 ,$dataInfo) && !empty($dataInfo[0]["file_name"]))
			{
				$formdata['banner_image'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}
			if($this->Datamodel->checkBannerAppearance($formdata['story_id'] ) == 0)
			{ 
				$this->Datamodel->insertBannerSettings($formdata);
			}else
			{
				$this->Datamodel->updateBannerSettings($formdata);	
				
			}
		}
		$this->data["ActiveTab"] = 'appearance';		
		$this->data['controller'] = $this;
		$this->data['settings'] = $this->Datamodel->fetchAllSettings();
		$this->data['bannerSettings']=$this->Datamodel->getBannerSettings();
		$this->load->view('pages/appearance',$this->data);
	}
	private function set_upload_options()
	{   
	    //upload an image options
	    $config = array();
	    $config['upload_path'] = 'uploads/';
	    $config['allowed_types'] = 'gif|jpg|png';
	    $config['max_size']      = 9999999999;
	    $config['overwrite']     = TRUE;

	    return $config;
	}

	public function checkBanners(){
		$r=$this->Datamodel->getStoryId();
		$r=json_decode(json_encode($r),true);
		if(!empty($r))
		{
			foreach ($r as $key => $value) {
			$r2=$this->Datamodel->getStoryName($value['story_id']);
			$r2=json_decode(json_encode($r2),true);
			foreach ($r2 as $key2 => $value2) {
				// print_r($value2['title']);
				if(strlen($value2['title'])>20)
				{
					$Subtitle=substr($value2['title'], 0,20).'...';
				}
				else{
					$Subtitle=$value2['title'];
				}
				echo"<option value='".$value['story_id']."'>".$Subtitle."</option>";
			}
			}
		}else{
			echo"<option value=''>No Stories Available</option>";
		}
	}
	public function getSiteBannerData(){
		$id=$_POST["id"];
		if(!empty($id))
		{
			$r=$this->Datamodel->getSiteBannerData($id);
			$r=json_decode(json_encode($r),true);
			if(!empty($r)){
			foreach ($r as $key => $value) {
				$bannerOption = $value["bannerOption"];
				$banner_script = $value["banner_script"];
				$banner_link = $value["banner_link"];
				$banner_image = $value["banner_image"];
				$analytics_code = $value["analytics_code"];
		
			?>
		
				<?php 
				if(!empty($bannerOption))
				{
					if($bannerOption=='link')
					{
						$bannerType1='checked';
						$bannerType2='';
						$bannerShow1="";
						$bannerShow2="display:none";
					}else{
						$bannerType1='';
						$bannerType2='checked';
						$bannerShow1="display:none";
						$bannerShow2="";
					}
				}
				else{
					$bannerType1='checked';
					$bannerType2='';
					$bannerShow1="";
					$bannerShow2="display:none";
				}

				?>
				<div class="sec_f_rw"><div class="rawlink pull-left m_r_74"><label>Raw Links</label><input name="bannerOption" type="radio" value="link" class="bannerOption1" <?php if($banner_image !== ''){ echo $bannerType1; }?>></div> 
				<div class="rawlink pull-left"><label>Ad Script</label> &nbsp;<input name="bannerOption" type="radio"  value="script" class="bannerOption1" <?php echo $bannerType2; ?>></div> <div class="clearfix"></div></div>

				<div class="linkOption1" style="<?php echo $bannerShow1; ?>">
					<div class="sec_f_rw"><label>Upload Banner</label><div class="sml_cl"><input name="userfile[]" class="form-control txt_inpt_1 uploadlogo upload3" type="file" ><p class="m_b_0 font10">Recommended dimensions 400x400</p></div><div class="clearfix"></div></div> 

					<div class="sec_f_rw"><label>Banner Link</label><div class="sml_cl"><input name="banner_link" class="form-control txt_inpt_1" type="text" value="<?php echo $banner_link;?>"> 
					<?php if($banner_image !== ''){ ?>
					<div class="banner_lnk_rw2 "><img src="<?php echo $banner_image;?>" class="img-responsive" alt="img"></div>
					<?php } ?>
					</div><div class="clearfix"></div></div>
					 
				</div>
				<div class="scriptOption1" style="<?php echo $bannerShow2; ?>">
					<div class="sec_f_rw"><label>Enter Ad<br/> Script Code</label><div class="sml_cl"><textarea name="banner_script" cols="" rows="" class="form-control h78"><?php echo $banner_script;?></textarea></div><div class="clearfix"></div></div> 

				</div>
				<div class="sec_f_rw"><label>Google<br/> Analytics Code</label><div class="sml_cl"><textarea name="analytics_code" cols="" rows="" class="form-control h78"><?php echo $analytics_code;?></textarea></div><div class="clearfix"></div></div>
			
			<?php
			}
		}else{
			?>
			<div class="sec_f_rw"><div class="rawlink pull-left m_r_74"><label>Raw Links</label><input name="bannerOption" type="radio" value="link" class="bannerOption1" checked></div> 
				<div class="rawlink pull-left"><label>Ad Script</label> &nbsp;<input name="bannerOption" type="radio"  value="script" class="bannerOption1" ></div> <div class="clearfix"></div></div>

				<div class="linkOption1" style="">
					<div class="sec_f_rw"><label>Upload Banner</label><div class="sml_cl"><input name="userfile[]" class="form-control txt_inpt_1 uploadlogo upload3" type="file" ><p class="m_b_0 font10">Recommended dimensions 400x400</p></div><div class="clearfix"></div></div> 

					<div class="sec_f_rw"><label>Banner Link</label><div class="sml_cl"><input name="banner_link" class="form-control txt_inpt_1" type="text"> <div class="banner_lnk_rw2"></div>
					
					</div><div class="clearfix"></div></div>
					 
				</div>
				<div class="scriptOption1" style="display: none;">
					<div class="sec_f_rw"><label>Enter Ad<br/> Script Code</label><div class="sml_cl"><textarea class="form-control h78 banner_script" name="banner_script" cols="" rows="" class="form-control h78"></textarea></div><div class="clearfix"></div></div> 

				</div>
				 <div class="sec_f_rw"><label>Google<br/> Analytics Code</label><div class="sml_cl"><textarea name="form-control h78 analytics_code" cols="" rows="" class="form-control h78"></textarea></div><div class="clearfix"></div></div>
			<?php
		}
			
		}
		
		
	}


	public function blogUrl()
	{
		// print_r($_POST);
		$url = $_POST['url'];

		//get the html returned from the following url
		$html = file_get_contents($url); 
		//init DOMDocument
		$scriptDocument = new DOMDocument();
		//disable libxml errors
		libxml_use_internal_errors(TRUE); 
		//check if any html is actually returned
		if(!empty($html)){ 
			//loadHTML
			$scriptDocument->loadHTML($html);
			//clear errors for yucky html
			libxml_clear_errors(); 
			//init DOMXPath
			$scriptDOMXPath = new DOMXPath($scriptDocument);
			//get all the h2's with an id
			$scriptRow = $scriptDOMXPath->query('//p|//h1|//h2|//h3|//h4|//h5|//h6');
			//check
			// print_r($scriptRow);exit();
			if($scriptRow->length > 0){
				$html = '';
				foreach($scriptRow as $row){
					// print_r($row);

					$tagname = $row->tagName;
					if($tagname=='a')
					{
						// $html .= "<$tagname target='_blank' href='".$row->getAttribute("href")."'>".$row->nodeValue."</tagname>";
					}
					elseif($tagname=="img")
					{
						// $html .= "<$tagname class='img-responsive' src='".$row->getAttribute('src')."' />";

					}
					else
					{
						// $html .= "<$tagname>".$row->nodeValue."</$tagname>";
						// $html .= $row->nodeValue;

					}
						$html .= "<$tagname>".$row->nodeValue."</$tagname>";

						// $html .= $row->nodeValue;

				}

				// echo $html;exit;

				$html = mb_convert_encoding($html,"HTML-ENTITIES","UTF-8");
				// $html = $this->formatit($html);
				// print_r($html);exit;
				echo $html;
				// echo base64_encode($html);
			}
		}

	}


	public function fetchQuotes()
		{
			$keyword = $_POST['keyword'];
			// echo $keyword;
			$fetchQuotes = $this->Datamodel->fetchQuotes($keyword);
			// print_r($fetchQuotes);

			if(!empty($fetchQuotes))
			{


			$i = 1;
			foreach ($fetchQuotes as $key => $value) {
				?>
				<tr>
					<!-- <td><?= $i ?></td> -->
					<td><a href="javascript:void(0)" data-toggle="tooltip" title="Click to edit" class="selectquotes"><?= $value['quotes']->quotes ?></a></td>
				</tr>
				<?php
				$i++;
			}
			}
			else
			{
				?>
				<tr>
					
					<td>No Data Found</td>
				</tr>
				<?php
			}
	}

	public function spinWheelContent(){
		?>
	
	<div class="spinwheel-container spin-relative-inline">
	<div class="spin-left">
		<div id="wheel">
	            <div id="inner-wheel">
	                <div class="sec" id="spinwheel-content1"><span class="fa fa-bell-o"></span></div>
	                <div class="sec" id="spinwheel-content2"><span class="fa fa-comment-o"></span></div>
	                <div class="sec" id="spinwheel-content3"><span class="fa fa-smile-o"></span></div>
	                <div class="sec" id="spinwheel-content4"><span class="fa fa-heart-o"></span></div>
	                <div class="sec" id="spinwheel-content5"><span class="fa fa-star-o"></span></div>
	                <div class="sec" id="spinwheel-content6"><span class="fa fa-lightbulb-o"></span></div>
	            </div>       

	            <div id="spin">
	                <div id="inner-spin"></div>
	            </div>

	             <div id="shine"></div>
	             <div id="spin_edit_prev_overly"></div>
	        </div>
	</div>
	<div class="spin-right">
		<div class="col-md-12 hiddenspinForm">
				<div class="row">
				<div class="col-sm-12 titleSpin" id="spinwheel-subscribe-heading">
					Your Special Bonus Offer Has Been Unlocked!
				</div>	
				<div class="col-sm-12 spinDesc" id="spinwheel-subscribe-subheading">
					Are you ready to try your luck? Enter your email address below for chance to spin the wheel and save big on your next purchase!
				</div>
				<div class="col-sm-12 spinwheel-input-cont">
					<label class="col_label"></label>  
					 	<input type="hidden" name="spintext">

					 	<div class="col_input">
					 		<input type="text" class="form-control" name="email" id="spinwheelEmailInput" placeholder="Enter Email.." >
					 	</div>
					 	<div class="clearfix"></div>
				</div>
				<div class="col-sm-12 spinwheel-btn-cont">
					<div><button type="button" id="spinwheel-subscribe-btn">Try Your Luck!</button></div>
				</div>
			
			</div>
		</div>
	</div>	
	<div class="spin-msg"></div>		
   </div>

		<?php
	}


	public function spinContent(){
		$data = $_POST['content'];
		// print_r($data);
		// exit();
		require_once("./application/libraries/spin/class.text-spinner.php"); 

		$spinObject = new TextSpinner();
		$a = $spinObject->spin($data);
		// print_r($a);exit;
		// return $a;
		echo base64_encode($a);
		die();

	}


	/* 
	
		*** Creating Category**

	*/


	public function CreateCategory()
	{
		// print_r($_REQUEST);
		$cat_name = trim($_REQUEST['cat_name']);
		$story_id = $_REQUEST['story_id'];
		$parentCategory = $_REQUEST['parentCategory'];

		$check_category = $this->Datamodel->checkCategory($cat_name);
		$categories = $this->Datamodel->fetchStoryCategory($story_id);

		if(!empty($categories))
		{
			$categories = unserialize($categories[0]->categories);
		}
		else
		{
			$categories = array();
		}
		// print_r($categories);exit;
		if($check_category==0)
		{
			// insert category
			$this->Datamodel->insertCategory($cat_name,$story_id,$parentCategory);
		}
		$main = 1;
		$allCategories = $this->Datamodel->fetchAllCategories($main);

		// print_r($allCategories);exit;
		$categoriesList = '';
		if(!empty($allCategories))
		{
			$dropSelect = '';
			foreach ($allCategories as $key => $value) {
				$subcatList = '';
				$cat_id = $value['category']->id;
				$cat_name = $value['category']->name;

				$subcategories = $this->Datamodel->fetchSubcategories($cat_id);
				// print_r($subcategories);exit;



				if(!empty($subcategories))
				{
					foreach ($subcategories as $key => $value) {
						$scat_id = $value['subcat']->id;
						$scat_name = $value['subcat']->name;
						if(in_array($scat_id, $categories))
						{
							$checked = "checked";
						}
						else
						{
							$checked = '';
						}
						$subcatList .= '<div class="editor-post-taxonomies__hierarchical-terms-subchoices">
							<div class="editor-post-taxonomies__hierarchical-terms-choice">
								<div class="components-base-control">
								<div class="components-base-control__field">
									<label class="containerchbox sm_13">'.$scat_name.'
										<input class="components-checkbox-control__input" type="checkbox" '.$checked.' value="'.$scat_id.'">
									  <span class="checkmark"></span>
									</label>
								</div>	
								</div>
							</div>
						</div>';
						
					}
				}
				if(in_array($cat_id, $categories))
				{
					$checked = "checked";
				}
				else
				{
					$checked = '';
				}
						
				$categoriesList .= '<div class="editor-post-taxonomies__hierarchical-terms-list">
					<div class="editor-post-taxonomies__hierarchical-terms-choice">
						<div class="components-base-control">
							<div class="components-base-control__field">
								<label class="containerchbox">'.$cat_name.'
										<input class="components-checkbox-control__input" type="checkbox" '.$checked.' value="'.$cat_id.'">
									  <span class="checkmark"></span>
									</label>
							</div>
						</div>
						'.$subcatList.'

						
					</div>
				</div>';

				$dropSelect .= '<option value="'.$cat_id.'">'.$cat_name.'</option>';


				
			}
		}

		$a['allCat'] = $categoriesList;
		$a['dropSelect'] = "<option value=''>— Parent Category —</option>".$dropSelect."<option value='0'>Uncategorized</option>";

		echo json_encode($a);
		// print_r($allCategories);exit;
	}


	public function fetchSubcategories($cat_id)
	{
		return $this->Datamodel->fetchSubcategories($cat_id);
	}


	public function youzignsetting()
	{
		// print_r($_POST);

		$checkkeys = $this->Datamodel->getYouzign();

		if(empty($checkkeys))
		{
			$this->Datamodel->insertYouzign($_POST);
		}
		else
		{
			$this->Datamodel->updateYouzign($_POST);
		}
	}
	public function youzign()
	{
		
		$keys = $this->Datamodel->getYouzign();


		
		if(!empty($keys))
		{


			$param = array(
				'key' 		=> $keys[0]['youzignData']->public_key,
				'token' 	=> $keys[0]['youzignData']->token,
			);

			$youzignResponse = $this->processUrlYouzign($param);

			$array = json_decode($youzignResponse , true);

			// print_r($array);

			if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
			{
				$flipGallery = 1;
			}

			if(!empty($array) && is_array($array))
			{
				foreach ($array as $key => $value) {
					$image_url = $value['image_src'][0];
					if(!empty($image_url)){
						if(isset($flipGallery))
						{
							echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col" style="background:#f5f5f5;"><img src="'.$image_url.'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$image_url.'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryV" data-src="'.$image_url.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
						}
						else
						{
							echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col" style="background:#f5f5f5;"><img src="'.$image_url.'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImageGallery1" data-src="'.$image_url.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
						}
					}
				}
			}

		}

	}


	public function processUrlYouzign($auth_data){

		$curl = curl_init();
		// $auth_data = $param;
		curl_setopt($curl, CURLOPT_POST, 1);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $auth_data);
		curl_setopt($curl, CURLOPT_URL, 'https://www.youzign.com/api/designs/');
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
		$result = curl_exec($curl);
		// if(!$result){die("Connection Failure");}
		curl_close($curl);
		// echo $result;

		return $result;
	}


	// cta Image upload

	public function uploadCtaImg()
	{
		$user = $this->ion_auth->user()->row();
        $userID = $user->id;

        if(!is_dir("uploads/ctaimg"))
        {
        	mkdir("uploads/ctaimg");
        }
		if(is_array($_FILES)) 
		{
			$name = "uploads/ctaimg/".rand(1,536735376)."-".$_FILES['userImage']['name'];
			if(is_uploaded_file($_FILES['userImage']['tmp_name'])) {
				$sourcePath = $_FILES['userImage']['tmp_name'];
				$targetPath = $name;
				if(move_uploaded_file($sourcePath,$targetPath)) {
					echo base_url().$name;
				}
			}
		}
	}


	public function downloadImages()
	{
		$url = $_POST['url'];
		// $dataType = $_POST['type'];

		// echo $url;

		$user = $this->ion_auth->user()->row();
        $userID = $user->id;

        if(!is_dir("uploads/".$userID))
        {
        	mkdir("uploads/".$userID);
        }

        $file_name = "uploads/".$userID."/".rand(1,78468768745473).".jpg";

        file_put_contents($file_name,file_get_contents($url));
        echo base_url($file_name);
        // file_put_contents(filename, data)


	}

	public function tutorials(){
		$this->data['controller'] = $this;
		$this->load->view("pages/tutorials");
	}



	// dfy campaigns selection

	public function dfycampaigns()
	{
		// print_r($this->session->userdata('access'));exit;

	  $user = $this->ion_auth->user()->row();

	  $access = $user->access;
	  $this->data['controller'] = $this;

	if(strpos($this->session->userdata('access'), '6')==true)
	{
				$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomains($this->user_id);
		  	// print_r($fetchUsersassignDomain);

		  	if(!empty($fetchUsersassignDomain))
		  	{
		  		$subdomain_ids = array();
		  		foreach ($fetchUsersassignDomain as $key => $value) {
		  			# code...
		  			$subdomain_id = $value['assignsubdomain']->subdomain_id;

		  			array_push($subdomain_ids,$subdomain_id);
		  		}

		  		$this->data['mysubdomain'] = $this->Datamodel->fetchSubdomainsClientsDfy($subdomain_ids);
		  		$where = array(1,2);
		  	}
	}
	else
	{
		 if(strpos($this->session->userdata('access'), '2')==true || strpos($this->session->userdata('access'), '21')==true )
	      {   

	      		$where = array(1,2);
	      }
	      else if(strpos($this->session->userdata('access'), '1')==true || strpos($this->session->userdata('access'), '1')==true )
	      {   
	      		$where = array(1);
	      }

	      $this->data['mysubdomain'] = $this->Datamodel->fetchMysubdomain();
	}

     

      // print_r($where);exit;
      

      $this->data['dfycampaigns'] = $this->Datamodel->fetchDfy($where);

      $this->load->view("pages/dfy",$this->data);

	}


	public function Clonedfy()
	{
		$cloneID = $_REQUEST['cloneID'];
		$oldFrame = $this->Datamodel->getFrameDetail($cloneID);


		$newTitle = $_REQUEST['storyTitle'];
		$subdomain_id = $_REQUEST['subdomain_id'];

		$description = $oldFrame[0]['siteData']->description;
		$image = $oldFrame[0]['siteData']->image;
		$items_loaded = $oldFrame[0]['siteData']->items_loaded;
		$content = $oldFrame[0]['siteData']->content;
		$tags = $oldFrame[0]['siteData']->tags;
		$type = $oldFrame[0]['siteData']->type;
		$campaign_id = $this->Datamodel->cloneinsertCampaign($newTitle,$description,$image,$items_loaded,$content,$tags,$subdomain_id,$type);
			
		// $this->data['campaign_id'] = $campaign_id;
		// $this->data['frame'] = $this->Datamodel->getFrameDetail($campaign_id);

		redirect('Sites/Edit/'.$campaign_id);
		
		
	
	
	}



	public function fetchAssignSubdomain()
	{
		$cleint_user_id = $_POST['user_id'];
		$mainsubdomains = $this->Datamodel->fetchMysubdomain();
		$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomain($cleint_user_id);
		$main_sub_array = array();

		if(!empty($fetchUsersassignDomain))
		{
			foreach ($fetchUsersassignDomain as $key => $value) {
				array_push($main_sub_array, $value['assignsubdomain']->subdomain_id);
			}
		}

		// print_r($main_sub_array);exit;

		if(!empty($mainsubdomains))
		{
			foreach ($mainsubdomains as $key => $value) {
				$sub_id = $value['mysubdomain']->id;
				$sub_name = $value['mysubdomain']->subdomain_name;
				$del_status = $this->checkSubdomainDeleteStatus($sub_id);
				if($del_status == "false"){
					if(!empty($main_sub_array))
					{

					   ?>
						<div class="col-sm-4">
							<input type="checkbox" <?php if(in_array($sub_id, $main_sub_array)){echo "checked";} ?> name="subdomain_assign" class="subdomain_assign" data-client_id = "<?= $cleint_user_id ?>" value="<?= $sub_id ?>">  <?= $sub_name ?>
						</div>
					   <?php
					}
					else
					{
						?>
						<div class="col-sm-4">
							<input type="checkbox"  name="subdomain_assign" class="subdomain_assign" data-client_id = "<?= $cleint_user_id ?>" value="<?= $sub_id ?>">  <?= $sub_name ?>
						</div>
						<?php
					}
				}
				// if(!emp)
			}
		}
		else
		{
			?>
			<p>Opps! Its seems you have not created the microbuzz Sites. <u><a href="<?= base_url('Csubdomain') ?>" style="color: black">click here </a></u>to create your first microbuzz site</p>
			<?php
		}
		// print_r($mainsubdomains);
	}


	public function assignSubdomain()
	{
		$cleint_user_id = $_POST['client_id'];
		$subdomain_ids = $_POST['subdomain_ids'];

		$this->Datamodel->deleteAssignSubdomain($cleint_user_id);

		if(!empty($subdomain_ids) && is_array($subdomain_ids))
		{
			foreach ($subdomain_ids as $key => $value) {
				$sub_id = $value;

				$this->Datamodel->insertClientSubdoamin($sub_id,$cleint_user_id);
			}
		}
		// print_r($subdomain_ids);
	}

	public function bonuses()
	{
		$this->data['controller'] = $this;
		$this->load->view("pages/bonuses");
	}

	public function reseller()
	{
		$this->data['controller'] = $this;
		$this->load->view("pages/reseller");

	}
	public function exportCsvSubscribe($camp_id){

		if(!empty($camp_id))
		{
			// echo $camp_id;
			$name='Subscribers';
			$this->Datamodel->exportCsv($name,$camp_id,"post");
		}
	}
	public function exportCsvSpinwheel($camp_id){

		if(!empty($camp_id))
		{
			// echo $camp_id;
			$name='Subscribers';
			$this->Datamodel->exportCsv($name,$camp_id,"spinwheel");
		}
	}

	public function access()
	{
		$this->data['controller'] = $this;
		$this->load->view("pages/access");

	}


	public function agreeform()
	{

		$this->Datamodel->aggreform();
	}


}
?>