<?php $this->load->view("shared/header.php");?>
<style>
.center_grd {
    width: 100%;
    margin: 0 auto;
}
.bdr_top {
    border-top: #fe6d62 4px solid;
}
.bx_all {
    background: #fff;
    border-radius: 6px;
    box-shadow: 0px 0px 30px rgba(0,0,0,.1);
}
.table1 {
    border-top: #eceff5 1px solid;
}
.table1 table {
    border-top: #eceff5 1px solid;
}
.post_section.center_grd .table1 table tr th, .post_section.center_grd .table1 table tr td {
    border-right: #eceff5 1px solid !important;
}
.table1 table tr th, .table1 table tr td {
    border-bottom: #eceff5 1px solid;
    padding: 15px 0px 15px 0px;
    text-align: center;
    color: #4a4949bf;
    font-weight: 800;
    letter-spacing: 0.15em;
}
.table1 table tr th {
    color: #1c50a8;
    font-size: 15px;
    border-right: #eceff5 1px solid;
}
</style>
<section class="midwrap pt-5 px-3">
    <div class="container">
		<div class="t_m_wrap m_b_30">
			<div class="title_ds pull-left">
				<h2 class="font24"><i><img src="https://raiidapp.com/assets/images/my_site.png" alt="img"></i> https://<?= $controller->fetchSubdomainName($subdomain_id) ?>.vidagencykit.com</h2>
			</div>
			<input type="hidden" value="1" id="subdomain_id" name="">
			<div class="clearfix"></div>
		</div>
		<div class="post_section center_grd">
			<div class="bx_all bdr_top">
				<div class="p-5 mb-2">
					<div class="cl_s_1 pull-left">
						<h3 class="blue_clr pull-left pst_title_t">All Articles</h3>
					</div>

					<?php if($posts_count_flag): ?>
					<a class="btn btn-primary float-right" href="<?php echo base_url('createarticle');?>/<?=$subdomain_id;?>" style="color: white">
						Create New Article
					</a>
					<?php endif; ?>

					<div class="clearfix"></div>
				</div>
				<div class="post_tb_section">
					
					<div class="tab-content">
						<div id="Active" class="tab-pane active">
							<div class="table1">
								<table class="table" id='listData'>
									<thead>
										<tr>
											<th data-priority="3">Thumbnail</th>
											<th data-priority="1">Title</th>
											<th data-priority="1">Created Date</th>
											<th data-priority="1">Action</th>
									  	</tr>
									</thead>	
									<tbody>
									<?php foreach($posts as $post): ?>
										<tr id="row<?=$post['id']?>">
											<td><image src="<?= base_url(); ?>uploads/<?= $dirname; ?>/<?= $subdomain_id; ?>/images/<?= $post['thumbnail']; ?>" width=200px></td>
											<td><?= $post['title']; ?></td>
											<td><?= $post['created_date']; ?></td>
											<td>
												<a href="<?php echo base_url('viewarticle');?>/<?=$post['id'];?>/<?= $subdomain_id; ?>" class="btn btn-primary" data-toggle="tooltip" title="View article"><i class="fa fa-eye" aria-hidden="true"></i></a>
												/
												<a href="<?php echo base_url('editarticle');?>/<?=$post['id'];?>/<?= $subdomain_id; ?>" class="btn btn-info" data-toggle="tooltip" title="Edit article"><i class="fa fa-edit"></i></a>
												/
												<a href="#" value="<?=$post['id']?>" id="del" class="btn btn-danger" data-toggle="tooltip" title="Delete article"><i class="fa fa-trash"></i></a>
											</td>
										</tr>
									<?php endforeach; ?>
									</tbody>	
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
    </div>
</section>

<script>
// Delete Record
$(document).on("click", "#del", function(e)
{
    e.preventDefault();

    var del_id = $(this).attr("value");

	$.ajax(
	{
		url: "<?php echo base_url(); ?>/deletearticle",
		type: "post",
		dataType: "json",
		data: 
		{
			del_id: del_id
		},
		success : function(data) 
		{
			location.reload();

          	console.log('success');
       	},
      	error : function() 
		{
        	console.log('error');
     	}
	});
});
</script>

<br><br><br><br><br><br><br><br><br><br><br><br><br><br>

<?php $this->load->view("shared/footer.php");?>