<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

<?php
  //ini_set("display_errors","On");
  $base_url='https://vidagencykit.com/sites/';
  $subdomain_id = file_get_contents("id.txt");
  include '../ClassFile.php'; 
  $webpage = new Webpage();
  $website_id = null;
  $template = $webpage->checkTemplate($subdomain_id);
  //print_r($template);exit;
  if($template){
    $website_id = $webpage->getSiteId($subdomain_id,$template);
  }else{
    echo "Website Has Temperary Unavailiable";
    return false;
  }

  if(empty($website_id)){
    echo "Website Has Temperary Unavailiable";
    return false;
  }

  $select = "site_title,logo,home_layout,user_id,fav_url,menus,facebook,twitter,pinterest,linkedin";
  $appereance = $webpage->getAppereance($select,$subdomain_id);

  // print_r($appereance); echo "123"; exit;

  if(!empty($appereance))
  {
      $site_title = $appereance['site_title'];
      $user_id = $appereance['user_id'];
  }
  else
  {
      $site_title = "VidAgencykit";
      $user_id = $webpage->fetchuserID($subdomain_id);
  }

  $main_logo = $appereance['logo'];
  if(empty($main_logo))
  {
      $main_logo = $base_url.'assets/images/logo.png';
  }

  $fav_url = $appereance['fav_url'];
  if(empty($fav_url))
  {
      $fav_url = $base_url.'assets/images/favicon.png';
  }

  $menus = $appereance['menus'];
  if(empty($menus))
  {
    $menus = 'a:5:{s:4:"Home";s:4:"Home";s:7:"Contact";s:7:"Contact";s:8:"Services";s:8:"Services";s:7:"OurTeam";s:8:"Our Team";s:4:"Blog";s:4:"Blog";}';     
  }
  $menus = unserialize($menus);

  $footer_Data = $appereance['footer_text'];
  if(empty($footer_Data))
  {
    $footer_Data = 'a:9:{s:9:"Copyright";s:33:"Copyright © 2021 by VidagencyKit";s:11:"Footer_text";s:81:"Ensuring the best return on investment for your bespoke SEO campaign requirement.";s:17:"Contactopt_status";s:1:"1";s:16:"Socialopt_status";s:1:"1";s:15:"Pagesopt_status";s:1:"1";s:19:"Footer_contact_text";s:7:"Contact";s:14:"Footer_address";s:35:"127 Park Street Ave, Miami, FL 8546";s:14:"Footer_contact";s:14:"0 000 0000 000";s:12:"Footer_email";s:16:"seobot@gmail.com";}';    
  }
  $footer_Data = unserialize($footer_Data);
  $facebook = $appereance['facebook'];
  if(empty($facebook)){
    $facebook = '';
  }
  $twitter = $appereance['twitter'];
  if(empty($twitter)){
    $twitter = '';
  }
  $pinterest = $appereance['pinterest'];
  if(empty($pinterest)){
    $pinterest = '';
  }
  $linkedin = $appereance['linkedin'];
  if(empty($linkedin)){
    $linkedin = '';
  }
  if(isset($page)){
     if($page==''){
         if($page == ""){
			$page = "Home";
		}else{
			$page = $page;
		}
     }
     $content=$webpage->getWebPage($subdomain_id,$template,$page);
     if($content =='error'){
         $_404=$base_url."assets/images/404.png";
         $content = '<img src="'.$_404.'" class="img_full">';
     }else{
         $content=base64_decode($content);
     }
  }
?>
    <title><?= $site_title; ?></title>
    
    <link rel="icon" href="<?= $fav_url; ?>" sizes="32x32" type="image/png">
    <link href="<?= $base_url ?>assets/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    
    <link href="<?= $base_url ?>assets/css/font-awesome.min.css" rel="stylesheet" type="text/css"/> 
	<link href="<?= $base_url ?>assets/css/custom2.css" rel="stylesheet" type="text/css"/>
    
    <style>
        .footer_top { color: white; }
    </style>

</head>
<body>
<header id="myHeader">
  <nav class="navbar navbar-expand-md">
        <div class="container">
          <a class="navbar-brand"  href="#"><img src="<?= $main_logo; ?>" class="img_responsive"  alt="img"></a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon fa fa-bars"></span></button> 
          
          <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav pull-right">
                            <li class="nav-item <?php if($page == 'Home' || $page == 'home') echo "active"; ?>">
                                <a class="nav-link" href="Home"><?= $menus["Home"]; ?></a>
                            </li>
                            <li class="nav-item <?php if($page == 'Services' || $page == 'services') echo "active"; ?>">
                                <a class="nav-link" href="Services" ><?= $menus["Services"] ?></a> 
                            </li>
                            <li class="nav-item <?php if($page == 'Team' || $page == 'team') echo "active"; ?>">
                                <a class="nav-link" href="Team" ><?= $menus["OurTeam"] ?></a> 
                            </li>
                            <li class="nav-item <?php if($page == 'Blog' || $page == 'blog') echo "active"; ?>">
                                <a class="nav-link" href="Blog"><?= $menus["Blog"] ?></a>
                            </li>
							<li class="nav-item <?php if($page == 'Contact' || $page == 'contact') echo "active"; ?>">
                                <a class="nav-link" href="Contact"><?= $menus["Contact"] ?></a>
                            </li>
                        </ul>
          </div>
          </div>
      </nav>
</header>

<?php 
    if(isset($singleblog))
    {
        # single blog
        $blogs = $webpage->fetchTableDataRecord($subdomain_id, base64_decode($singleblog));
		
        ?>
		
		<section class="mid_wrap vidkitweb">
			<div class="inner_header hdr_bg editBg">
				<div class="container">
					<div class="row">
						<div class="col-md-6 offset-md-3"><h1 class="h2 white">Blog Detail</h1></div>
					</div>
				</div>
			</div>

			<div id="blog">
				<div class="container">
					<div class="row">
						<div class="col-md-5 blog-img">
							<div>
								<br/></br>
								<img src="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blogs['thumbnail']; ?>" width=400px>
							</div>
						</div>
						<div class="col-md-7">
							<div class="blog-content">
								<br/></br>
								<h2><?= $blogs['title']; ?></h2>
							</div>
							<medium><?php $date=date_create($blogs['created_date']); echo date_format($date,"d-m-Y"); ?></medium>
							<br/><br/>
							<p><?= base64_decode($blogs['description']); ?></p>
							<br/><br/>
							Share on: 
							<a href="http://www.facebook.com/sharer.php?u=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>" target="_blank" rel="nofollow" class="btn btn-primary">FACEBOOK</a>
							<a href="http://twitter.com/share?url=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>" target="_blank" rel="nofollow" class="btn btn-info">TWITTER</a>
							<a href="http://pinterest.com/pin/create/button/?url=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>&media=https%3A%2F%2Fvidagencykit.com%2Fapp%2Fuploads%2F<?= $user_id; ?>%2F<?= $subdomain_id; ?>%2Fimages%2F<?= $blogs['thumbnail']; ?>" target="_blank" rel="nofollow" class="btn btn-danger">PINTEREST</a>
						</div>
					</div>
					<br/>
				</div>
			</div>
		</section>
    
        <?php
    }
    elseif($page == 'blog')
    {
        # all blogs list
        $blogs = $webpage->fetchTableDataRecord2($subdomain_id);
		
		// print_r($blogs); exit;
        ?>
		
		<section class="mid_wrap vidkitweb">
			<div class="inner_header hdr_bg editBg">
				<div class="container">
					<div class="row">
						<div class="col-md-6 offset-md-3"><h1 class="h2 white">Blog</h1></div>
					</div>
				</div>
			</div>

			<div class="section_middle">
				<div class="container">
					<div class="row">
						<div class="col-md-2">
						</div>
						<div class="col-md-8">
				
							<?php if(!empty($blogs)): ?>
								<?php foreach($blogs as $blog): ?>
									<div class="blog_section">
										<figure><img src="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blog[5]; ?>" class="img_full img_edit" alt="img"><a href="#" class="share_lnk"><img src="<?= $base_url; ?>assets/images/share.png" class="img_responsive img_edit" alt="img"></a></figure>
										<figcaption>
											<div class="blg_t_rw mb-4">
												<div class="name_col_blg ">
													<div class="pic_blg"><img src="<?= $base_url; ?>assets/images/pic1.png" class="img_responsive img_edit"  alt="img"></div>
														<div class="clearfix"></div>
													</div>
													<div class="clock_calendr  ml-auto">
													<!-- <div class="clock editText"><i><img src="../template/images/clock.png" class="img_edit" alt="img"></i> 4 - min read</div> -->
													<div class="calendar editText"><i><img src="<?= $base_url ?>assets/images/calendar.png" class="img_edit" alt="img"></i> Published on <?php $date=date_create($blog[6]); echo date_format($date,"d-m-Y"); ?></div>
												</div>
												<div class="clearfix"></div>
											</div>
											<h3 class="editText"><?= $blog[2]; ?></h3>
											<p class="editText"><?= base64_decode($blog[3]); ?></p>
											<a href="singleblog/<?= str_replace('=', '', base64_encode($blog[0])); ?>" class="editLink btn btn-primary">READ MORE</a>
										</figcaption>
									</div>
									<hr/>
								<?php endforeach; ?>
							<?php else: ?>
								<br/><br/><br/><br/><br/><br/>
								<h3 style="text-align: center !important; color: red !important;">There are no blogs to show</h3>
								<br/><br/><br/><br/><br/><br/>
							<?php endif; ?>
						</div>
						<div class="col-md-2">
						</div>
					</div>
				</div>
			</div>
    
        <?php
    }
    else
    {
        echo $content; 
    }
?>

<footer id="footer">

<div class="footer_top">
  <div class="container">
    <div class="row">
      <div class="col-xl-3 col-lg-3 col-md-3">
        <div class="logo_frt mb-3"><a href="#"><img src="<?= $main_logo; ?>"  alt="img" height=50px></a></div>
        <p class="mb-4" style="color: black; !important"><?= $footer_Data["Footer_text"]; ?></p>
        <?php if($footer_Data["Socialopt_status"] == 1){ ?>
        <div class="social_ftr">
          <ul>
            <li><a href="<?= $facebook; ?>" class="fb_bg"><i class="fa fa-facebook-f"></i></a></li>
            <li><a href="<?= $linkedin; ?>" class="link_bg"><i class="fa fa-linkedin"></i></a></li>
            <li><a href="<?= $twitter; ?>" class="twt_bg"><i class="fa fa-twitter"></i></a></li>
            <li><a href="<?= $pinterest; ?>" class="pint_bg"><i class="fa fa-pinterest-p"></i></a></li>
          </ul>
        </div>
      <?php } ?>
      </div> 
      
      <?php if($footer_Data["Pagesopt_status"] == 1){ ?>
      <div class="col-xl-2 col-lg-2 col-md-2 offset-xl-1">
        <div class="menu_footer">
          <h6>HOME</h6>
          <ul>
            <li><a href="#">Service</a></li>
            <li><a href="#">Blog</a></li>
            <li><a href="#">Shop</a></li>
          </ul>
        </div>
      </div>
    <?php } ?>
      <div class="col-xl-2 col-lg-2 col-md-2">
        <div class="menu_footer">
          <h6>SERVICES</h6>
          <ul>
            <li><a href="#">SEO Marketing</a></li>
            <li><a href="#">SEO Services</a></li>
            <li><a href="#">Pay Per Click</a></li>
            <li><a href="#">Social Media</a></li>
            <li><a href="#">SEO Audit</a></li>
          </ul>
        </div>
      </div> 
      <div class="col-xl-2 col-lg-2 col-md-2">
        <div class="menu_footer">
          <h6>COMMUNITY</h6>
          <ul>
            <li><a href="#">Our Product</a></li>
            <li><a href="#">Documentation</a></li>
            <li><a href="#">Our Services</a></li>
            <li><a href="#">Company</a></li>
            <li><a href="#">What We Do?</a></li>
          </ul>
        </div>
      </div> 
      <?php
      if($footer_Data["Contactopt_status"] == 1){ ?>
      <div class="col-xl-2 col-lg-3 col-md-3">
        <div class="contact_ftr">
         <h6><?= $footer_Data["Footer_contact_text"]; ?></h6>
          <ul>
            <li><i><img src="<?= $base_url;?>assets/images/phone2.png"  alt="img"></i> 0 000 0000 000</li>
            <li><i><img src="<?= $base_url;?>assets/images/mail_ic3.png"  alt="img"></i> seobot@gmail.com</li>
            <li><i><img src="<?= $base_url;?>assets/images/map_ic2.png"  alt="img"></i> 127 Park Street Ave <br>Miami, FL 8546</li>
          </ul>
        </div>
      </div> 
     <?php } ?>
    </div>
  </div>
</div>

<div class="footer_bottom">
  <div class="container text-center">
    <?= $footer_Data["Copyright"]; ?>
  </div>
</div>

</footer> 
    	
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>

<script src="<?= $base_url ?>assets/js/bootstrap.js"></script>

<script>
window.onscroll = function() {myFunction()};

var header = document.getElementById("myHeader");
var sticky = header.offsetTop;

function myFunction() {
  if (window.pageYOffset > sticky) {
    header.classList.add("sticky");
  } else {
    header.classList.remove("sticky");
  }
}

$(document).ready(function(){
  $(".nav-item").removeClass("active");
  <?php
  if($siteData != "error"){
    ?>
    $("[data-nav-title = <?= ucwords($current_page); ?>]").addClass("active");
    <?php
  }
  ?>
});
</script>
<script type="text/javascript">
$(document).ready(function() {
  var c=0;
  $("#map").children().each(function(){
      $(this).addClass("map"+c);
      c++;
  });
  // console.log(c);
  if(c > 1){
  var c1 = $("#map").children().attr("class");
   $("."+c1).remove();
  }
  $("#map").children().each(function(){
    $(this).removeAttr("class");
  });
});
</script>
</body>
</html>