<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
error_reporting(0);
class Assets extends CI_Controller {

	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('directory');
		
		$this->load->model('Usermodel');
	//	$this->load->model('Sitemodel');
		
		$this->load->config('cdn_config');
		$this->load->library('S3');
			
		$this->data['pageTitle'] = $this->lang->line('sites_page_title');
	
	/*	if(!$this->ion_auth->logged_in()) {
			
			redirect('/login');
		
		} */
		
	}

	public function index() {
	
		  
		
	}
	

	
	
	/*
		
		takes an incoming form with file upload
		
	*/
	
	public function imageUpload() {
	
		$user = $this->ion_auth->user()->row();
		
		$userID =$user->id;
		
		$cndEnabled = $this->config->item('active', 'cdn');
		if ($cndEnabled == "1"){
			$validated = true;
			
			if ($_FILES['userFile']['size'] > $this->config->item('upload_max_size') * 1024) {
		        $this->session->set_flashdata('error', $this->lang->line('upload_save_error2'));
		        $validated = false;
		    }
			
		    $allowed =  array('gif','png' ,'jpg');
			$filename = $_FILES['userFile']['name'];
			$ext = pathinfo($filename, PATHINFO_EXTENSION);
			if(!in_array($ext,$allowed) ) {
			    $this->session->set_flashdata('error', $this->lang->line('upload_save_error3'));
		        $validated = false;
			}
		    
		    $image_info = getimagesize($_FILES["userFile"]["tmp_name"]);
		    if ($image_info[0] > $this->config->item('upload_max_width') || $image_info[1] > $this->config->item('upload_max_height')){
		    	$this->session->set_flashdata('error', $this->lang->line('upload_save_error4'));
		        $validated = false;
		    }
			
		    if ($validated){
				
				$s3 = new S3(base64_decode($this->config->item('awsAccessKey', 'cdn')), base64_decode($this->config->item('awsSecretKey', 'cdn')));
		    	
				// $s3 = new S3($this->config->item('awsAccessKey', 'cdn'), $this->config->item('awsSecretKey', 'cdn'));
				
				$fileName = $_FILES['userFile']['name'];
	    		$fileTempName = $_FILES['userFile']['tmp_name'];
	    		
			//	$ret = $s3->putBucket($this->config->item('bucket', 'cdn'), S3::ACL_PUBLIC_READ);
				
				//var_dump($ret);
				//exit;
				 
				//move the file
				if ($s3->putObjectFile($fileTempName, $this->config->item('bucket', 'cdn'), $userID."/".$fileName, S3::ACL_PUBLIC_READ)) {
				    $this->session->set_flashdata('success', 1);
				}else{
				    $this->session->set_flashdata('error', $this->lang->line('upload_save_error1'));
				}
		    }
		}else{
			//if the upload path does not exist, create it
			if( !file_exists( './'.$this->config->item('images_uploadDir').'/'.$userID ) ) {
			
				mkdir('./'.$this->config->item('images_uploadDir').'/'.$userID, 0777, true);
			
			}
			
		
			$config['upload_path'] = './'.$this->config->item('images_uploadDir').'/'.$userID.'/';
			$config['allowed_types'] = $this->config->item('upload_allowed_types');
			$config['max_size']	= $this->config->item('upload_max_size');
			$config['max_width']  = $this->config->item('upload_max_width');
			$config['max_height']  = $this->config->item('upload_max_height');
			
			$this->load->library('upload', $config);
			
			if ( ! $this->upload->do_upload('userFile')) {
						
				$this->session->set_flashdata('error', $this->upload->display_errors());
					
			} else {
				
				$this->session->set_flashdata('success', 1);
			
			}
		}
		
		
		echo $targetPath = $this->config->item('awsServerLink', 'cdn').$userID.'/'.$_FILES['userFile']['name'];
		 		
		//redirect('/assets/images', 'location');
	
	}
	
	public function fetchimages() {
		
		//load user images
		
		 $user = $this->ion_auth->user()->row();
		
		$userID = $user->id; 
		if(isset($_REQUEST['type']) && $_REQUEST['type']=='flip')
		{
			$flipGallery = 1;
		}else if(isset($_REQUEST['type']) && $_REQUEST['type']=='igal'){
		
			$imageGallery = 1;
		}

		
		$userImages = $this->Usermodel->getUserImagesFromAmazon( $userID );
	//	print_r($userImages);exit;
		if(!empty($userImages))
		{
			foreach($userImages as $image)
			{
					$temp = explode("/", $image);
					$image2 = str_ireplace(' ','^',$image); 
					$fileName = array_pop( $temp );
					$fileName =  strlen($fileName) > 20 ? substr($fileName,0,20)."..." : $fileName;
				//	print_r($image);exit;


					if(isset($flipGallery))
					{
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$this->config->item('awsServerLink', 'cdn').$image.'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$this->config->item('awsServerLink', 'cdn').$image.'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryV" data-src="'.$this->config->item('awsServerLink', 'cdn').$image.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
					}
					else if(isset($imageGallery))
					{
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$this->config->item('awsServerLink', 'cdn').$image.'" class=" img_full" alt="img"><div class="hvlnk"><input type="checkbox" class="checkflip" data-img="'.$this->config->item('awsServerLink', 'cdn').$image.'" style="display:none;" /><a href="javascript:void(0);" class="addSelectedImageGalleryIg" data-src="'.$this->config->item('awsServerLink', 'cdn').$image.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
					}
					else
					{
						echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$this->config->item('awsServerLink', 'cdn').$image.'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImageGallery" data-src="'.$this->config->item('awsServerLink', 'cdn').$image.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
					}
					  
			}
		}
		else
		{
			echo "You haven't Uploaded any image yet";
		}
		
		//print_r($userImages);
	
	}
	public function UploadBackgroundImage()
	{
		
		$user = $this->ion_auth->user()->row();
		
		$userID =$user->id;
        if(is_array($_FILES)) {
            
        if(is_uploaded_file($_FILES['userFile']['tmp_name'])) {
			$_FILES['userFile']['tmp_name'];
			$_FILES['userFile']['name'];
			$sourcePath = $_FILES['userFile']['tmp_name'];
			$targetPath = "uploads/images/". uniqid().$_FILES['userFile']['name'];
			$echopath = str_ireplace('templates/' ,'',$targetPath);
			if(move_uploaded_file($sourcePath,$targetPath)) 
				{

					echo base_url().$echopath;

				}
			}
		}		


	}		
	
	/*
	
		takes an incoming form with image via Ajax
		
	*/
	
	public function imageUploadAjax($siteID) {
	
		$user = $this->ion_auth->user()->row();
			
		$userID = $user->id;
			
		$cndEnabled = $this->config->item('active', 'cdn');
		if ($cndEnabled == "1"){
			$validated = true;
			//print_r($_FILES);
			//exit;
			
			if ($_FILES['imageFile']['size'] > $this->config->item('upload_max_size') * 1024) {
		        $return = array();
					
				$temp = array();
				$temp['header'] = $this->lang->line('assets_imageUploadAjax_error1_heading');
				$temp['content'] = $this->lang->line('assets_imageUploadAjax_error1_message').$this->lang->line('upload_save_error2');
					
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
					
				die( json_encode( $return ) );
		    }
			
		    $allowed =  array('gif','png','jpg');
			$filename = $_FILES['imageFile']['name'];
			$ext = pathinfo($filename, PATHINFO_EXTENSION);
			if(!in_array($ext,$allowed) ) {
			    $return = array();
					
				$temp = array();
				$temp['header'] = $this->lang->line('assets_imageUploadAjax_error1_heading');
				$temp['content'] = $this->lang->line('assets_imageUploadAjax_error1_message').$this->lang->line('upload_save_error3');
					
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
					
				die( json_encode( $return ) );
			}
		    
		    $image_info = getimagesize($_FILES["imageFile"]["tmp_name"]);
		    if ($image_info[0] > $this->config->item('upload_max_width') || $image_info[1] > $this->config->item('upload_max_height')){
		    	$return = array();
					
				$temp = array();
				$temp['header'] = $this->lang->line('assets_imageUploadAjax_error1_heading');
				$temp['content'] = $this->lang->line('assets_imageUploadAjax_error1_message').$this->lang->line('upload_save_error4');
					
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
					
				die( json_encode( $return ) );
		    }
			
		    if ($validated){
				$s3 = new S3(base64_decode($this->config->item('awsAccessKey', 'cdn')), base64_decode($this->config->item('awsSecretKey', 'cdn')));
				
				
				$fileName = $_FILES['imageFile']['name'];
	    		$fileTempName = $_FILES['imageFile']['tmp_name'];
	    		
				$s3->putBucket($this->config->item('bucket', 'cdn'), S3::ACL_PUBLIC_READ);
				 
				//move the file
				if ($s3->putObjectFile($fileTempName, $this->config->item('bucket', 'cdn'), $userID."/".$fileName, S3::ACL_PUBLIC_READ)) {
				    $this->session->set_flashdata('success', 1);
				    
				    $return = array();
					
					$temp = array();
					$temp['header'] = $this->lang->line('assets_imageUploadAjax_success_heading');
					$temp['content'] = $this->lang->line('assets_imageUploadAjax_success_message');
					
					
					//include the partils "myimages" with all the uploaded images
					
					
					$userID = $user->id;
					
					$userImages = $this->usermodel->getUserImagesFromAmazon( $userID );
					
					if( $userImages ) {
					
						$siteData = $this->sitemodel->getSite($siteID);
								
						$return['myImages'] = $this->load->view('partials/myimages', array(
							'userImages'=>$userImages,
							'siteData'=>$siteData,
							'cdn'=>$this->config->item('active', 'cdn'),
							'cdnPath'=>$this->config->item('awsServerLink', 'cdn')), true);
					
					}
						
					$return['responseCode'] = 1;
					$return['responseHTML'] = $this->load->view('partials/success', array('data'=>$temp), true);
					
					die( json_encode( $return ) );
					
				}else{
					$return = array();
					
					$temp = array();
					$temp['header'] = $this->lang->line('assets_imageUploadAjax_error1_heading');
					$temp['content'] = $this->lang->line('assets_imageUploadAjax_error1_message').$this->lang->line('upload_save_error1');
						
					$return['responseCode'] = 0;
					$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
						
					die( json_encode( $return ) );
				}
		    }
		}else{	
			//if the upload path does not exist, create it			
			if( !file_exists( './'.$this->config->item('images_uploadDir').'/'.$userID ) ) {
				
				mkdir('./'.$this->config->item('images_uploadDir').'/'.$userID, 0777, true);
				
			}
				
			
			$config['upload_path'] = './'.$this->config->item('images_uploadDir').'/'.$userID.'/';
			$config['allowed_types'] = $this->config->item('upload_allowed_types');
			$config['max_size']	= $this->config->item('upload_max_size');
			$config['max_width']  = $this->config->item('upload_max_width');
			$config['max_height']  = $this->config->item('upload_max_height');
				
			$this->load->library('upload', $config);
				
			if ( ! $this->upload->do_upload('imageFile')) {
										
				$return = array();
					
				$temp = array();
				$temp['header'] = $this->lang->line('assets_imageUploadAjax_error1_heading');
				$temp['content'] = $this->lang->line('assets_imageUploadAjax_error1_message').$this->upload->display_errors();
					
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
					
				die( json_encode( $return ) );
						
			} else {
					
				$return = array();
					
				$temp = array();
				$temp['header'] = $this->lang->line('assets_imageUploadAjax_success_heading');
				$temp['content'] = $this->lang->line('assets_imageUploadAjax_success_message');
				
				
				//include the partils "myimages" with all the uploaded images
				
				
				$userID = $user->id;
				
				$userImages = $this->usermodel->getUserImages( $userID );
				
				if( $userImages ) {
				
					$siteData = $this->sitemodel->getSite($siteID);
								
					$return['myImages'] = $this->load->view('partials/myimages', array(
						'userImages'=>$userImages,
						'siteData'=>$siteData,
						'cdn'=>$this->config->item('active', 'cdn'),
						'cdnPath'=>$this->config->item('awsServerLink', 'cdn')), true);
				
				}
				
				
				
					
				$return['responseCode'] = 1;
				$return['responseHTML'] = $this->load->view('partials/success', array('data'=>$temp), true);
				
				die( json_encode( $return ) );
				
			}
		}
				
	}
	
	
	
	
	/*
		removes a single user image
	*/
	
	public function delImage() {
	
		if( isset($_POST['file']) && $_POST['file'] != '' ) {
		
			
			$user = $this->ion_auth->user()->row();
			
			$userID = $user->id;
			
			//disect the URL
			
			$temp = explode("/", $_POST['file']);
			
			$fileName = array_pop( $temp );
			
			$userDirID = array_pop( $temp );
			
			//make sure this is the user's images
			
			if( $userDirID == $userID ) {
				
				
				$cndEnabled = $this->config->item('active', 'cdn');
				if ($cndEnabled == "1"){
					
					$file = str_ireplace('^',' ', $_POST['file']);
				$s3 = new S3(base64_decode($this->config->item('awsAccessKey', 'cdn')), base64_decode($this->config->item('awsSecretKey', 'cdn')));
			
					$ret = $s3->deleteObject($this->config->item('bucket', 'cdn'), $_POST['file']);
					echo 'success';
				}else{
					//echo $fileName;
					//all good, remove!
					unlink( './'.$this->config->item('images_uploadDir').'/'.$userID.'/'.$fileName );
				}
			
			}
		
		}
	
	}
	
	public function uploadImage()
	{
		
		$link = $_REQUEST['link'];
		$ch = curl_init();
		curl_setopt ($ch, CURLOPT_URL, $link);
		curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, 5);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, false);
		$image_data = curl_exec($ch);
		if (curl_errno($ch)) {
		 echo curl_error($ch);
		 echo "\n<br />";
		 $image_data = '';
		} else {
		 curl_close($ch);
		}		
		$filename = basename($link);
		
		$filename_ar = explode('.', $filename);
		$filename = $filename_ar[0] .rand(1000,9000).'.'.$filename_ar[1];
		
		$file = 'uploads/images/' . $filename;
		file_put_contents($file, $image_data);
		echo base_url().'/'.$file;	
	}
	
}

/* End of file assets.php */
/* Location: ./application/controllers/assets.php */