<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
// echo __DIR__ ;exit;
error_reporting(0);
	
    class Embed extends CI_Controller {
	
	function __construct()
	{
		parent::__construct();
		// $this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		// $this->load->model('Datamodel');
		$this->load->model('Embeded_model');


			
	}

	public function fetchUserId($subdomain_id)
	{
		return $this->Embeded_model->fetchUserId($subdomain_id);
	}
	
	//Get Current template for subdomain
    public function getSubdomainActiveTemplate($subdomain_uid){
     	$subdomain_id = $this->Embeded_model->getSubdomainIdFromUid($subdomain_uid);
     	$activeTempId = $this->Embeded_model->getTemplate($subdomain_id);
     	$WebsiteUid = $this->Embeded_model->getSiteUid($activeTempId,$subdomain_id);
     	return $WebsiteUid;
    }

    //Fetch Website Data
	public function website($subdomain_uid,$page=""){
		if($page == ""){
			$page = "Home";
		}else{
			$page = $page;
		}
		$website_uid = $this->getSubdomainActiveTemplate($subdomain_uid);
		
		if(!empty($website_uid)){
			$this->data["site_id"] = $subdomain_uid;
			$this->data["current_page"] = $page;
			$siteStatus = $this->Embeded_model->checkTemplate($website_uid);
			if($siteStatus == 1){
				$subdomain_id = $this->Embeded_model->getSubdomainIdFromUid($subdomain_uid);
				$SiteSettings = $this->Embeded_model->fetchAllSettings($subdomain_id);
				$this->data["subdomain_id"] = $subdomain_id;
				$this->data["user_id"] = $this->fetchUserId($subdomain_id);
				$this->data['footer_autoresponder'] = $this->Embeded_model->fetchAutoresponder($subdomain_id,1);
				if(!empty($SiteSettings)){
					$this->data["appearance"] = $SiteSettings;
				}else{
					$this->data["appearance"] = "";
				}
				
				$siteData = $this->Embeded_model->getWebPage($website_uid,$page);
				if($siteData!="error"){
					$this->data["siteData"] = $siteData;
				}else{
					$this->data["siteData"] = "error";
				}
					$this->data["PageContr"]=$this;
					$this->data['subdomain_uid']= $subdomain_uid;
					$this->load->view("pages/webpage.php",$this->data);	
			}else{
				echo "404 Page not found";
			}
		}else{
			echo "404 Page not found";
		}
	}

	//subscribe form
	public function ajax_subscribeForm(){
		$email = $_REQUEST['email'];
		if(isset($_REQUEST['contact'])) {
			$contact = $_REQUEST['contact'];
		}else{
			$contact = "";
		}
		if(isset($_REQUEST['name'])){
			$name = $_REQUEST['name'];
		}else{
			$name = "NA";
		}
		if(isset($_REQUEST['camp_id'])){
			$camp_id = $_REQUEST['camp_id'];
		}else{
			$camp_id = "";
		}
		if(isset($_REQUEST['domain_id'])){
			$domain_id = $_REQUEST['domain_id'];
		}else{
			$domain_id = "";
		}

		$ip = $this->input->ip_address();
		
		if(isset($_REQUEST["type"])){
			$type = $_REQUEST["type"];
		}else{
			$type = "subscribe";
		}
		
		if(!empty($email)){			
			$check = $this->Embeded_model->checkSubscribtionByType($camp_id,$email,$ip,$type);
		}
			
		if($check==0)
		{
			$this->Embeded_model->insertSubscribeRecord($camp_id,$domain_id,$email,$name,$contact,$ip,$type);
			$data = array("status" => "success" );
			echo json_encode($data);
		}else{
			$data = array("status" => "error" );
			echo json_encode($data);
		}
	}


	//send mail
	public function send_mail()
	{
		if(!empty($_POST["email"]) && !empty($_POST["user"])){
			$userID = $_POST["user"];
			$name = $_POST["name"];
			$email = $_POST["email"];
			$contact = $_POST["contact"];
			$website = $_POST["website"];
			$msg = $_POST["msg"];
			$content="
Contact Request Recived
Email:".$email."
Contact:".$contact."
Website:".$website."
Message:".$msg;
			
			$this->load->library('email'); 
			$emailData=mysqli_query($this->db->conn_id,"select * from users where id='$userID'");
			while($row=mysqli_fetch_assoc($emailData))  
			{
				$email=$row['email'];
				
			}
				
			$subject='VidagencyKit Contact Information';
			
			$this->email->clear();
			$this->email->from("support@retainio.app", "VidagencyKit");
			$this->email->to($email);
			$this->email->subject($subject);
			$this->email->message($content);
			
			if($this->email->send()== TRUE)
			{
				echo "Successfully send";
				//echo $this->email->print_debugger();
			}else{
				echo $this->email->print_debugger();
				echo "fail";
			}
		}
	}

	public function viewCount($id)
	{
		return  $this->data["pageCount"]=$this->Embeded_model->getPageCount($id);
	}

	public function get_client_ip() 
	{
		$ipaddress = '';
		if (getenv('HTTP_CLIENT_IP'))
			$ipaddress = getenv('HTTP_CLIENT_IP');
		else if(getenv('HTTP_X_FORWARDED_FOR'))
			$ipaddress = getenv('HTTP_X_FORWARDED_FOR');
		else if(getenv('HTTP_X_FORWARDED'))
			$ipaddress = getenv('HTTP_X_FORWARDED');
		else if(getenv('HTTP_FORWARDED_FOR'))
			$ipaddress = getenv('HTTP_FORWARDED_FOR');
		else if(getenv('HTTP_FORWARDED'))
		   $ipaddress = getenv('HTTP_FORWARDED');
		else if(getenv('REMOTE_ADDR'))
			$ipaddress = getenv('REMOTE_ADDR');
		else
			$ipaddress = 'UNKNOWN';
		return $ipaddress;
	}

	public function saveUserSession()
	{
		
		ignore_user_abort();
		//$data = $_REQUEST['data'];		
		$subdomain_id = $_REQUEST['site_uid'];		
		$ip = $_REQUEST['ip'];
		$refrer = $_REQUEST['refrer'];
		$timespent = $_REQUEST['timeSpent'];

		if(strpos($refrer, 'facebook.com') !== false || strpos($refrer, 't.co') !== false || strpos($refrer, 'pinterest.com') !== false || strpos($refrer, 'google.com') !== false)
		{
			$social = 1;
		}
		else
		{
			$social =0;
		}
		$this->Embeded_model->submitAnalytics($ip,$social,$subdomain_id,$timespent);		
	}

	public function updateCount($id,$count)
	{
		$this->Embeded_model->updatePageCount($id,$count);
	}


}



?>