<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
error_reporting(0); 
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\api\DefaultApi;
use Amazon\ProductAdvertisingAPI\v1\ApiException;
use Amazon\ProductAdvertisingAPI\v1\Configuration;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsRequest;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\SearchItemsResource;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\PartnerType;
use Amazon\ProductAdvertisingAPI\v1\com\amazon\paapi5\v1\ProductAdvertisingAPIClientException;	
// echo __DIR__ ;exit;
// error_reporting(0);
require_once('./application/libraries/vendor/autoload.php');
    class Sites extends CI_Controller {
	public $clients =  array();
	
	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		// $this->load->library('ga_api');
		$this->load->model('Datamodel');
		$this->load->model('Usermodel');
		// $this->load->model('subdomainmodel');
		// $this->load->library('pagination');		
		$this->load->config('facebook_config');		
		$this->data['pageTitle'] = $this->lang->line('sites_page_title');
		
		if(!$this->ion_auth->logged_in()) {
			
			redirect('/login');
		
		}
		else
		{
			$user = $this->ion_auth->user()->row();
     		$this->user_id = $user->id;

			$user_client = $this->Datamodel->fetchCLients();
     		if (!empty($user_client)) 
     		{
     			foreach ($user_client as $key => $value) {
     				array_push($this->clients, $value['users']->id);
     			}
				
     		}
			$this->data['clients'] = $this->clients;
			$this->data['subdomains'] = $this->Datamodel->fetchAllSubdomain($this->data['clients']);
     		
		}
			
	}
	public function index($page='' , $search=null , $clientid='')
	{

		$user = $this->ion_auth->user()->row();
		$access = $user->access;

		// print_r($access);exit;

		if($access==6 || $access == 62)
		{
			redirect("subdomains");
		}
		if ($page == ''){
		$page = 0;
		}else{
		$page = $page - 1; 
		}
  		//echo $page;	
		$itemsPerPage = 6;

        $userID = $user->id;

		if (isset($_REQUEST['search']) && !is_null($_REQUEST['search'])){
			$this->data['sites'] = $this->Datamodel->getSiteList('', $_REQUEST['search'],$itemsPerPage,$page);
		}elseif($access=='1,2,3,4,5')
		{
			$this->data["sites"]=$this->Datamodel->getAllWebsites($itemsPerPage,$page);
			$total_row = $this->Datamodel->record_website_count();
		}
		else
		{
			$this->data["sites"]=$this->Datamodel->getAllWebsites($itemsPerPage,$page);
			$total_row = $this->Datamodel->record_website_count();
		} 
		//	echo $total_row;
		 //pagination
		$this->load->library('pagination');
		$config['base_url'] =base_url() . "index.php/sites/index/";

		$config['total_rows'] = $total_row;
		$config["per_page"] = $itemsPerPage;  
		$config['use_page_numbers'] = TRUE;
		$config['num_links'] = 3;
		$config['cur_tag_open'] = '&nbsp;<a class="current">';
		$config['cur_tag_close'] = '</a>';
		$config['first_link'] = 'First';
		$config['last_link'] = 'Last';
		$config['next_link'] = 'Next';
		$config['prev_link'] = 'Previous';

		$this->pagination->initialize($config); 
		if($this->uri->segment(3)){
			$page = ($this->uri->segment(3)) ;
		}
		else{
			$page = 1;
		} 
		//echo $page;exit;	
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('</a>',$str_links );
		$this->data["ActiveTab"] = 'dashboard';

		$this->data['controller'] = $this;

		// $total_campaign = $this->Datamodel->fetchTotalCampaignbyUsers();

		// echo $total_campaign;exit;

		$user = $this->ion_auth->user()->row();
		$userID = $user->id;
		$this->data['create_flag'] = 1;
		
		$this->data['mysubdomain'] = $this->Datamodel->fetchMysubdomain();

		$this->load->view('pages/dashboard',$this->data);
	}

	public function fetchSubdomainName($subdomain_id)
	{
		return $this->Datamodel->getSubdomainName($subdomain_id);
	}

	public function fetchSubdomainuid($subdomain_id)
	{
		return $this->Datamodel->fetchSubdomainuid($subdomain_id);
	}

	/*Manage Websites*/

    public function getSubdomainActiveTemplate($subdomain_uid){
    	$user = $this->ion_auth->user()->row();
     	$userID = $user->id;
     	$subdomain_id = $this->Datamodel->getSubdomainIdFromUid($subdomain_uid);
     	$activeTempId = $this->Datamodel->checkTemplate($subdomain_id);
     	$WebsiteData = $this->Datamodel->getWebsiteData($activeTempId,$subdomain_id);
     	return $WebsiteData->site_uid;
    }

	public function getTemplateContent($temp_id){
    	if($temp_id == 1){
    		$homeContent = file_get_contents(base_url("template/")."home1.html");
    		$servicesContent = file_get_contents(base_url("template/")."services1.html");
    	}else{
    		$homeContent = file_get_contents(base_url("template/")."home2.html");
    		$servicesContent = file_get_contents(base_url("template/")."services2.html");
    	}
    	$contactContent = file_get_contents(base_url("template/")."contact.html");
		// $blogContent = base64_encode(file_get_contents(base_url("template/")."blog.html"));
		$teamContent = file_get_contents(base_url("template/")."team.html");
		// $blogContent = file_get_contents(base_url("template/")."blog.html");
		// $blogInnerContent = base64_encode(file_get_contents(base_url("template/")."blog_inner.html"));

		//change assets link
		$homeContent = base64_encode(str_ireplace("../template/", base_url("template/"), $homeContent));
    	$servicesContent = base64_encode(str_ireplace("../template/", base_url("template/"), $servicesContent));
    	$contactContent = base64_encode(str_ireplace("../template/", base_url("template/"), $contactContent));
    	$teamContent = base64_encode(str_ireplace("../template/", base_url("template/"), $teamContent));
		$blogContent = base64_encode(str_ireplace("../template/", base_url("template/"), $blogContent));
		$pages = array('home_content' => $homeContent,"services_content" => $servicesContent,"team_content" => $teamContent,"contact_content" => $contactContent);
		return $pages;
    }

    //Select template page
	public function Template($subdomain_id){
		$status = $this->Datamodel->checkSubdomain($subdomain_id);
		$tempStatus = $this->Datamodel->checkTemplate($subdomain_id);
		$subdomain_uid = $this->Datamodel->getSubdomainUid($subdomain_id);
		$this->data["controller"] = $this;
		if($status){
			if(empty($tempStatus)){
				$this->data["subdomain_id"] = $subdomain_id;
				$this->load->view("pages/templates",$this->data);
			}else{
				$res =  $this->Datamodel->getWebsiteData($tempStatus,$subdomain_id);
				$site = $res->site_uid;
				redirect(base_url()."Editor/".$subdomain_uid);
			}
		}else{
			echo "Select valid subdomain";
		}	
		
	}

	//add website template
	public function addWebsiteTemplate(){
		$temp_id = $_POST["temp_id"];
		$subId =  $_POST["subdomain_id"];
		$res = $this->Datamodel->checkSubdomain($subId);
		if($res){
			$pages = $this->getTemplateContent($temp_id);
			echo $this->Datamodel->addWebsiteTemplate($temp_id,$subId,$pages);	
		}
	}

	//edit website
	public function editSite($subdomain_uid){
		$website_uid = $this->getSubdomainActiveTemplate($subdomain_uid);

		if(!empty($website_uid)){
			$this->data["controller"] = $this;
			$siteData = $this->Datamodel->getWebsiteData("","",$website_uid);
			
			$this->data['subdomain_name'] = $this->Datamodel->getSubdomainName($siteData->subdomain_id);
			
			$this->data["siteData"] = $siteData;
			

			$user = $this->ion_auth->user()->row();
      		$user_id = $user->id;
			$this->data['autoresponders'] = $this->Datamodel->fetchTableData('autoresponder',array('user_id'=>$user_id,'status'=>1));

			$this->load->view("pages/editor",$this->data);
		}else{
			//if website id not id
			redirect(base_url());
		}
		
	}

	//Update Website
	public function updateSite(){

		$siteId = $_POST["site_uid"];
		if(isset($_POST["home_content"])){
			$siteData = array(
				"home_content" => base64_encode(str_ireplace("../template/", base_url("template/"),$_POST["home_content"]))
			);
		}
		else if(isset($_POST["services_content"])){
			$siteData = array(
				"services_content" => base64_encode(str_ireplace("../template/", base_url("template/"),$_POST["services_content"]))
			);
		}
		else if(isset($_POST["contact_content"])){
			$siteData = array(
				"contact_content" => base64_encode(str_ireplace("../template/", base_url("template/"),$_POST["contact_content"]))
			);
		}
		else if(isset($_POST["team_content"])){
			$siteData = array(
				"team_content" => base64_encode(str_ireplace("../template/", base_url("template/"),$_POST["team_content"]))
			);
		}else{
			return false;
		}
		
		$check = $this->Datamodel->checkWebsite($siteId);
		if($check){
			$this->Datamodel->updateWebsiteData($siteId,$siteData);
			echo $check;
		}else{
			// echo "Error";
		}
	}
	
	//Delete Website
	public function deleteWebsite(){
		$subdomain_id = $_POST["delete_id"];
		$this->Datamodel->deleteWebsite($subdomain_id);

	}

	//add this code for delete subdomain
	public function checkSubdomainDeleteStatus($id){
		$res = $this->Datamodel->checkSubdomainDeleteStatus($id);
		return $res;
	}

	/*appeariance*/
	public function Appearance($subdomain_id = '')
	{
		// print_r($_POST);exit;

		$checksubdoamin = $this->Datamodel->checkSubdomain($subdomain_id);
		if(isset($_POST['scrolltype']))
		{
			$this->data['scrolltype'] = $_POST['scrolltype'];

			unset($_POST['scrolltype']);
		}

		// terms and service and privacy policy
		if(isset($_POST['websitelayout'])){
			if(isset($_POST["home_layout"])){
				$temp_id = $_POST["home_layout"];
				$subId = $_POST["subdomain_id"];
				$res = $this->Datamodel->checkSubdomain($subId);
				if($res){
					$pages = $this->getTemplateContent($temp_id);
					$this->Datamodel->addWebsiteTemplate($temp_id,$subId,$pages);	
					$formdata['subdomain_id'] = $subId;
					$formdata['home_layout'] = $temp_id;
					$this->appearanceDb($formdata);
				}
			}
		}

		if(isset($_POST['form_pt']))
		{
			// if(isset($))
			$formdata['privacy_text'] = $_POST['privacypolice'];
			$formdata['terms_text'] = $_POST['termsofservice'];
			$formdata['subdomain_id'] = $_POST['subdomain_id'];

			$this->privacttermDb($formdata);
		}

		if(isset($_POST['form1']))
		{
			// print_r($_POST);exit;
			$newdata['site_title']=$_POST["site_title"];
			$newdata['subdomain_id'] = $_POST['subdomain_id'];
			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		   	$cpt = count($_FILES['userfile']['name']);
		   	$favfile = count($_FILES['favfile']['name']);


		   	// print_r($cpt);exit;
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfo) && $dataInfo[0]['file_name'] !== '')
			{
				$newdata['logo'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}

			for($i=0; $i<$favfile; $i++)
		    {           
		        $_FILES['userfile']['name']= "fav".rand(1,63873683).$files['favfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['favfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['favfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['favfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['favfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfofav[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfofav) && $dataInfofav[0]['file_name'] !== '')
			{
				$newdata['fav_url'] = base_url().'uploads/'.$dataInfofav[0]['file_name'];	
			}

			$this->appearanceDb($newdata);
			
		}
 
		if(isset($_POST['form12']))
		{
			// print_r($_POST);exit;
			$newdata['meta_keyword'] = $_POST['meta_keyword'];
			$newdata['meta_description'] = trim($_POST['meta_description']);

			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			$formdata['metatags'] = serialize($newdata);

			$this->appearanceDb($formdata);
			
		}




		if(isset($_POST['form3']))
		{
			if (($key = array_search('Save', $_POST)) !== false) {
    			unset($_POST[$key]);
			}
			// print_r($_FILES);
			// print_r($_POST);
			// // exit;
			$formdata = $this->input->post();

			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		   	$cpt = count($_FILES['userfile']['name']);
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			if(array_key_exists(0 ,$dataInfo) && $dataInfo[0]['file_name'] !== '')
			{
				$formdata['site_banner_image'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}
			
			$this->appearanceDb($formdata);
			
			
		}
		
		if(isset($_POST['form2']) || isset($_POST['form4']) || isset($_POST['form5']) )
		{
			// print_r($_POST);exit;
			if (($key = array_search('Save', $_POST)) !== false) {
    			unset($_POST[$key]);
			}
			$formdata = $this->input->post();
			$this->appearanceDb($formdata);
		}

		if(isset($_POST['menus']))
		{
			// print_r($_POST);
			// exit;
			$a = array(
				"Home" => $_POST["Home"],
				"Contact" => $_POST["Contact"],
				"Services" => $_POST["Services"],
				"OurTeam" => $_POST["OurTeam"],
				"Blog" => $_POST["Blog"]
			);

			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			$formdata['menus'] = serialize($a);
			$this->appearanceDb($formdata);


		}

		if(isset($_POST['footer']))
		{
			// print_r($_POST);exit;
			$formdata['subdomain_id'] = $_POST['subdomain_id'];
			
			if(isset($_POST['footer_text']))
			{

				$a = array(
					"Footer_text" => $_POST['footer_text'],
					"Copyright" => $_POST['copyright'],
					"Footer_contact_text" => $_POST['footer_contact_text'],
					"Footer_address" => $_POST['footer_address'],
					"Footer_contact" => $_POST['footer_contact'],
					"Footer_email" => $_POST['footer_email'],
					"Contactopt_status" => $_POST['contactoptstatus'],
					"Socialopt_status" => $_POST['socialoptstatus'],
					"Pagesopt_status" => $_POST['pagesoptstatus']
				);
				$formdata['footer_text'] = serialize($a);
			}
			elseif (isset($_POST['contact_location'])) {
				$a = array(
					"contact_text" => $_POST['contact_text'],
					'contact_address' => $_POST['contact_address'],
					'contact_number' => $_POST['contact_number'],
					'contact_email' => $_POST['contact_email'],
					'contact_location' => $_POST['contact_location']
				);
				$formdata['contact'] = serialize($a);
			}
			elseif (isset($_POST['mainHead'])) {
				$a = array(
					"mainHead"=> trim($_POST['mainHead']),
					"head1"=>trim($_POST['head1']),
					"heading1_description" =>trim($_POST['heading1_description']), 
					"head2" => trim($_POST['head2']),
					"heading2_description" => trim($_POST['heading2_description'])
				);

				$formdata['about'] = serialize($a);
			}
			
			// print_r($formdata);exit;

			if(count($formdata)>1)
			{
				$this->appearanceDb($formdata);
			}
			


		}


		if(isset($_POST['sidebarauto']))
		{
			// print_r($_POST);exit();
			

			$text_param = array(
				'form_heading' => $_POST['form_heading'],
				'form_subheading' => $_POST['form_subheading'],
				'email_placeholder' => $_POST['email_placeholder'],
				'button_text' => $_POST['button_text']
			);

		
			$passing['form_text'] = serialize($text_param);
			$passing['mailerType'] = $_POST['mailerType'];

			if($_POST['mailerType'] == 0)
			{
				$passing['copy_script'] = $_POST['sidebarcopy'];
				$param = array(
					'param1' => '',
					'param2' => ''
				);
			}
			else
			{
				$passing['copy_script'] = '';
				$param = array(
					'param1' => $_POST['mailparameter1'],
					'param2' => $_POST['mailparameter2']
				);
			}
			$passing['form_data'] = serialize($param);
			$mainType = $_POST['main_type'];
			$subdomain_id = $_POST['subdomain_id'];
			// print_r($passing);exit();
			$this->autoresponder($passing,$subdomain_id,$mainType);
		}

		if(isset($_POST['cname_form'])){
			
			$cname_url=$_POST['cnameurl'];
			$subdomain_id=$_POST['subdomain_id'];
			$this->add_Cname_data($cname_url,$subdomain_id);
		}


		if(isset($_POST["css_form"])){
			$bgCol = $_POST["all_bg_col"];
			$txtCol = $_POST["all_txt_col"];
			if(isset($_POST["footer_status"])){
				$footer_status = $_POST["footer_status"];
			}else{
				$footer_status = 0;
			}
			$cssData = array(
				"background_color" => $bgCol,
				"txt_color" => $txtCol,
				"footer_status" => $footer_status
			);
			$jsonData = json_encode($cssData);
			$domain_id = $_POST["subdomain_id"];
			$this->Datamodel->addCustomCss($domain_id,$jsonData);
			
		}
		if(isset($_POST["factoryReset"])){
			if($_POST["resetConfirm"] == "RESET"){
				$sid = $_POST["subdomain_id"];
				$temp_id = $this->Datamodel->checkTemplate($sid);
				$pages = $this->getTemplateContent($temp_id);
				$websiteData = $this->Datamodel->getWebsiteData($temp_id,$sid);
				$site_uid = $websiteData->site_uid;
				$this->Datamodel->updateWebsiteData($site_uid,$pages);
				echo "<script>alert('Website Reset Successfully');</script>";
			}
		}




		$this->data['footerAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,1);
		$this->data['contactAutoresponder'] = $this->Datamodel->fetchAutoresponder($subdomain_id,2);
		$this->data['policyterms'] = $this->Datamodel->fetchPolicyTerms($subdomain_id);
		$this->data["ActiveTab"] = 'appearance';		
		$this->data['subdomain_id'] = $subdomain_id;
		$this->data['controller'] = $this;
			
		$this->data['subdomain_name'] = $this->Datamodel->getSubdomainName($subdomain_id);
		$this->data['cname_url'] = $this->Datamodel->getCnameUrl($subdomain_id);
		$this->data['settings'] = $this->Datamodel->fetchAllSettings($subdomain_id);
		$this->data['CustomCssData'] = $this->Datamodel->fetchCsustomCss($subdomain_id);
		$this->data['CurrentTemp'] = $this->Datamodel->checkTemplate($subdomain_id);

		// print_r($this->data['scrolltype']);exit;
		$this->data['bannerSettings']=$this->Datamodel->getBannerSettings();

		$this->data["ActiveTab"] = 'appr';

		// print_r($this->data); exit; 

		$this->load->view('pages/appearance',$this->data);
	}

    public function add_Cname_data($cname_url,$subdomain_id){
		
       		
		$this->Datamodel->update_cnameurl($cname_url,$subdomain_id);	
		require_once('./application/libraries/CPanel.php');
		$subdomain_name = $this->Datamodel->getSubdomainName($subdomain_id);
		$cpanel = new CPanel('retainio','bud87yhd387s9{','host.onlightenmedia.com'); // Connect to cPanel - only do this once.
		//print_r($cpanel);exit;
	   $domain=str_ireplace('https://','',$cname_url);
        $domain=str_ireplace('http://','',$cname_url);
			$add_addon = $cpanel->api2(
			'AddonDomain', 'addaddondomain', 
			array(
				'dir'            => 'public_html/'.$subdomain_name, 
				'newdomain'      => $domain,
				'subdomain'     =>$domain

				
			) 
		);
		
	}
	public function privacttermDb($array)
	{
		if(array_key_exists("subdomain_id", $array))
		{

			$subdomain_id = $array['subdomain_id'];

			if($this->Datamodel->checkprivacyTerm($subdomain_id) == 0)
			{ 
				$this->Datamodel->insertPTSettings($array);
			}else
			{
				// echo "string";exit;
				$this->Datamodel->updatePTSettings($array);		
			}
		}	
	}

	private function autoresponder($array,$subdomain_id,$mainType)
	{
		$check_autoresponder = $this->Datamodel->checkAutoresponder($subdomain_id,$mainType);
		if($check_autoresponder == 0)
		{ 
			$this->Datamodel->insertAutoresponderSettings($array,$subdomain_id,$mainType);
		}else
		{
			// echo "string";exit;
			$this->Datamodel->updateAutoresponderSettings($array,$subdomain_id,$mainType);		
		}
	}



	private function appearanceDb($array){

		// print_r($array);exit;
		if(array_key_exists("subdomain_id", $array))
		{

			$subdomain_id = $array['subdomain_id'];

			if($this->Datamodel->checkAppearance($subdomain_id) == 0)
			{ 
				$this->Datamodel->insertAppearanceSettings($array);
			}else
			{
				// echo "string";exit;
				$this->Datamodel->updateAppearanceSettings($array);		
			}
		}
		else
		{
			echo "NOt present in form";
		}
	}

	public function appearances(){

		if(isset($_POST['bannerOption']))
		{
			$array = $this->input->post();
			$dataInfo = array();
		    $files = $_FILES;
		    $cpt = count($_FILES['userfile']['name']);
		    for($i=0; $i<$cpt; $i++)
		    {           
		        $_FILES['userfile']['name']= $files['userfile']['name'][$i];
		        $_FILES['userfile']['type']= $files['userfile']['type'][$i];
		        $_FILES['userfile']['tmp_name']= $files['userfile']['tmp_name'][$i];
		        $_FILES['userfile']['error']= $files['userfile']['error'][$i];
		        $_FILES['userfile']['size']= $files['userfile']['size'][$i];    
				
				$this->load->library('upload');
		        $this->upload->initialize($this->set_upload_options());
		        $this->upload->do_upload();
		        $dataInfo[] = $this->upload->data();
			//	print_r($dataInfo);
		    }
			$formdata = $this->input->post();
			if(array_key_exists(0 ,$dataInfo) && !empty($dataInfo[0]["file_name"]))
			{
				$formdata['banner_image'] = base_url().'uploads/'.$dataInfo[0]['file_name'];	
			}
			if($this->Datamodel->checkBannerAppearance($formdata['story_id'] ) == 0)
			{ 
				$this->Datamodel->insertBannerSettings($formdata);
			}else
			{
				$this->Datamodel->updateBannerSettings($formdata);	
				
			}
		}
		$this->data["ActiveTab"] = 'appearance';		
		$this->data['controller'] = $this;
		$this->data['settings'] = $this->Datamodel->fetchAllSettings();
		$this->data['bannerSettings']=$this->Datamodel->getBannerSettings();
		$this->load->view('pages/appearance',$this->data);
	}
	private function set_upload_options()
	{   
	    //upload an image options
	    $config = array();
	    $config['upload_path'] = 'uploads/';
	    $config['allowed_types'] = 'gif|jpg|png';
	    $config['max_size']      = 9999999999;
	    $config['overwrite']     = TRUE;

	    return $config;
	}

	public function articlelist($subdomain_uid){
		
		$this->data['ActiveTab']='';
		$this->data["controller"] = $this;
		$this->data["subdomain_id"] = $subdomain_uid;

		$this->data["posts"] = $this->Datamodel->getarticlelist($this->data["subdomain_id"]);
		$this->data["posts_count_flag"] = $this->Datamodel->getarticlecount($this->data["subdomain_id"]);

		$user = $this->ion_auth->user()->row();
		$this->data["dirname"] = $user->id;

		$this->load->view('pages/articlelist',$this->data);
	}
	public function checkBanners(){
		$r=$this->Datamodel->getStoryId();
		$r=json_decode(json_encode($r),true);
		if(!empty($r))
		{
			foreach ($r as $key => $value) {
			$r2=$this->Datamodel->getStoryName($value['story_id']);
			$r2=json_decode(json_encode($r2),true);
			foreach ($r2 as $key2 => $value2) {
				// print_r($value2['title']);
				if(strlen($value2['title'])>20)
				{
					$Subtitle=substr($value2['title'], 0,20).'...';
				}
				else{
					$Subtitle=$value2['title'];
				}
				echo"<option value='".$value['story_id']."'>".$Subtitle."</option>";
			}
			}
		}else{
			echo"<option value=''>No Stories Available</option>";
		}
	}

	public function getSiteBannerData(){
		$id=$_POST["id"];
		if(!empty($id))
		{
			$r=$this->Datamodel->getSiteBannerData($id);
			$r=json_decode(json_encode($r),true);
			if(!empty($r)){
			foreach ($r as $key => $value) {
				$bannerOption = $value["bannerOption"];
				$banner_script = $value["banner_script"];
				$banner_link = $value["banner_link"];
				$banner_image = $value["banner_image"];
				$analytics_code = $value["analytics_code"];
		
			?>
		
				<?php 
				if(!empty($bannerOption))
				{
					if($bannerOption=='link')
					{
						$bannerType1='checked';
						$bannerType2='';
						$bannerShow1="";
						$bannerShow2="display:none";
					}else{
						$bannerType1='';
						$bannerType2='checked';
						$bannerShow1="display:none";
						$bannerShow2="";
					}
				}
				else{
					$bannerType1='checked';
					$bannerType2='';
					$bannerShow1="";
					$bannerShow2="display:none";
				}

				?>
				<div class="sec_f_rw"><div class="rawlink pull-left m_r_74"><label>Raw Links</label><input name="bannerOption" type="radio" value="link" class="bannerOption1" <?php if($banner_image !== ''){ echo $bannerType1; }?>></div> 
				<div class="rawlink pull-left"><label>Ad Script</label> &nbsp;<input name="bannerOption" type="radio"  value="script" class="bannerOption1" <?php echo $bannerType2; ?>></div> <div class="clearfix"></div></div>

				<div class="linkOption1" style="<?php echo $bannerShow1; ?>">
					<div class="sec_f_rw"><label>Upload Banner</label><div class="sml_cl"><input name="userfile[]" class="form-control txt_inpt_1 uploadlogo upload3" type="file" ><p class="m_b_0 font10">Recommended dimensions 400x400</p></div><div class="clearfix"></div></div> 

					<div class="sec_f_rw"><label>Banner Link</label><div class="sml_cl"><input name="banner_link" class="form-control txt_inpt_1" type="text" value="<?php echo $banner_link;?>"> 
					<?php if($banner_image !== ''){ ?>
					<div class="banner_lnk_rw2 "><img src="<?php echo $banner_image;?>" class="img-responsive" alt="img"></div>
					<?php } ?>
					</div><div class="clearfix"></div></div>
					 
				</div>
				<div class="scriptOption1" style="<?php echo $bannerShow2; ?>">
					<div class="sec_f_rw"><label>Enter Ad<br/> Script Code</label><div class="sml_cl"><textarea name="banner_script" cols="" rows="" class="form-control h78"><?php echo $banner_script;?></textarea></div><div class="clearfix"></div></div> 

				</div>
				<div class="sec_f_rw"><label>Google<br/> Analytics Code</label><div class="sml_cl"><textarea name="analytics_code" cols="" rows="" class="form-control h78"><?php echo $analytics_code;?></textarea></div><div class="clearfix"></div></div>
			
			<?php
			}
		}else{
			?>
			<div class="sec_f_rw"><div class="rawlink pull-left m_r_74"><label>Raw Links</label><input name="bannerOption" type="radio" value="link" class="bannerOption1" checked></div> 
				<div class="rawlink pull-left"><label>Ad Script</label> &nbsp;<input name="bannerOption" type="radio"  value="script" class="bannerOption1" ></div> <div class="clearfix"></div></div>

				<div class="linkOption1" style="">
					<div class="sec_f_rw"><label>Upload Banner</label><div class="sml_cl"><input name="userfile[]" class="form-control txt_inpt_1 uploadlogo upload3" type="file" ><p class="m_b_0 font10">Recommended dimensions 400x400</p></div><div class="clearfix"></div></div> 

					<div class="sec_f_rw"><label>Banner Link</label><div class="sml_cl"><input name="banner_link" class="form-control txt_inpt_1" type="text"> <div class="banner_lnk_rw2"></div>
					
					</div><div class="clearfix"></div></div>
					 
				</div>
				<div class="scriptOption1" style="display: none;">
					<div class="sec_f_rw"><label>Enter Ad<br/> Script Code</label><div class="sml_cl"><textarea class="form-control h78 banner_script" name="banner_script" cols="" rows="" class="form-control h78"></textarea></div><div class="clearfix"></div></div> 

				</div>
				 <div class="sec_f_rw"><label>Google<br/> Analytics Code</label><div class="sml_cl"><textarea name="form-control h78 analytics_code" cols="" rows="" class="form-control h78"></textarea></div><div class="clearfix"></div></div>
			<?php
		}
			
		}
		
		
	}

	/***************************************Image Gallery*****************************************/
	public function searchPixal()
	{
		$keyword = urlencode($_REQUEST['keyword']);
		//	$result = $this->processURL("https://pixabay.com/api/?key=6885330-4e43c958367275eb56fff3aae&q=".urlencode($keyword)."&image_type=photo");
		$result = $this->processURLPixel("https://api.pexels.com/v1/search?query=$keyword");

		$data=json_decode($result, true, 512, JSON_BIGINT_AS_STRING);
        if($data['total_results']==0)
        {
            echo "No Images were find for your selection";
            exit();
        } 
		foreach ($data['photos'] as $key => $value)
        {
            if($value['src']['large']!='')

            {
            		echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['src']['large'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImage" data-src="'.$value['src']['large'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
			}
		}						
	}

	public function searchPixabay(){

		$source = urlencode($_REQUEST['keyword']);

		$process = $this->processURL("https://pixabay.com/api/?key=6885330-4e43c958367275eb56fff3aae&q=$source&image_type=photo");
		$process=json_decode($process, true, 512, JSON_BIGINT_AS_STRING);
					// print_r($process);
					// exit();
		$checkcount =$process['hits'];
		$count = count($checkcount);
		if($count!=0)
		{
			foreach ($checkcount as $key => $value)
			{
				if($value['webformatURL']!='')
				{
				
					echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$value['webformatURL'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImage" data-src="'.$value['webformatURL'].'" data-tags=""><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
				
				}
			}
		}
	}

	public function processURLPixel($url2)
    {
	   //echo $url2.'aaaa';
       $header = array(
	       'Accept: application/json',
	       'Content-type: application/json',
	       'Authorization: 563492ad6f9170000100000175d02da74c564b27bde7823e5d58ff60'
        );      
		$ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url2);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
        curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        $output = curl_exec($ch);

        $info = curl_getinfo($ch);
        //print_r($info);exit;
        curl_close($ch);
      return $output;
   	}

	public function searchGiphy()
	{
		$keyword = $_REQUEST['keyword'];
		if(isset($_REQUEST['type']) && !empty($_REQUEST['type']))
		{
			$type = 1;
		}
		else if(isset($_REQUEST['type']) &&  $_REQUEST['type']=='igal')
		{
			$type=2;
		}
		$result = $this->processURL("http://api.giphy.com/v1/gifs/search?q=$keyword&api_key=M0AJtiDKgP6oQsuxaUH0mc2ImxqaGhPN");
		$data=json_decode($result, true, 512, JSON_BIGINT_AS_STRING);
			
		if(array_key_exists('data',$data))
		{
			foreach($data['data'] as $single)
			{
				//print_r($single['images']['fixed_height_small_still']['url']);exit;
				echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$single['images']['fixed_height_small']['url'].'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImage" data-src="'.$single['images']['downsized']['url'].'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';
			}
		}				
		
	}

	/************************************Other********************************************/

	private function processURL($url)
    {
        $ch = curl_init();
        curl_setopt_array($ch, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_SSL_VERIFYHOST => 2
        ));

        $result = curl_exec($ch);
        curl_close($ch);
        return $result;
    }
	    function mime_content_typee($filename) {
		//return "jhh";
        $mime_types = array(
            'txt' => 'text/plain',
            'htm' => 'text/html',
            'html' => 'text/html',
            'php' => 'text/html',
            'css' => 'text/css',
            'js' => 'application/javascript',
            'json' => 'application/json',
            'xml' => 'application/xml',
            'swf' => 'application/x-shockwave-flash',
            'flv' => 'video/x-flv',
            // images
            'png' => 'image/png',
            'jpe' => 'image/jpeg',
            'jpeg' => 'image/jpeg',
            'jpg' => 'image/jpeg',
            'gif' => 'image/gif',
            'bmp' => 'image/bmp',
            'ico' => 'image/vnd.microsoft.icon',
            'tiff' => 'image/tiff',
            'tif' => 'image/tiff',
            'svg' => 'image/svg+xml',
            'svgz' => 'image/svg+xml',
            // archives
            'zip' => 'application/zip',
            'rar' => 'application/x-rar-compressed',
            'exe' => 'application/x-msdownload',
            'msi' => 'application/x-msdownload',
            'cab' => 'application/vnd.ms-cab-compressed',
            // audio/video
            'mp3' => 'audio/mpeg',
            'qt' => 'video/quicktime',
            'mov' => 'video/quicktime',
            // adobe
            'pdf' => 'application/pdf',
            'psd' => 'image/vnd.adobe.photoshop',
            'ai' => 'application/postscript',
            'eps' => 'application/postscript',
            'ps' => 'application/postscript',
            // ms office
            'doc' => 'application/msword',
            'rtf' => 'application/rtf',
            'xls' => 'application/vnd.ms-excel',
            'ppt' => 'application/vnd.ms-powerpoint',
            // open office
            'odt' => 'application/vnd.oasis.opendocument.text',
            'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
        );
        $ext = explode('.',$filename);
        $ext = strtolower(array_pop($ext));
		//print_r($ext);die;
        if (array_key_exists($ext, $mime_types)) {
           //echo $mime_types[$ext];exit;
           return $mime_types[$ext];
        }
        elseif (function_exists('finfo_open')) {
            $finfo = finfo_open(FILEINFO_MIME);
            $mimetype = finfo_file($finfo, $filename);
            finfo_close($finfo);
            return $mimetype;
        }
        else {
            return 'application/octet-stream';
        }
    }
    //Export csv 
    public function exportFooterSubscribe($subdomain_id){

		if(!empty($subdomain_id))
		{
			// echo $camp_id;
			$name='Subscribers';
			$this->Datamodel->exportCsv($name,$subdomain_id,"subscribe");
		}
	}

	public function exportContactSubscribe($subdomain_id){

		if(!empty($subdomain_id))
		{
			// echo $camp_id;
			$name='Subscribers';
			$this->Datamodel->exportCsv($name,$subdomain_id,"contact");
		}
	}
	
	public function agreeform()
	{

		$this->Datamodel->aggreform();
	}



	public function createarticle($subdomain_uid)
	{
		$this->data["subdomain_id"] = $subdomain_uid;
		if($this->Datamodel->getarticlecount($this->data["subdomain_id"]))
		{
			$this->data['ActiveTab']='';
			$this->data["controller"] = $this;
			$this->data["subdomain_id"] = $subdomain_uid;
			$this->load->view('pages/createarticle',$this->data);
		}
		else
		{
			redirect('/');
		}
	}

	public function createarticlepost()
	{
		$user = $this->ion_auth->user()->row();

		# upload > user id > subdomain id >images > image
		mkdir("./uploads/".$user->id."/");
		mkdir("./uploads/".$user->id."/".$this->input->post('subdomain_id')."/");
		mkdir("./uploads/".$user->id."/".$this->input->post('subdomain_id')."/images/");
		$dirname = "./uploads/".$user->id."/".$this->input->post('subdomain_id')."/images/";

		# $dirname = $user->first_name . $user->last_name;
		# mkdir("./assets/images/posts/".$dirname);

		//upload image
		$config['upload_path'] = $dirname;
		$config['allowed_types'] = 'gif|jpg|png';
		$config['max_size'] = '2048';

		$this->load->library('upload', $config);

		if(!$this->upload->do_upload())
		{
				$errors = array('error' => $this->upload->display_errors());

				echo $errors;
				exit(0);

				$post_image = 'noimage.jpg';

				# ----------------------------------------------------------------

				$old = "./assets/images/noimage.jpg";
				$new  = $dirname."noimage.jpg";
				copy($old, $new);
				# $imagenotfound_new_loc = "/test/Uploads/";
				# $ext = '.jpg';
				# $newName  = $dirname."noimage".$ext;
				# echo $newName;
				# exit(0);

				# $copied = copy($imagePath , $newName);

				// echo $imagenotfound_old_loc;
				// echo "\n";
				// echo $dirname;
				// exit(0);
		}
		else
		{
				$data = array('upload_data' => $this->upload->data());
				$post_image = $_FILES['userfile']['name'];
		}

		$this->Datamodel->createarticle($post_image);
		redirect('article/'.$this->input->post('subdomain_id'));
	}

	public function deletearticle()
	{
		if ($this->Datamodel->deletearticle($this->input->post('del_id'))) 
		{
			$data = array('responce' => 'success');
		} 
		else 
		{
			$data = array('responce' => 'error');
		}

		echo json_encode($data);
	}

	public function deletearticlefromview($id)
	{
		$this->Datamodel->deletearticle($id);
		redirect('/');
	}

	public function editarticle($article_id, $sid)
	{
		$this->data['ActiveTab']='';
		$this->data["controller"] = $this;
		$this->data['post'] = $this->Datamodel->get_article($article_id);
		$this->data['sid'] = $sid;

		$user = $this->ion_auth->user()->row();
		$this->data["dirname"] = $user->id;

		$this->load->view('pages/editarticle',$this->data);
	}

	public function updatearticle()
    {
		if ($_FILES['userfile']['name'] == '')
		{
			$old_image = $this->input->post('old');

			// edit with old image name
			$this->Datamodel->update_article($old_image);
		}
		else
		{
			// edit with new image name
			$user = $this->ion_auth->user()->row();

			# upload > user id > subdomain id >images > image
			# mkdir("./uploads/".$user->id."/");
			# mkdir("./uploads/".$user->id."/".$this->input->post('subdomain_id')."/");
			# mkdir("./uploads/".$user->id."/".$this->input->post('subdomain_id')."/images/");
			$dirname = "./uploads/".$user->id."/".$this->input->post('sid')."/images/";

			# $dirname = $user->first_name . $user->last_name;
			# mkdir("./assets/images/posts/".$dirname);

			//upload image
			$config['upload_path'] = $dirname;
			$config['allowed_types'] = 'gif|jpg|png';
			$config['max_size'] = '2048';

			$this->load->library('upload', $config);

			if(!$this->upload->do_upload())
			{
					$errors = array('error' => $this->upload->display_errors());

					$post_image = 'noimage.jpg';

					$old = "./assets/images/noimage.jpg";
					$new  = $dirname."noimage.jpg";
					copy($old, $new);
			}
			else
			{
					$data = array('upload_data' => $this->upload->data());
					$post_image = $_FILES['userfile']['name'];
			}

			$this->Datamodel->update_article($post_image);
		}
		redirect('/');	
    }

	public function viewarticle($article_id, $sid)
	{
		$this->data['ActiveTab']='';
		$this->data["controller"] = $this;
		$this->data['post'] = $this->Datamodel->get_article($article_id);
		$this->data['sid'] = $sid;

		$user = $this->ion_auth->user()->row();
		$this->data["dirname"] = $user->id;

		$this->load->view('pages/viewarticle',$this->data);
	}

	public function editprofile()
	{
		if ($this->input->is_ajax_request()) 
		{
			$edit_id = $this->input->post('edit_id');

			if ($rec = $this->Datamodel->get_profile($edit_id)) 
			{
				$data = array('responce' => 'success', 'rec' => $rec);
			} 
			else 
			{
				$data = array('responce' => 'error', 'message' => 'failed to fetch record');
			}
			
			echo json_encode($data);
		} 
		else 
		{
			echo "No direct script access allowed";
		}
	}

	public function updateprofile()
    {
		if ($this->input->is_ajax_request()) 
		{
			$this->form_validation->set_rules('edit_fname', 'First Name', 'required');
			$this->form_validation->set_rules('edit_lname', 'Last Name', 'required');
			$this->form_validation->set_rules('edit_email', 'Email', 'required|valid_email');
			
			if ($this->form_validation->run() == FALSE) 
			{
				$data = array('responce' => 'error', 'message' => '123'); // validation_errors());
			} 
			else 
			{
				$data['id'] = $this->input->post('edit_record_id');
				$data['first_name'] = $this->input->post('edit_fname');
				$data['last_name'] = $this->input->post('edit_lname');
				$data['email'] = $this->input->post('edit_email');
				$data['password'] = password_hash($this->input->post('edit_password'), PASSWORD_DEFAULT);

				if ($this->Datamodel->update_profile($data)) 
				{
					$data = array('responce' => 'success', 'message' => 'Record update Successfully');
				} 
				else 
				{
					$data = array('responce' => 'error', 'message' => 'Failed to update record');
				}
			}

			echo json_encode($data);
		} 
		else 
		{
			echo "No direct script access allowed";
		}
    }

	public function statistics($site_uid = null){
		$this->data['ActiveTab']='Analytics';
		$this->data['PageTitle']='Analytics';
		$user = $this->ion_auth->user()->row();
		$user_id = $user->id;

		if(!empty($site_uid))
		{
			// $data=$this->Datamodel->fetchTableData("subdomains",array("id"=>$id),'site_uid');
			// $site_uid=$data[0]['Data']->site_uid;
			$op = array();
			$op['views'] = $this->Datamodel->getallCount('analytics',array('story_id'=>$site_uid));
			$op['social'] = $this->Datamodel->getallCount('analytics',array('story_id'=>$site_uid,'social_impressions'=>1));
			$op['unique'] = $this->Datamodel->getallCount('analytics',array('story_id'=>$site_uid),'ip_address','distinct');
			$op['time'] = $this->Datamodel->getAverageTimeSpent($site_uid);
			$op['leads'] = $this->Datamodel->getallCount('subscribe',array('story_id'=>$site_uid));
			$op['site_uid'] = $site_uid;
			$this->data['getstats']=$op;
		}
		if($user_id == 1){
			$where=array('status'=>1);
		}else{
			$where=array('user_id'=>$user_id,'status'=>1);
		}
		$this->data['campaigns']=$this->Datamodel->fetchTableData('subdomains',$where);

		$this->data["ActiveTab"] = 'analy';
		$this->load->view("pages/statistics",$this->data);	
	}
	
	public function getAnalytics()
	{
		$site_uid = $_REQUEST['id'];
		$op = array();
		$op['views'] = $this->Datamodel->getallCount('analytics',array('site_uid'=>$site_uid));
		$op['social'] = $this->Datamodel->getallCount('analytics',array('site_uid'=>$site_uid,'social_impressions'=>1));
		$op['unique'] = $this->Datamodel->getallCount('analytics',array('site_uid'=>$site_uid),'ip_address','distinct');
		$op['time'] = $this->Datamodel->getAverageTimeSpent($site_uid);
		$op['leads'] = $this->Datamodel->getallCount('subscribers',array('site_uid'=>$site_uid));
		echo json_encode($op);
		die();
	}

	public function myaccess(){
		$this->data['ActiveTab']='access';
		$this->data['PageTitle']='My Access';
		$this->load->view("pages/access",$this->data);
	}	

	public function fetchimages()
	{
		$user = $this->ion_auth->user()->row();
		$user_id = $user->id;

        $this->load->library('s3_lib');   
        echo $this->s3_lib->fetchimages($user_id, 'vidagencykit');
	}
}
?>
