<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
// error_reporting(0); 
global $user_id;
global $clients;

class Subdomain extends CI_Controller {
	public $clients =  array();

	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('zip');		
		$this->load->library('form_validation');
		$this->load->model('Datamodel');
		
		$this->load->model('subdomain_model');
		
		$this->load->config('facebook_config');		
		$this->data['pageTitle'] = $this->lang->line('sites_page_title');
		
		if(!$this->ion_auth->logged_in()) {
			redirect('/login');
		}
		else
		{
			$user = $this->ion_auth->user()->row();
     		$this->user_id = $user->id;
			$user_client = $this->Datamodel->fetchCLients();
     		if (!empty($user_client)) 
     		{

     			foreach ($user_client as $key => $value) {
     				array_push($this->clients, $value['users']->id);
     				
     			}
     		}

     		$this->data['clients'] = $this->clients;
     		$access = $user->access;

     		if(strpos($this->session->userdata('access'), '6')==true)
	      	{
	      			$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomains($this->user_id);
			      	// print_r($fetchUsersassignDomain);

			      	if(!empty($fetchUsersassignDomain))
			      	{
			      		$subdomain_ids = array();
			      		foreach ($fetchUsersassignDomain as $key => $value) {
			      			# code...
			      			$subdomain_id = $value['assignsubdomain']->subdomain_id;

			      			array_push($subdomain_ids,$subdomain_id);
			      		}

			      		$this->data['subdomains'] = $this->Datamodel->fetchSubdomainsClientsHeaders($subdomain_ids);

			      	}
	      	}
	      	else
	      	{
				$this->data['subdomains'] = $this->Datamodel->fetchAllSubdomain($this->data['clients']);

	      	}
			$this->data['subdomain_count'] = $this->Datamodel->fetchsubdomainCount();


			// print_r($this->data);exit;
		}
			
	}


	// public function index(){
		

	// 	$checkSub = $this->subdomain_model->fetchSubdomains($this->user_id,$this->data['clients']);
	// 	$this->data["controller"] = $this; //add this code while remove subdomain
	// 	$user = $this->ion_auth->user()->row();
	// 	$user_id = $user->id;
    //  	$this->user_id = $user->id;
	// 	$access = $user->access;

	// 	$this->data["ActiveTab"] = 'mysubdomains';

    //       if(strpos($this->session->userdata('access'), '6')==true)
	//       {
	//       	$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomains($user_id);
	//       	// print_r($fetchUsersassignDomain);

	//       	if(!empty($fetchUsersassignDomain))
	//       	{
	//       		$subdomain_ids = array();
	//       		foreach ($fetchUsersassignDomain as $key => $value) {
	//       			# code...
	//       			$subdomain_id = $value['assignsubdomain']->subdomain_id;

	//       			array_push($subdomain_ids,$subdomain_id);
	//       		}

	//       		$this->data['allsubdomains'] = $this->Datamodel->fetchSubdomainsClients($subdomain_ids);

	//       	}
	//       		$this->load->view("subdomain/list_subdomain",$this->data);
	      	
	//       }
	//       else
	//       {


	//       		if(empty($checkSub))
	// 			{
	// 				$this->load->view("subdomain/create_subdomain",$this->data);
	// 			}
	// 			else
	// 			{
					
	// 				// $this->load->view("subdomain/create_subdomain.php");
	// 				$this->data['allsubdomains'] = $checkSub;
	// 				$this->load->view("subdomain/list_subdomain",$this->data);
	// 			}

	//       }
     		
	
	// 	// echo $checkSub;exit;
		
	// }

	public function index($page='')
	{
		if ($page == '')
		{
			$page = 0;
		}
		else
		{
			$page = $page - 1; 
		}
		 //echo $page;	
		$itemsPerPage = 6;

		$checkSub = $this->subdomain_model->fetchSubdomains($this->user_id,$this->data['clients'], $itemsPerPage, $page);
		$this->data["controller"] = $this; //add this code while remove subdomain
		$user = $this->ion_auth->user()->row();
		$user_id = $user->id;
     	$this->user_id = $user->id;
		$access = $user->access;

		$total_row = $this->subdomain_model->record_website_count();

		// echo $total_row; exit;

		 //pagination
		 $this->load->library('pagination');
		 $config['base_url'] =base_url() . "index.php/Subdomain/index/";
 
		 $config['total_rows'] = $total_row;
		 $config["per_page"] = $itemsPerPage;  
		 $config['use_page_numbers'] = TRUE;
		 $config['num_links'] = 3;
		 $config['cur_tag_open'] = '&nbsp;<a class="current">';
		 $config['cur_tag_close'] = '</a>';
		 $config['first_link'] = 'First';
		 $config['last_link'] = 'Last';
		 $config['next_link'] = 'Next';
		 $config['prev_link'] = 'Previous';
 
		 $this->pagination->initialize($config); 
		 if($this->uri->segment(3)){
			 $page = ($this->uri->segment(3)) ;
		 }
		 else{
			 $page = 1;
		 } 
		 //echo $page;exit;	
		 $str_links = $this->pagination->create_links();
		 $this->data["links"] = explode('</a>',$str_links );

		$this->data["ActiveTab"] = 'mysubdomains';

          if(strpos($this->session->userdata('access'), '6')==true)
	      {
	      	$fetchUsersassignDomain = $this->Datamodel->fetchUsersassignDomains($user_id);
	      	// print_r($fetchUsersassignDomain);

	      	if(!empty($fetchUsersassignDomain))
	      	{
	      		$subdomain_ids = array();
	      		foreach ($fetchUsersassignDomain as $key => $value) {
	      			# code...
	      			$subdomain_id = $value['assignsubdomain']->subdomain_id;

	      			array_push($subdomain_ids,$subdomain_id);
	      		}

	      		$this->data['allsubdomains'] = $this->Datamodel->fetchSubdomainsClients($subdomain_ids);

	      	}
	      		$this->load->view("subdomain/list_subdomain",$this->data);
	      	
	      }
	      else
	      {


	      		if(empty($checkSub))
				{
					$this->load->view("subdomain/create_subdomain",$this->data);
				}
				else
				{
					
					// $this->load->view("subdomain/create_subdomain.php");
					$this->data['allsubdomains'] = $checkSub;
					$this->load->view("subdomain/list_subdomain",$this->data);
				}

	      }
     		
	
		// echo $checkSub;exit;
		
	}

	public function create()
	{
			$this->data['controller'] = $this;
			$this->data["ActiveTab"] = 'mysubdomains';
			$this->load->view("subdomain/create_subdomain",$this->data);

	}


	public function checkSub()
	{
		$name = strtolower($_REQUEST['name']);

		if($name==='application' || $name==='vendor' || $name==='assets' || $name==='extras' || $name==='inc' || $name==='subdomaindata' || $name==='system' || $name === 'uploads' || $name === 'user_guide')
		{
			$a['status'] = 1;
		}
		else
		{
			$this->form_validation->set_rules('name', 'name', 'is_unique[subdomains.subdomain_name]');
			if($this->form_validation->run() == true)
	        {
	        	$a['status'] = 0;	
	        }
	        else
	        {
	        	$a['status'] = 1;	
	        	
	        }
	    }

        echo json_encode($a);
    	// echo $this->subdomain_model->checkSubdomain($_REQUEST['name']);
	}

	public function createsub(){

		error_reporting(0);
		$name = strtolower($_REQUEST['name']);

		if($name==='application' || $name==='assets' || $name==='extras' || $name==='inc' || $name==='subdomaindata' || $name==='system' || $name === 'uploads' || $name === 'user_guide' || $name=='retainio' || $name=='PerfectStory')
		{
			$a['status'] = 0;
		}
		else
		{
			$this->form_validation->set_rules('name', 'name', 'required|is_unique[subdomains.subdomain_name]|trim');


			if($this->form_validation->run() == true)
	        {
	        	$id = $this->subdomain_model->updateConfig($_POST,$this->user_id);
	        	$base_url = str_ireplace("https://", "", base_url()); # ---------------------------------------------------------
	        	// $a['url'] = "https://".$name.".".$base_url;
	        	$a['url'] = "https://".$name.".engagetesting.info";
				$a['status'] = 1;
				$a['last_id'] = $id;

	        }
	        else
	        {
	        	$a['status'] = 0;	
	        	
	        }
		}
		

        echo json_encode($a);

	}
		
	public function addToaction()
	{
		// print_r($_POST);
		$story_id = $_POST['story_id'];
		$val = $_POST['val'];

		if($val == 0)
		{
			$val = 1;
		}
		else
		{
			$val = 0;
		}
		$param = array(
			$_POST['type'] => $val
		);

		$this->Datamodel->updateActions($story_id,$param);
	}


	public function configureSubdomain($domain_name)
	{
		$this->data['controller'] = $this;
		$this->data['domain_name'] = $domain_name;

		// print_r($this->data);exit;
		$this->load->view("subdomain/processsubdomain",$this->data);
	}

	public function requestDeleteSubdomain(){
		if(isset($_POST["id"])){
			$user = $this->ion_auth->user()->row();
     		$userID = $user->id;
			$subdomain_id = $_POST["id"];
			$subdomain_name = $this->Datamodel->getSubdomainName($subdomain_id).".retainio.app";
			$this->Datamodel->requestDeleteSubdomain($subdomain_id,$userID,$subdomain_name);

			$r["status"] = "The SubDomain has been deleted After 24Hr.";
	    	echo json_encode($r);	    
		}
	}

	public function restore_subdomain(){
		if(isset($_POST["id"])){
			$subdomain_id = $_POST["id"];
			$this->Datamodel->restoreSubdomain($subdomain_id);
			$r["status"] = "SubDomain has been successfully restored!";
	    	echo json_encode($r);	 
		}
	}

	public function remove_subdomain(){
		if(isset($_POST["id"])){
			$subdomain_id = $_POST["id"];
			$this->Datamodel->removeSubdomainData($subdomain_id);
			$r["status"] = "SubDomain has been successfully deleted!";
	    	echo json_encode($r);	 
			// require_once('./application/libraries/CPanel.php');
			
			// $cpanel = new CPanel($this->config->item('cPanelUser', 'subdomain'),$this->config->item('cPanelPass', 'subdomain'),$this->config->item('retainio_host', 'subdomain')); // Connect to cPanel - only do this once.
			// $delsubdomain = $cpanel->api2(
			//     'SubDomain', 'delsubdomain',
			//         array(
			//         'domain' => $subdomain_name
			//     )
			// );
			// print_r($delsubdomain);
			// exit;
			   
		}
	}

	public function checkSubdomainDeleteStatus($id){
		$res = $this->Datamodel->checkSubdomainDeleteStatus($id);
		return $res;
	}

	public function listRemovedSubdomain($type='',$page=''){
		if(is_numeric($type)){
			$page = $type;
			$type = "";
		}
		
		$total_row = $this->Datamodel->getDeleteSubdomainCount($type);
		$this->load->library('pagination');
		if ($page == ''){
			$page = 0;
		}else{
			$page = $page - 1; 
		}
		
		// echo $type;
		$this->data["subdomain_filter"] = $type;
		$itemsPerPage = 10;
		
		$data = $this->Datamodel->listDeleteSubdomainData($itemsPerPage,$page,$type);
		if(!empty($data)){
			$this->data["subdomains_data"] = $data["subdomain_data"];
		}else{
			$this->data["subdomains_data"] = "";
		}
		//pagination
		$this->load->library('pagination');
		$config['base_url'] =base_url() . "subdomaindelrequest/".$type."/";
		//$total_row =$this->Usermodel->user_record_count();
		$config['total_rows'] = $total_row;
		$config["per_page"] = $itemsPerPage;  
		$config['use_page_numbers'] = TRUE;
		$config['num_links'] = 2;
		$config['cur_tag_open'] = '&nbsp;<a class="current">';
		$config['cur_tag_close'] = '</a>';
		$config['first_link'] = 'First';
		$config['last_link'] = 'Last';
		$config['next_link'] = 'Next';
		$config['prev_link'] = 'Previous';

		$this->pagination->initialize($config); 
		if($this->uri->segment(3)){
			$page = ($this->uri->segment(3)) ;
		}
		else{
			$page = 1;
		} 
		
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('&nbsp;',$str_links );		
		 //END - config the pagination 
		$this->data['controller'] = $this;
		$this->load->view("subdomain/delete_requests",$this->data);
	}


}

?>