<?php



defined('BASEPATH') OR exit('No direct script access allowed');


class S3_lib
{
	public $CI;
	public function __construct()
	{
		
        $this->CI =& get_instance();
		$this->CI->load->config('s3_config');	
		// $this->CI->load->config('app_config');
		$this->CI->load->library('session');
		$this->CI->load->library('S3');
		$this->CI->load->language('page_lang');

		

	}


	public function fetchimages($user_id,$folder_name) {
		
		$userImages = $this->getUserImagesFromAmazon( $user_id ,$folder_name );
		//	print_r($userImages);exit;
		if(!empty($userImages))
		{
			foreach($userImages as $image)
			{
				$temp = explode("/", $image);
				$image2 = str_ireplace(' ','^',$image); 
				$fileName = array_pop( $temp );
				$fileName =  strlen($fileName) > 20 ? substr($fileName,0,20)."..." : $fileName;
				
				// in s3 lib
				//echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$this->CI->config->item('awsServerLink', 's3').$image.'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImageGallery" data-src="'.$this->CI->config->item('awsServerLink', 's3').$image.'"></a></div></div></div>';	
				
				// in usermodel
				echo '<div class="col-sm-4 m_b_30"><div class="img_lg_col"><img src="'.$this->CI->config->item('awsServerLink', 's3').$image.'" class=" img_full" alt="img"><div class="hvlnk"><a href="javascript:void(0);" class="addSelectedImageGallery" data-src="'.$this->CI->config->item('awsServerLink', 's3').$image.'"><i><img src="'.base_url().'assets/images/add_plus2.png" alt="img"></i></a></div></div></div>';	
					  
			}
		}
		else
		{
			echo "You haven't Uploaded any image yet";
		}
		
		//print_r($userImages);
	
	}



	/*
        returns all images belonging to user from Amazon
    */
    public function getUserImagesFromAmazon( $userID,$folder_name ) {
        

		// $keys =  $this->CI->config->item('awsAccessKey','s3');
			// print_r($keys);exit;
        $s3 = new S3(base64_decode($this->CI->config->item('awsAccessKey', 's3')), base64_decode($this->CI->config->item('awsSecretKey', 's3')));
        // print_r($s3);exit;
        
        $contents = $s3->getBucket($this->CI->config->item('bucket', 's3'), $folder_name.'/'.$userID);

        // echo $folder_name;
        // print_r($contents);exit;

        $userImages = array();
        
        foreach( $contents as $key => $item ) {
            
            if( is_array($item) ) {
                
                //check the file extension
            if(stripos($item['name'],'.'))
			{   $tmp = explode(".", $item['name']);
                
                //prep allowed extensions array
                    array_push($userImages, $item["name"]);
            	
                // $temp = explode("|", $this->CI->config->item('images_allowedExtensions'));
            
                // if( in_array($tmp[1], $temp) ) {
                //     array_push($userImages, $item["name"]);
                // }
			}
            }
        }
        // print_r($userImages);exit;
        return $userImages;
    }



    public function imageUpload($userID) {
	
		
		
    	// Scan the file 

    	if(strpos(base_url(),'localhost'))
		{
			$flag = 1;
		}
		else
		{
	
			$flag = 1;
		}
		// echo $flag;exit;
		if($flag == 1)
		{
			// Amazon S3 Upload
			$cndEnabled = $this->CI->config->item('active', 's3');
			if ($cndEnabled == "1"){
				$validated = true;
				
				if ($_FILES['userFile']['size'] > $this->CI->config->item('upload_max_size') * 1024) {
			        $this->CI->session->set_flashdata('error', $this->CI->lang->line('upload_save_error2'));
			        $validated = false;
			    }
				
			    $allowed =  array('gif','png' ,'jpg');
				$filename = $_FILES['userFile']['name'];
				$ext = pathinfo($filename, PATHINFO_EXTENSION);
				if(!in_array($ext,$allowed) ) {
					$result['error'] = 'Please upload [GIF,PNG and JPEG images]';
				    $this->CI->session->set_flashdata('error', $this->CI->lang->line('upload_save_error3'));
			        $validated = false;
				}
			    
			    $image_info = getimagesize($_FILES["userFile"]["tmp_name"]);
			    if ($image_info[0] > $this->CI->config->item('upload_max_width') || $image_info[1] > $this->CI->config->item('upload_max_height')){
					$result['error'] = 'Please upload 2000*2000 less than image';
			    	
			    	$this->CI->session->set_flashdata('error', $this->CI->lang->line('upload_save_error4'));
			        $validated = false;
			    }
				
			    if ($validated){
					
					$s3 = new S3(base64_decode($this->CI->config->item('awsAccessKey', 's3')), base64_decode($this->CI->config->item('awsSecretKey', 's3')));
			    	
					// $s3 = new S3($this->CI->config->item('awsAccessKey', 's3'), $this->CI->config->item('awsSecretKey', 's3'));
					
					$fileName = $_FILES['userFile']['name'];
		    		$fileTempName = $_FILES['userFile']['tmp_name'];
		    		
				//	$ret = $s3->putBucket($this->CI->config->item('bucket', 's3'), S3::ACL_PUBLIC_READ);
					
					//var_dump($ret);
					//exit;
					 
					//move the file
					if ($s3->putObjectFile($fileTempName, $this->CI->config->item('bucket', 's3'), "vidagencykit/".$userID."/".$fileName, S3::ACL_PUBLIC_READ)) {
					    $result['success'] = 1;
						$result['URL'] = $this->CI->config->item('awsServerLink', 's3')."vidagencykit/".$userID.'/'.$fileName;
					    $this->CI->session->set_flashdata('success', 1);

					}else{
					    $this->CI->session->set_flashdata('error', $this->CI->lang->line('upload_save_error1'));
					}
			    }
			}else{
				// Custom file upload
				//if the upload path does not exist, create it
				if( !is_dir($this->CI->config->item('images_uploadDir').$userID ) ) {
				
					mkdir($this->CI->config->item('images_uploadDir').$userID);
				
				}
				
				$new_name = time().$_FILES["userFile"]['name'];
				$config['file_name'] = $new_name;
				// $config['encrypt_name'] = TRUE; q-
				$config['upload_path'] = $this->CI->config->item('images_uploadDir').'/'.$userID.'/';
				$config['allowed_types'] = $this->CI->config->item('upload_allowed_types');
				$config['max_size']	= $this->CI->config->item('upload_max_size');
				$config['max_width']  = $this->CI->config->item('upload_max_width');
				$config['max_height']  = $this->CI->config->item('upload_max_height');
				
				$this->CI->load->library('upload', $config);
				
				if ( ! $this->CI->upload->do_upload('userFile')) {
							
					$result['error'] = $this->CI->upload->display_errors();
					
						
				} else {
					$result['success'] = 1;
					$result['URL'] = $this->CI->config->item('gallery_link').$userID.'/'.str_replace(" ", "_", $new_name);
					// $result['URL'] = base_url($this->CI->config->item('images_uploadDir').'/'.$userID.'/'.$new_name);
					
				
				}
			}
		

		
		}

		// print_r($result);
		return $result;

		
	
	}
	


    
}


?>