<?php 
$this->load->view("shared/header.php");
$user = $this->ion_auth->user()->row();
?>
<!--<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/css/bootstrap-select.min.css">-->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
<style>
.analytics_bx {
    background: #F9F9F9 0% 0% no-repeat padding-box;
    border: 1px solid #DADCE0;
    border-radius: 5px;
	padding: 30px 35px;
	box-shadow: 5px 5px 5px rgba(125,125,125,.17);
}
.text-info{
	color:#4050c6 !important;
}
</style>

<br><br>

<section class="mid_wrap">
	<div class="sec3">
		<div class="container-fluid">
			<div class="row mb-4">
				<div class="col-xl-6 col-lg-6 col-md-6">
					<h2 class="text-capitalize ml-5">Analytics</h2>
					<p class="ml-5">View all your campaign progress statistics and make necessary actions.</p>
				</div>
				<?php 
				// print_r($getstats);
				if(isset($getstats)){
					$views=$getstats['views'];
					$social=$getstats['social'];
					$unique=$getstats['unique'];
					$time=$getstats['time'];
					$leads=$getstats['leads'];
					$siteid=$getstats['site_uid'];
				}
				 ?>
			</div>
		</div>
	</div>
	<div class="">
		<div class="container">
			<div class="row">
				<div class="col-xl-12 col-lg-12 col-md-6">
					<div class="row row-cols-1 row-cols-md-3">
						<div class="col-sm-3 mb-4">
							<div class="analytics_bx text-center text-info">
								<div class="td">
									<span class="h1">
										<i class="fa fa-eye" aria-hidden="true"></i>
									</span>
									<p class="h4">Views</p>
									<p class="w-500 my-auto mx-5 bg-danger" style="height:2px;"></p>
									<p class="mt-4 h3 storyViews text-info"><?= isset($views)?$views:'-' ?></p>
								</div>
							</div>
						</div>
						<div class="col-sm-3 mb-4">
							<div class="analytics_bx text-center text-info">
								<div class="td">
									<span class="h1">
										<i class="fa fa-clock-o" aria-hidden="true"></i>
									</span>
									<p class="h4">Average Time</p>
									<p class="w-500 my-auto mx-5 bg-danger" style="height:2px;"></p>
									<p class="mt-4 h3 timeSpent text-info"><?= isset($time)?$time:'-' ?></p>
								</div>
							</div>
						</div>
						<div class="col-sm-3 mb-4">
							<div class="analytics_bx text-center text-info">
								<div class="td">
									<span class="h1">
										<i class="fa fa-user" aria-hidden="true"></i>
									</span>
									<p class="h4">Unique Visitors</p>
									<p class="w-500 my-auto mx-5 bg-danger" style="height:2px;"></p>
									<p class="mt-4 h3 uniqueViews text-info"><?= isset($unique)?$unique:'-' ?></p>
								</div>
							</div>
						</div>
						<div class="col-sm-3 mb-4">
							<div class="analytics_bx text-center text-info">
								<div class="td">
									<span class="h1">
										<i class="fa fa-envelope-o" aria-hidden="true"></i>
									</span>
									<p class="h4">Leads</p>
									<p class="w-500 my-auto mx-5 bg-danger" style="height:2px;"></p>
									<p class="mt-4 h3 uniqueLeads text-info"><?= isset($leads)?$leads:'-' ?></p>
									<p class="text-primary" style="position: absolute;right: 23px;"><a href="javascript:void(0);" class="downloadcsv" data-siteuid="<?= isset($siteid)?$siteid:'' ?>"><u>Download Leads</u></a></p>
								</div>
							</div>
						</div>
						<div class="col-sm-3 mb-4">
							<div class="analytics_bx text-center text-info">
								<div class="td">
									<span class="h1">
										<i class="fa fa-share-alt" aria-hidden="true"></i>
									</span>
									<p class="h4">Referral</p>
									<p class="w-500 my-auto mx-5 bg-danger" style="height:2px;"></p>
									<p class="mt-4 h3 socialViews text-info"><?= isset($social)?$social:'-' ?></p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<br><br><br><br><br><br><br>
<?php
$this->load->view("shared/footer.php");
?>
<!--<script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.18/dist/js/bootstrap-select.min.js"></script>-->
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
<?php $this->load->view("shared/js_users1.php");?>
</script> 
<script>
$(document).ready(function(){
	$('.js-example-basic-single').select2();
	$('.selectcampaign').change(function(){
		if($(this).val()!=''){
			var siteid=$(this).val();
			$.ajax({
				type: "POST",
				url: "<?php echo site_url('sites/getAnalytics') ?>",
				data: {id: siteid},
				dataType:'json',
				cache: false,
				success: function(r){
					animateText('storyViews',r.views);
					animateText('socialViews',r.social);
					animateText('uniqueViews',r.unique);
					animateText('uniqueLeads',r.leads);
					$('.timeSpent').text(r.time);
					if(r.leads !=''){
						$(".downloadcsv").show();
						$(".downloadcsv").attr("data-siteuid",siteid);
					}else{
						$(".downloadcsv").hide();
					}
					
				}
			}); 
		}
		
	}); 			
	
	function animateText(className,value){
		$('.'+className).prop('Counter',0).animate({
			Counter: value
		}, {
			duration: 400,
			easing: 'swing',
			step: function (now) {
				$(this).text(Math.ceil(now));
			}
		});			
	}
	
	$(".downloadcsv").click(function(){
		$("#exceldw_ads_form").remove();
		var form = $("<form/>", 
			 { action:'<?= base_url("sites/downloadsleads") ?>','id':'exceldw_ads_form','method':'post'}
			);
			form.append( 
				$("<input>", 
					{ type:'hidden', 
					  name:'site_uid', 
					  value: $(this).attr("data-siteuid")
					}
				 )
			);
			
			$('body').append(form);
			//return false;
			$("#exceldw_ads_form").submit();
	});
});
</script>
</body>
</html>