$(function(){

	//listed to FTP form fields and check if we need to enable the test
    
    $(document).on('click', '.siteFunnelModalButton', function(e){
    
    	e.preventDefault();
    	
    	$('#siteFunnel').modal('show');
    	
    	//destroy all alerts
    	$('#siteFunnel .alert').fadeOut(500, function(){
    	
    		$(this).remove();
    	
    	})
    	
    	
    	//set the siteID
    	//$('input#siteID').val( $(this).attr('data-siteid') );
    	
    	
    	//destroy current forms
    	$('#siteFunnel .modal-body-content > *').each(function(){
    		$(this).remove();
    	})
    	
    	
    	//show loader, hide rest
    	$('#siteFunnelWrapper .loader').show();
    	$('#siteFunnelWrapper > *:not(.loader)').hide();
    	
    	//get the template id
    	var templateId = $(this).attr('templateId');
    	
    	//load site data using ajax
    	
    	$.ajax({
    		url: '<?php echo site_url('sites/funnelTemplateAjax')?>',
    		type: 'post',
    		data: "page="+$(this).parents('.site').find('#pageType').val()+"&elements="+JSON.stringify(_Elements.elements),
    		dataType: 'json'
    	}).done(function(ret){    			
    		
    		if( ret.responseCode == 0 ) {//error
    		
    			//hide loader, show error message
    			$('#siteFunnel .loader').fadeOut(500, function(){
    				
    				$('#siteFunnel .modal-alerts').append( $(ret.responseHTML) )
    			
    			})
    			
    			//disable submit button
    			$('#savesiteFunnelButton').addClass('disabled');
    		
    		
    		} else if( ret.responseCode == 1 ) {//all well :)
    		
    			//hide loader, show data
    			
    			$('#siteFunnel .loader').fadeOut(500, function(){
    			
    				$('#siteFunnel .modal-body-content').append( $(ret.responseHTML) )
    				$('#siteFunnel #myTemplateId').val( templateId )
    				//alert(templateId);
    			
    			})
    			
    			//enable submit button
    			$('#savesiteFunnelButton').removeClass('disabled');
    		
    		}
    	
    	})
    
    } )
    
    
    //site name input field
    $(document).on('click', '.useTemplate', function(){
    	//$('#siteFunnel .modal-alerts').append( 'lalalalala' );
    	//alert(1);
    	//return;
    	
    	//destroy all alerts
    	$('#siteFunnel .alert').fadeOut(500, function(){
    	
    		$(this).remove();
    	
    	})
    	
    	//disable button
    	$(this).addClass('disabled');
    	
    	//hide form data
    	$('#siteFunnel .modal-body-content > *').hide();
    	
    	//show loader
    	$('#siteFunnel .loader').show();
    	
    	var url = $(this).parent().find('#url').val();
    	var height = $(this).parent().find('#height').val();
    	//alert(url);
    	
    	var templateId = $('#siteFunnel #myTemplateId').val();
    	//alert(templateId);
    	$('#funnelPage_template_'+templateId).val(url);
    	$('#funnelPage_height_'+templateId).val(height);
    	
    	//e.preventDefault();
    	
    	//$(this).closest('.close').click();
    	
    	//hide modal
    	$('#siteFunnel').modal('hide')
    
    });
})