<!DOCTYPE html>
<html lang="en" class="no-js demo-1">
  <head>
   <meta charset="UTF-8" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
		<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
		<title>BookBlock: A Content Flip Plugin - Demo 1</title>
		<meta name="description" content="Bookblock: A Content Flip Plugin - Demo 1" />
		<meta name="keywords" content="javascript, jquery, plugin, css3, flip, page, 3d, booklet, book, perspective" />
		<meta name="author" content="Codrops" />
		<link rel="shortcut icon" href="../favicon.ico"> 


  	<link rel="stylesheet" type="text/css" href="http://localhost/projects/reataio/assets/css/flipgallery/bookblock.css">
	<link rel="stylesheet" type="text/css" href="http://localhost/projects/reataio/assets/css/flipgallery/demo1.css">


    <script src="http://localhost/projects/reataio/assets/js/flipGallery/modernizr.custom.js"></script>



</head>
    


<body>


<div class="bb-custom-wrapper"><div id="bb-bookblock" class="bb-bookblock"><div class="bb-item"><a href="javascript:void(0)"><img src="https://dq40tvimo53eq.cloudfront.net/1/dog-1127486_1920.jpg" alt="image1"></a></div><div class="bb-item"><a href="javascript:void(0)"><img src="https://dq40tvimo53eq.cloudfront.net/1/bonus-62614.jpg" alt="image2"></a></div><div class="bb-item"><a href="javascript:void(0)"><img src="https://dq40tvimo53eq.cloudfront.net/1/dog-918625_1280.jpg" alt="image3"></a></div><div class="bb-item"><a href="javascript:void(0)"><img src="https://dq40tvimo53eq.cloudfront.net/1/frn_img_5.jpg" alt="image4"></a></div></div><nav><a id="bb-nav-first" href="javascript:void(0)" class="bb-custom-icon bb-custom-icon-first">First page</a><a id="bb-nav-prev" href="javascript:void(0)" class="bb-custom-icon bb-custom-icon-arrow-left">Previous</a><a id="bb-nav-next" href="javascript:void(0)" class="bb-custom-icon bb-custom-icon-arrow-right">Next</a><a id="bb-nav-last" href="javascript:void(0)" class="bb-custom-icon bb-custom-icon-last">Last page</a></nav></div>


	
	<script src="http://localhost/projects/reataio/assets/js/jquery.min.js"></script>
    <!-- <script src="http://localhost/projects/reataio/assets/js/jquery-ui.js"></script> -->
    
    <!-- <script src="http://localhost/projects/reataio/assets/js/bootstrap.min.js"></script> -->
	
   	
  	   <script src="http://localhost/projects/reataio/assets/js/flipGallery/jquerypp.custom.js"></script>
    <script src="http://localhost/projects/reataio/assets/js/flipGallery/jquery.bookblock.js"></script>

<script>
			var Page = (function() {
				
				var config = {
						$bookBlock : $( '#bb-bookblock' ),
						$navNext : $( '#bb-nav-next' ),
						$navPrev : $( '#bb-nav-prev' ),
						$navFirst : $( '#bb-nav-first' ),
						$navLast : $( '#bb-nav-last' )
					},
					init = function() {
						config.$bookBlock.bookblock( {
							speed : 800,
							shadowSides : 0.8,
							shadowFlip : 0.7
						} );
						initEvents();
					},
					initEvents = function() {
						
						var $slides = config.$bookBlock.children();

						// add navigation events
						config.$navNext.on( 'click touchstart', function() {
							config.$bookBlock.bookblock( 'next' );
							//alert();
							return false;
						} );

						config.$navPrev.on( 'click touchstart', function() {
							config.$bookBlock.bookblock( 'prev' );
							return false;
						} );

						config.$navFirst.on( 'click touchstart', function() {
							config.$bookBlock.bookblock( 'first' );
							return false;
						} );

						config.$navLast.on( 'click touchstart', function() {
							config.$bookBlock.bookblock( 'last' );
							return false;
						} );
						
						// add swipe events
						$slides.on( {
							'swipeleft' : function( event ) {
								config.$bookBlock.bookblock( 'next' );
								return false;
							},
							'swiperight' : function( event ) {
								config.$bookBlock.bookblock( 'prev' );
								return false;
							}
						} );

						// add keyboard events
						$( document ).keydown( function(e) {
							var keyCode = e.keyCode || e.which,
								arrow = {
									left : 37,
									up : 38,
									right : 39,
									down : 40
								};

							switch (keyCode) {
								case arrow.left:
									config.$bookBlock.bookblock( 'prev' );
									break;
								case arrow.right:
									config.$bookBlock.bookblock( 'next' );
									break;
							}
						} );
					};

					return { init : init };

			})();
		</script>
		<script>
				Page.init();
		</script>
    

</body>
</html>