<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

<?php
  //ini_set("display_errors","On");
  $base_url='https://vidagencykit.com/sites/';
  $subdomain_id = file_get_contents("id.txt");
  include '../ClassFile.php'; 
  $webpage = new Webpage();
  $website_id = null;
  $template = $webpage->checkTemplate($subdomain_id);
  //print_r($template);exit;
  if($template){
    $website_id = $webpage->getSiteId($subdomain_id,$template);
  }else{
    echo "Website Has Temperary Unavailiable";
    return false;
  }

  if(empty($website_id)){
    echo "Website Has Temperary Unavailiable";
    return false;
  }

  $select = "site_title,logo,home_layout,user_id,fav_url,menus,facebook,twitter,pinterest,linkedin,footer_text";
  $appereance = $webpage->getAppereance($select,$subdomain_id);
  if(!empty($appereance))
  {
      $site_title = $appereance['site_title'];
      $user_id = $appereance['user_id'];
  }
  else
  {
      $site_title = "Vidagencykit";
      $user_id = $webpage->fetchuserID($subdomain_id);
  }

  $main_logo = $appereance['logo'];
  if(empty($main_logo))
  {
      $main_logo = $base_url.'assets/images/logo.png';
  }

  $fav_url = $appereance['fav_url'];
  if(empty($fav_url))
  {
      $fav_url = $base_url.'assets/images/favicon.png';
  }

  $menus = $appereance['menus'];
  if(empty($menus))
  {
    $menus = 'a:5:{s:4:"Home";s:4:"Home";s:7:"Contact";s:7:"Contact";s:8:"Services";s:8:"Services";s:7:"OurTeam";s:8:"Our Team";s:4:"Blog";s:4:"Blog";}';     
  }
  $menus = unserialize($menus);

  $footer_Data = $appereance['footer_text'];
  if(empty($footer_Data))
  {
    $footer_Data = 'a:5:{s:11:"Footer_text";s:81:"Ensuring the best return on investment for your bespoke SEO campaign requirement.";s:9:"Copyright";s:33:"Copyright © 2020 by VidagencyKit";s:17:"Contactopt_status";s:1:"1";s:16:"Socialopt_status";s:1:"1";s:15:"Pagesopt_status";s:1:"1";}';    
  }
  $footer_Data = unserialize($footer_Data);
  $facebook = $appereance['facebook'];
  if(empty($facebook)){
    $facebook = '';
  }
  $twitter = $appereance['twitter'];
  if(empty($twitter)){
    $twitter = '';
  }
  $pinterest = $appereance['pinterest'];
  if(empty($pinterest)){
    $pinterest = '';
  }
  $linkedin = $appereance['linkedin'];
  if(empty($linkedin)){
    $linkedin = '';
  }
  if(isset($page)){
     if($page==''){
         if($page == ""){
			$page = "Home";
		}else{
			$page = $page;
		}
     }
     $content=$webpage->getWebPage($subdomain_id,$template,$page);
     if($content =='error'){
         $_404=$base_url."assets/images/404.png";
         $content = '<img src="'.$_404.'" class="img_full">';
     }else{
         $content=base64_decode($content);
     }
  }
?>
    <title><?= $site_title; ?></title>
    
    <link rel="icon" href="<?= $fav_url; ?>" sizes="32x32" type="image/png">
    <link href="<?= $base_url ?>assets/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="<?= $base_url ?>assets/css/custom2.css" rel="stylesheet" type="text/css"/>
    <link href="<?= $base_url ?>assets/css/font-awesome.min.css" rel="stylesheet" type="text/css"/> 
    
    <?php 
        if(isset($singleblog))
        {
            # single blog
            $blogs = $webpage->fetchTableDataRecord('posts', '*', 'subdomain_id = ' . $subdomain_id . ' and id = '.base64_decode($singleblog));
            ?>
        
            <meta property="og:url"           content="https://itzakash.vidagencykit.com/singleblog/<?= $singleblog; ?>" />
            <meta property="og:type"          content="Website" />
            <meta property="og:title"         content="<?= $blogs[0]['title']; ?>" />
            <meta property="og:description"   content="<?= $blogs[0]['description']; ?>" />
            <meta property="og:image"         content="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blogs[0]['thumbnail']; ?>" />
            
            <meta name="twitter:description" content="<?= $blogs[0]['description']; ?>" />
            <meta name="twitter:title" content="<?= $blogs[0]['title']; ?>" />
            <meta name="twitter:image" content="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blogs[0]['thumbnail']; ?>" />
            
            <?php
        }
    ?>
</head>
<body>
<header id="myHeader">
  <nav class="navbar navbar-expand-md">
        <div class="container">
          <a class="navbar-brand"  href="#"><img src="<?= $main_logo; ?>" class="img_responsive"  alt="img"></a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon fa fa-bars"></span></button> 
          
          <div class="collapse navbar-collapse" id="navbarCollapse">
           <ul class="navbar-nav pull-right">                                        
        <li class="nav-item  active" data-nav-title="Home" ><a class="nav-link" href="Home"><?= $menus["Home"]; ?></a></li>
              <li class="nav-item" data-nav-title="Services"><a href="Services" class="nav-link"><?= $menus["Services"] ?></a> </li>
              <li class="nav-item" data-nav-title="Team"><a href="Team"  class="nav-link"><?= $menus["OurTeam"] ?></a> </li>
              <li class="nav-item" data-nav-title="Blog"><a class="nav-link" href="/blog"><?= $menus["Blog"] ?></a></li>
              <li class="nav-item" data-nav-title="Contact"><a class="nav-link" href="Contact"><?= $menus["Contact"] ?></a></li>
              <!-- <li class="nav-item"><a class="nav-link" href="#"><img src="assets/images/search_ic.png" alt="img"></a></li> -->
             </ul>
          </div>
          </div>
      </nav>
</header>

<?php 
    if(isset($singleblog))
    {
        # single blog
        $blogs = $webpage->fetchTableDataRecord('posts', '*', 'subdomain_id = ' . $subdomain_id . ' and id = '.base64_decode($singleblog));
        ?>
    
        <section id="blog">
            <div class="container">
                <div class="row">
                    <div class="col-md-5 blog-img">
                        <div>
                            <img src="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blogs[0]['thumbnail']; ?>" width=400px>
                        </div>
                    </div>
                    <div class="col-md-7">
                        <div class="blog-content">
                            <h2><?= $blogs[0]['title']; ?></h2>
                        </div>
                        <medium><?php $date=date_create($blogs[0]['created_date']); echo date_format($date,"d-m-Y"); ?></medium>
                        <br/><br/>
                        <p><?= base64_decode($blogs[0]['description']); ?></p>
                        <br/><br/>
                        Share on: 
                        <a href="http://www.facebook.com/sharer.php?u=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>" target="_blank" rel="nofollow" class="btn btn-primary">FACEBOOK</a>
                        <a href="http://twitter.com/share?url=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>" target="_blank" rel="nofollow" class="btn btn-info">TWITTER</a>
                        <a href="http://pinterest.com/pin/create/button/?url=https%3A%2F%2Fitzakash.vidagencykit.com%2Fsingleblog%2F<?=$singleblog?>&media=https%3A%2F%2Fvidagencykit.com%2Fapp%2Fuploads%2F<?= $user_id; ?>%2F<?= $subdomain_id; ?>%2Fimages%2F<?= $blogs[0]['thumbnail']; ?>" target="_blank" rel="nofollow" class="btn btn-danger">PINTEREST</a>
                    </div>
                </div>
                <br/>
            </div>
        </section>
    
        <?php
    }
    elseif($page == 'blog')
    {
        # all blogs list
        $blogs = $webpage->fetchTableDataRecord('posts','*','subdomain_id = '.$subdomain_id);
        ?>
    
        <section id="blog">
            <div class="container">
                <h1>BLOGS</h1> <br/>
                <?php foreach($blogs as $blog): ?>
                            <div class="row">
                                <div class="col-md-5 blog-img">
                                    <div>
                                        <img src="https://vidagencykit.com/app/uploads/<?= $user_id; ?>/<?= $subdomain_id; ?>/images/<?= $blog['thumbnail']; ?>" width=400px>
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <medium><?php $date=date_create($blog['created_date']); echo date_format($date,"d-m-Y"); ?></medium>
                                    <div class="blog-content">
                                        <h3><?= $blog['title']; ?></h3>
                                        <p><?= base64_decode($blog['description']); ?></p>
                                        <a href="singleblog/<?= str_replace('=', '', base64_encode($blog['id'])); ?>" class="btn btn-info">READ MORE</a>
                                    </div>
                                </div>
                            </div>
                            <br/>
                            <hr/>
                <?php endforeach; ?>
            </div>
        </section>
    
        <?php
    }
    else
    {
        echo $content; 
    }
?>

<br/><br/>
<footer id="footer">
  <div class="subscribe_section">
    <div class="container">
      <div class="twrap2 text-center mb-4">
      <h6 class="white">BLOG</h6>
      <div class="h2 white">Subscribe For Update</div>
      </div>
      <div class="row">
        <div class="col-md-12 text-center">
          <form action="#" method="Post">
        			<input type="text" name="text" placeholder="Enter Your Email Id">
              <input name="" type="button" class="btn btn-default" value="Submit">
        	</form>
        </div>
      </div>
    </div>
  </div>
<div class="footer_top">
  <div class="container">
    <div class="row">
      <div class="col-xl-3 col-lg-3 col-md-3 ">
        <div class="logo_frt mb-3"><a href="#"><img src="<?= $main_logo; ?>"  alt="img"></a></div>
        <p class="mb-4"><?= $footer_Data["Footer_text"]; ?></p>
        <?php if($footer_Data["Socialopt_status"] == 1){ ?>
        <div class="social_ftr">
          <ul>
            <li><a href="<?= $facebook; ?>" class="fb_bg"><i class="fa fa-facebook-f"></i></a></li>
            <li><a href="<?= $linkedin; ?>" class="link_bg"><i class="fa fa-linkedin"></i></a></li>
            <li><a href="<?= $twitter; ?>" class="twt_bg"><i class="fa fa-twitter"></i></a></li>
            <li><a href="<?= $pinterest; ?>" class="pint_bg"><i class="fa fa-pinterest-p"></i></a></li>
          </ul>
        </div>
      <?php } ?>
      </div> 
      <?php if($footer_Data["Pagesopt_status"] == 1){ ?>
      <div class="col-xl-2 col-lg-2 col-md-2 offset-xl-1">
        <div class="menu_footer">
          <h6>HOME</h6>
          <ul>
            <li><a href="#">Service</a></li>
            <li><a href="#">Blog</a></li>
            <li><a href="#">Shop</a></li>
          </ul>
        </div>
      </div>
    <?php } ?>
      <div class="col-xl-2 col-lg-2 col-md-2">
        <div class="menu_footer">
          <h6>SERVICES</h6>
          <ul>
            <li><a href="#">SEO Marketing</a></li>
            <li><a href="#">SEO Services</a></li>
            <li><a href="#">Pay Per Click</a></li>
            <li><a href="#">Social Media</a></li>
            <li><a href="#">SEO Audit</a></li>
          </ul>
        </div>
      </div> 
      <div class="col-xl-2 col-lg-2 col-md-2">
        <div class="menu_footer">
          <h6>COMMUNITY</h6>
          <ul>
            <li><a href="#">Our Product</a></li>
            <li><a href="#">Documentation</a></li>
            <li><a href="#">Our Services</a></li>
            <li><a href="#">Company</a></li>
            <li><a href="#">What We Do?</a></li>
          </ul>
        </div>
      </div> 
      <?php
      if($footer_Data["Contactopt_status"] == 1){ ?>
      <div class="col-xl-2 col-lg-3 col-md-3">
        <div class="contact_ftr">
        <h6>CONTACT</h6>
        <ul>
          <li><i><img src="assets/images/phone2.png"  alt="img"></i> 0 000 0000 000</li>
          <li><i><img src="assets/images/mail_ic3.png"  alt="img"></i> seobot@gmail.com</li>
          <li><i><img src="assets/images/map_ic2.png"  alt="img"></i> 127 Park Street Ave <br>Miami, FL 8546</li>
        </ul>
        </div>
      </div> 
     <?php } ?>
    </div>
  </div>
</div>

<div class="footer_bottom">
  <div class="container text-center">
    <?= $footer_Data["Copyright"]; ?>
  </div>
</div>

</footer> 
    	
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>

<script src="<?= $base_url ?>assets/js/bootstrap.js"></script>

<script>
window.onscroll = function() {myFunction()};

var header = document.getElementById("myHeader");
var sticky = header.offsetTop;

function myFunction() {
  if (window.pageYOffset > sticky) {
    header.classList.add("sticky");
  } else {
    header.classList.remove("sticky");
  }
}

$(document).ready(function(){
  $(".nav-item").removeClass("active");
  <?php
  if($siteData != "error"){
    ?>
    $("[data-nav-title = <?= ucwords($current_page); ?>]").addClass("active");
    <?php
  }
  ?>
});
</script>
<script type="text/javascript">
$(document).ready(function() {
  var c=0;
  $("#map").children().each(function(){
      $(this).addClass("map"+c);
      c++;
  });
  // console.log(c);
  if(c > 1){
  var c1 = $("#map").children().attr("class");
   $("."+c1).remove();
  }
  $("#map").children().each(function(){
    $(this).removeAttr("class");
  });
});
</script>
</body>
</html>